!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 14:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(816)
  integer, parameter :: nGC_10 = 1
  integer, parameter :: nGC_12 = 2
  integer, parameter :: nGC_3 = 3
  integer, parameter :: nGC_5 = 4
  integer, parameter :: nGC_25 = 5
  integer, parameter :: nGC_18 = 6
  integer, parameter :: nGC_29 = 7
  integer, parameter :: nGC_19 = 8
  integer, parameter :: nGC_4 = 9
  integer, parameter :: nGC_16 = 10
  integer, parameter :: nGC_30 = 11
  integer, parameter :: nGC_31 = 12
  integer, parameter :: nGC_43 = 13
  integer, parameter :: nGC_24 = 14
  integer, parameter :: nGC_32 = 15
  integer, parameter :: nGC_33 = 16
  integer, parameter :: nGC_44 = 17
  integer, parameter :: nGC_15 = 18
  integer, parameter :: nGC_13 = 19
  integer, parameter :: nGC_14 = 20
  integer, parameter :: nGC_3356 = 21
  integer, parameter :: nGC_48 = 22
  integer, parameter :: nGC_49 = 23
  integer, parameter :: nGC_6 = 24
  integer, parameter :: nGC_28 = 25
  integer, parameter :: nGC_27 = 26
  integer, parameter :: nGC_51 = 27
  integer, parameter :: nGC_22 = 28
  integer, parameter :: nGC_21 = 29
  integer, parameter :: nGC_26 = 30
  integer, parameter :: nGC_20 = 31
  integer, parameter :: nGC_17 = 32
  integer, parameter :: nGC_50 = 33
  integer, parameter :: nGC_42 = 34
  integer, parameter :: nGC_37 = 35
  integer, parameter :: nGC_40 = 36
  integer, parameter :: nGC_9 = 37
  integer, parameter :: nGC_8 = 38
  integer, parameter :: nGC_47 = 39
  integer, parameter :: nGC_7 = 40
  integer, parameter :: nGC_46 = 41
  integer, parameter :: nGC_45 = 42
  integer, parameter :: nGC_52 = 43
  integer, parameter :: nGC_2 = 44
  integer, parameter :: nGC_1 = 45
  integer, parameter :: nGC_11 = 46
  integer, parameter :: nGC_23 = 47
  integer, parameter :: nGC_35 = 48
  integer, parameter :: nGC_39 = 49
  integer, parameter :: nGC_34 = 50
  integer, parameter :: nGC_38 = 51
  integer, parameter :: nGC_41 = 52
  integer, parameter :: nGC_36 = 53
  integer, parameter :: nGC_85 = 54
  integer, parameter :: nGC_61 = 55
  integer, parameter :: nGC_57 = 56
  integer, parameter :: nGC_73 = 57
  integer, parameter :: nGC_77 = 58
  integer, parameter :: nGC_53 = 59
  integer, parameter :: nGC_64 = 60
  integer, parameter :: nGC_62 = 61
  integer, parameter :: nGC_76 = 62
  integer, parameter :: nGC_74 = 63
  integer, parameter :: nGC_56 = 64
  integer, parameter :: nGC_54 = 65
  integer, parameter :: nGC_63 = 66
  integer, parameter :: nGC_75 = 67
  integer, parameter :: nGC_55 = 68
  integer, parameter :: nGC_65 = 69
  integer, parameter :: nGC_69 = 70
  integer, parameter :: nGC_81 = 71
  integer, parameter :: nGC_68 = 72
  integer, parameter :: nGC_66 = 73
  integer, parameter :: nGC_72 = 74
  integer, parameter :: nGC_70 = 75
  integer, parameter :: nGC_84 = 76
  integer, parameter :: nGC_82 = 77
  integer, parameter :: nGC_67 = 78
  integer, parameter :: nGC_71 = 79
  integer, parameter :: nGC_83 = 80
  integer, parameter :: nGC_86 = 81
  integer, parameter :: nGC_88 = 82
  integer, parameter :: nGC_58 = 83
  integer, parameter :: nGC_60 = 84
  integer, parameter :: nGC_78 = 85
  integer, parameter :: nGC_80 = 86
  integer, parameter :: nGC_87 = 87
  integer, parameter :: nGC_59 = 88
  integer, parameter :: nGC_79 = 89
  integer, parameter :: nGC_3461 = 90
  integer, parameter :: nGC_MH = 91
  integer, parameter :: nGC_I = 92
  integer, parameter :: nGC_MI = 93
  integer, parameter :: nGC_3464 = 94
  integer, parameter :: nGC_ME = 95
  integer, parameter :: nGC_3465 = 96
  integer, parameter :: nGC_MM = 97
  integer, parameter :: nGC_3466 = 98
  integer, parameter :: nGC_MTA = 99
  integer, parameter :: nGC_3467 = 100
  integer, parameter :: nGC_MU = 101
  integer, parameter :: nGC_3468 = 102
  integer, parameter :: nGC_MC = 103
  integer, parameter :: nGC_3469 = 104
  integer, parameter :: nGC_MT = 105
  integer, parameter :: nGC_3470 = 106
  integer, parameter :: nGC_MD = 107
  integer, parameter :: nGC_3471 = 108
  integer, parameter :: nGC_MS = 109
  integer, parameter :: nGC_3472 = 110
  integer, parameter :: nGC_MB = 111
  integer, parameter :: nGC_3473 = 112
  integer, parameter :: nGC_MZ = 113
  integer, parameter :: nGC_3474 = 114
  integer, parameter :: nGC_MW = 115
  integer, parameter :: nGC_MW_GF = 116
  integer, parameter :: nGC_MMW_GF = 117
  integer, parameter :: nGC_MZ_GF = 118
  integer, parameter :: nGC_GG = 119
  integer, parameter :: nGC_GGH = 120
  integer, parameter :: nGC_HHH = 121
  integer, parameter :: nGC_HHGG = 122
  integer, parameter :: nGC_HHHH = 123
  integer, parameter :: nGC_GPGMGPGM = 124
  integer, parameter :: nGC_164 = 125
  integer, parameter :: nGC_168 = 126
  integer, parameter :: nGC_170 = 127
  integer, parameter :: nGC_184 = 128
  integer, parameter :: nGC_190 = 129
  integer, parameter :: nGC_194 = 130
  integer, parameter :: nGC_198 = 131
  integer, parameter :: nGC_202 = 132
  integer, parameter :: nGC_206 = 133
  integer, parameter :: nGC_220 = 134
  integer, parameter :: nGC_226 = 135
  integer, parameter :: nGC_256 = 136
  integer, parameter :: nGC_1120 = 137
  integer, parameter :: nGC_1130 = 138
  integer, parameter :: nGC_1256 = 139
  integer, parameter :: nGC_1414 = 140
  integer, parameter :: nGC_1424 = 141
  integer, parameter :: nGC_4756 = 142
  integer, parameter :: nGC_4764 = 143
  integer, parameter :: nGC_4782 = 144
  integer, parameter :: nGC_4872 = 145
  integer, parameter :: nGC_4989 = 146
  integer, parameter :: nGC_5029 = 147
  integer, parameter :: nGC_5037 = 148
  integer, parameter :: nGC_5038 = 149
  integer, parameter :: nGC_5040 = 150
  integer, parameter :: nGC_5039 = 151
  integer, parameter :: nGC_5041 = 152
  integer, parameter :: nGC_5047 = 153
  integer, parameter :: nGC_5050 = 154
  integer, parameter :: nGC_5053 = 155
  integer, parameter :: nGC_5058 = 156
  integer, parameter :: nGC_5060 = 157
  integer, parameter :: nGC_5067 = 158
  integer, parameter :: nGC_5070 = 159
  integer, parameter :: nGC_5071 = 160
  integer, parameter :: nGC_5073 = 161
  integer, parameter :: nGC_5080 = 162
  integer, parameter :: nGC_5083 = 163
  integer, parameter :: nGC_5084 = 164
  integer, parameter :: nGC_5086 = 165
  integer, parameter :: nGC_5085 = 166
  integer, parameter :: nGC_5087 = 167
  integer, parameter :: nGC_5093 = 168
  integer, parameter :: nGC_5096 = 169
  integer, parameter :: nGC_5099 = 170
  integer, parameter :: nGC_5104 = 171
  integer, parameter :: nGC_5106 = 172
  integer, parameter :: nGC_5113 = 173
  integer, parameter :: nGC_5116 = 174
  integer, parameter :: nGC_5117 = 175
  integer, parameter :: nGC_5119 = 176
  integer, parameter :: nGC_5126 = 177
  integer, parameter :: nGC_5129 = 178
  integer, parameter :: nGC_5130 = 179
  integer, parameter :: nGC_5132 = 180
  integer, parameter :: nGC_5131 = 181
  integer, parameter :: nGC_5133 = 182
  integer, parameter :: nGC_5139 = 183
  integer, parameter :: nGC_5142 = 184
  integer, parameter :: nGC_5145 = 185
  integer, parameter :: nGC_5150 = 186
  integer, parameter :: nGC_5152 = 187
  integer, parameter :: nGC_5159 = 188
  integer, parameter :: nGC_5162 = 189
  integer, parameter :: nGC_5163 = 190
  integer, parameter :: nGC_5165 = 191
  integer, parameter :: nGC_5172 = 192
  integer, parameter :: nGC_5175 = 193
  integer, parameter :: nGC_5176 = 194
  integer, parameter :: nGC_5177 = 195
  integer, parameter :: nGC_5185 = 196
  integer, parameter :: nGC_5186 = 197
  integer, parameter :: nGC_5193 = 198
  integer, parameter :: nGC_5194 = 199
  integer, parameter :: nGC_5201 = 200
  integer, parameter :: nGC_5202 = 201
  integer, parameter :: nGC_5209 = 202
  integer, parameter :: nGC_5210 = 203
  integer, parameter :: nGC_5217 = 204
  integer, parameter :: nGC_5218 = 205
  integer, parameter :: nGC_5227 = 206
  integer, parameter :: nGC_5231 = 207
  integer, parameter :: nGC_5234 = 208
  integer, parameter :: nGC_5246 = 209
  integer, parameter :: nGC_5249 = 210
  integer, parameter :: nGC_5252 = 211
  integer, parameter :: nGC_5264 = 212
  integer, parameter :: nGC_5266 = 213
  integer, parameter :: nGC_5269 = 214
  integer, parameter :: nGC_5273 = 215
  integer, parameter :: nGC_3390 = 216
  integer, parameter :: nGC_3392 = 217
  integer, parameter :: nGC_3394 = 218
  integer, parameter :: nGC_3396 = 219
  integer, parameter :: nGC_3398 = 220
  integer, parameter :: nGC_3400 = 221
  integer, parameter :: nGC_5324 = 222
  integer, parameter :: nGC_5331 = 223
  integer, parameter :: nGC_5338 = 224
  integer, parameter :: nGC_3420 = 225
  integer, parameter :: nGC_3422 = 226
  integer, parameter :: nGC_3424 = 227
  integer, parameter :: nGC_5381 = 228
  integer, parameter :: nGC_5388 = 229
  integer, parameter :: nGC_5395 = 230
  integer, parameter :: nGC_5444 = 231
  integer, parameter :: nGC_5451 = 232
  integer, parameter :: nGC_5458 = 233
  integer, parameter :: nGC_5476 = 234
  integer, parameter :: nGC_5475 = 235
  integer, parameter :: nGC_5477 = 236
  integer, parameter :: nGC_5478 = 237
  integer, parameter :: nGC_5479 = 238
  integer, parameter :: nGC_5480 = 239
  integer, parameter :: nGC_5481 = 240
  integer, parameter :: nGC_5482 = 241
  integer, parameter :: nGC_5485 = 242
  integer, parameter :: nGC_5486 = 243
  integer, parameter :: nGC_5487 = 244
  integer, parameter :: nGC_5488 = 245
  integer, parameter :: nGC_5491 = 246
  integer, parameter :: nGC_5492 = 247
  integer, parameter :: nGC_5493 = 248
  integer, parameter :: nGC_5494 = 249
  integer, parameter :: nGC_5497 = 250
  integer, parameter :: nGC_5498 = 251
  integer, parameter :: nGC_5499 = 252
  integer, parameter :: nGC_5500 = 253
  integer, parameter :: nGC_5503 = 254
  integer, parameter :: nGC_5504 = 255
  integer, parameter :: nGC_5505 = 256
  integer, parameter :: nGC_5506 = 257
  integer, parameter :: nGC_5509 = 258
  integer, parameter :: nGC_5510 = 259
  integer, parameter :: nGC_5511 = 260
  integer, parameter :: nGC_5512 = 261
  integer, parameter :: nGC_5515 = 262
  integer, parameter :: nGC_5516 = 263
  integer, parameter :: nGC_5517 = 264
  integer, parameter :: nGC_5518 = 265
  integer, parameter :: nGC_5521 = 266
  integer, parameter :: nGC_5522 = 267
  integer, parameter :: nGC_5523 = 268
  integer, parameter :: nGC_5524 = 269
  integer, parameter :: nGC_5527 = 270
  integer, parameter :: nGC_5528 = 271
  integer, parameter :: nGC_5529 = 272
  integer, parameter :: nGC_5530 = 273
  integer, parameter :: nGC_5533 = 274
  integer, parameter :: nGC_5534 = 275
  integer, parameter :: nGC_5535 = 276
  integer, parameter :: nGC_5536 = 277
  integer, parameter :: nGC_5537 = 278
  integer, parameter :: nGC_5538 = 279
  integer, parameter :: nGC_5539 = 280
  integer, parameter :: nGC_5540 = 281
  integer, parameter :: nGC_5541 = 282
  integer, parameter :: nGC_5545 = 283
  integer, parameter :: nGC_5544 = 284
  integer, parameter :: nGC_5546 = 285
  integer, parameter :: nGC_5553 = 286
  integer, parameter :: nGC_5552 = 287
  integer, parameter :: nGC_5554 = 288
  integer, parameter :: nGC_5555 = 289
  integer, parameter :: nGC_5556 = 290
  integer, parameter :: nGC_5567 = 291
  integer, parameter :: nGC_6998 = 292
  integer, parameter :: nGC_3237 = 293
  integer, parameter :: nGC_3238 = 294
  integer, parameter :: nGC_3239 = 295
  integer, parameter :: nGC_3240 = 296
  integer, parameter :: nGC_3241 = 297
  integer, parameter :: nGC_3242 = 298
  integer, parameter :: nGC_3243 = 299
  integer, parameter :: nGC_3244 = 300
  integer, parameter :: nGC_3245 = 301
  integer, parameter :: nGC_3246 = 302
  integer, parameter :: nGC_3247 = 303
  integer, parameter :: nGC_3248 = 304
  integer, parameter :: nGC_3249 = 305
  integer, parameter :: nGC_3250 = 306
  integer, parameter :: nGC_3251 = 307
  integer, parameter :: nGC_3252 = 308
  integer, parameter :: nGC_3253 = 309
  integer, parameter :: nGC_3254 = 310
  integer, parameter :: nGC_3255 = 311
  integer, parameter :: nGC_3256 = 312
  integer, parameter :: nGC_8984 = 313
  integer, parameter :: nGC_3257 = 314
  integer, parameter :: nGC_8991 = 315
  integer, parameter :: nGC_3258 = 316
  integer, parameter :: nGC_3259 = 317
  integer, parameter :: nGC_3260 = 318
  integer, parameter :: nGC_3261 = 319
  integer, parameter :: nGC_9012 = 320
  integer, parameter :: nGC_3262 = 321
  integer, parameter :: nGC_9019 = 322
  integer, parameter :: nGC_3263 = 323
  integer, parameter :: nGC_9026 = 324
  integer, parameter :: nGC_3264 = 325
  integer, parameter :: nGC_3265 = 326
  integer, parameter :: nGC_9039 = 327
  integer, parameter :: nGC_3266 = 328
  integer, parameter :: nGC_9047 = 329
  integer, parameter :: nGC_3267 = 330
  integer, parameter :: nGC_3268 = 331
  integer, parameter :: nGC_9063 = 332
  integer, parameter :: nGC_3269 = 333
  integer, parameter :: nGC_3270 = 334
  integer, parameter :: nGC_3271 = 335
  integer, parameter :: nGC_3272 = 336
  integer, parameter :: nGC_3273 = 337
  integer, parameter :: nGC_3274 = 338
  integer, parameter :: nGC_9085 = 339
  integer, parameter :: nGC_3275 = 340
  integer, parameter :: nGC_3276 = 341
  integer, parameter :: nGC_3277 = 342
  integer, parameter :: nGC_3278 = 343
  integer, parameter :: nGC_3279 = 344
  integer, parameter :: nGC_3280 = 345
  integer, parameter :: nGC_3281 = 346
  integer, parameter :: nGC_3282 = 347
  integer, parameter :: nGC_3283 = 348
  integer, parameter :: nGC_3284 = 349
  integer, parameter :: nGC_3285 = 350
  integer, parameter :: nGC_3286 = 351
  integer, parameter :: nGC_3287 = 352
  integer, parameter :: nGC_3288 = 353
  integer, parameter :: nGC_3289 = 354
  integer, parameter :: nGC_3290 = 355
  integer, parameter :: nGC_3291 = 356
  integer, parameter :: nGC_3292 = 357
  integer, parameter :: nGC_3293 = 358
  integer, parameter :: nGC_3294 = 359
  integer, parameter :: nGC_3295 = 360
  integer, parameter :: nGC_3296 = 361
  integer, parameter :: nGC_3297 = 362
  integer, parameter :: nGC_3298 = 363
  integer, parameter :: nGC_3299 = 364
  integer, parameter :: nGC_3300 = 365
  integer, parameter :: nGC_3301 = 366
  integer, parameter :: nGC_3302 = 367
  integer, parameter :: nGC_3303 = 368
  integer, parameter :: nGC_3304 = 369
  integer, parameter :: nGC_3305 = 370
  integer, parameter :: nGC_3306 = 371
  integer, parameter :: nGC_3307 = 372
  integer, parameter :: nGC_3308 = 373
  integer, parameter :: nGC_3309 = 374
  integer, parameter :: nGC_9567 = 375
  integer, parameter :: nGC_3310 = 376
  integer, parameter :: nGC_3311 = 377
  integer, parameter :: nGC_3312 = 378
  integer, parameter :: nGC_3313 = 379
  integer, parameter :: nGC_3314 = 380
  integer, parameter :: nGC_3315 = 381
  integer, parameter :: nGC_3316 = 382
  integer, parameter :: nGC_3317 = 383
  integer, parameter :: nGC_3318 = 384
  integer, parameter :: nGC_3319 = 385
  integer, parameter :: nGC_3320 = 386
  integer, parameter :: nGC_3321 = 387
  integer, parameter :: nGC_3322 = 388
  integer, parameter :: nGC_3323 = 389
  integer, parameter :: nGC_3324 = 390
  integer, parameter :: nGC_3325 = 391
  integer, parameter :: nGC_3326 = 392
  integer, parameter :: nGC_3327 = 393
  integer, parameter :: nGC_3328 = 394
  integer, parameter :: nGC_3329 = 395
  integer, parameter :: nGC_3330 = 396
  integer, parameter :: nGC_3331 = 397
  integer, parameter :: nGC_3332 = 398
  integer, parameter :: nGC_3333 = 399
  integer, parameter :: nGC_9755 = 400
  integer, parameter :: nGC_3334 = 401
  integer, parameter :: nGC_3335 = 402
  integer, parameter :: nGC_3336 = 403
  integer, parameter :: nGC_3098 = 404
  integer, parameter :: nGC_3097 = 405
  integer, parameter :: nGC_3234 = 406
  integer, parameter :: nGC_3094 = 407
  integer, parameter :: nGC_3126 = 408
  integer, parameter :: nGC_3125 = 409
  integer, parameter :: nGC_3127 = 410
  integer, parameter :: nGC_3105 = 411
  integer, parameter :: nGC_3106 = 412
  integer, parameter :: nGC_3134 = 413
  integer, parameter :: nGC_3135 = 414
  integer, parameter :: nGC_3136 = 415
  integer, parameter :: nGC_3118 = 416
  integer, parameter :: nGC_3119 = 417
  integer, parameter :: nGC_3117 = 418
  integer, parameter :: nGC_3095 = 419
  integer, parameter :: nGC_3107 = 420
  integer, parameter :: nGC_3108 = 421
  integer, parameter :: nGC_3139 = 422
  integer, parameter :: nGC_3138 = 423
  integer, parameter :: nGC_3137 = 424
  integer, parameter :: nGC_3142 = 425
  integer, parameter :: nGC_3141 = 426
  integer, parameter :: nGC_3140 = 427
  integer, parameter :: nGC_3182 = 428
  integer, parameter :: nGC_3183 = 429
  integer, parameter :: nGC_3181 = 430
  integer, parameter :: nGC_3184 = 431
  integer, parameter :: nGC_3124 = 432
  integer, parameter :: nGC_3123 = 433
  integer, parameter :: nGC_3122 = 434
  integer, parameter :: nGC_3145 = 435
  integer, parameter :: nGC_3144 = 436
  integer, parameter :: nGC_3143 = 437
  integer, parameter :: nGC_3146 = 438
  integer, parameter :: nGC_3148 = 439
  integer, parameter :: nGC_3147 = 440
  integer, parameter :: nGC_3176 = 441
  integer, parameter :: nGC_3179 = 442
  integer, parameter :: nGC_3178 = 443
  integer, parameter :: nGC_3177 = 444
  integer, parameter :: nGC_3104 = 445
  integer, parameter :: nGC_3103 = 446
  integer, parameter :: nGC_3193 = 447
  integer, parameter :: nGC_3192 = 448
  integer, parameter :: nGC_3197 = 449
  integer, parameter :: nGC_3198 = 450
  integer, parameter :: nGC_3096 = 451
  integer, parameter :: nGC_3132 = 452
  integer, parameter :: nGC_3133 = 453
  integer, parameter :: nGC_3131 = 454
  integer, parameter :: nGC_3130 = 455
  integer, parameter :: nGC_3204 = 456
  integer, parameter :: nGC_3202 = 457
  integer, parameter :: nGC_3203 = 458
  integer, parameter :: nGC_3114 = 459
  integer, parameter :: nGC_3113 = 460
  integer, parameter :: nGC_3111 = 461
  integer, parameter :: nGC_3112 = 462
  integer, parameter :: nGC_3128 = 463
  integer, parameter :: nGC_3129 = 464
  integer, parameter :: nGC_3115 = 465
  integer, parameter :: nGC_3116 = 466
  integer, parameter :: nGC_3110 = 467
  integer, parameter :: nGC_3109 = 468
  integer, parameter :: nGC_3201 = 469
  integer, parameter :: nGC_3200 = 470
  integer, parameter :: nGC_3199 = 471
  integer, parameter :: nGC_3174 = 472
  integer, parameter :: nGC_3173 = 473
  integer, parameter :: nGC_3175 = 474
  integer, parameter :: nGC_3160 = 475
  integer, parameter :: nGC_3158 = 476
  integer, parameter :: nGC_3159 = 477
  integer, parameter :: nGC_3164 = 478
  integer, parameter :: nGC_3166 = 479
  integer, parameter :: nGC_3165 = 480
  integer, parameter :: nGC_3100 = 481
  integer, parameter :: nGC_3099 = 482
  integer, parameter :: nGC_3101 = 483
  integer, parameter :: nGC_3102 = 484
  integer, parameter :: nGC_3195 = 485
  integer, parameter :: nGC_3196 = 486
  integer, parameter :: nGC_3194 = 487
  integer, parameter :: nGC_3092 = 488
  integer, parameter :: nGC_3093 = 489
  integer, parameter :: nGC_3189 = 490
  integer, parameter :: nGC_3191 = 491
  integer, parameter :: nGC_3190 = 492
  integer, parameter :: nGC_3187 = 493
  integer, parameter :: nGC_3188 = 494
  integer, parameter :: nGC_3186 = 495
  integer, parameter :: nGC_3207 = 496
  integer, parameter :: nGC_3210 = 497
  integer, parameter :: nGC_3208 = 498
  integer, parameter :: nGC_3209 = 499
  integer, parameter :: nGC_3214 = 500
  integer, parameter :: nGC_3236 = 501
  integer, parameter :: nGC_112 = 502
  integer, parameter :: nGC_3121 = 503
  integer, parameter :: nGC_3120 = 504
  integer, parameter :: nGC_3154 = 505
  integer, parameter :: nGC_3153 = 506
  integer, parameter :: nGC_3152 = 507
  integer, parameter :: nGC_3170 = 508
  integer, parameter :: nGC_3172 = 509
  integer, parameter :: nGC_3171 = 510
  integer, parameter :: nGC_3150 = 511
  integer, parameter :: nGC_3149 = 512
  integer, parameter :: nGC_3151 = 513
  integer, parameter :: nGC_3162 = 514
  integer, parameter :: nGC_3161 = 515
  integer, parameter :: nGC_3163 = 516
  integer, parameter :: nGC_3168 = 517
  integer, parameter :: nGC_3167 = 518
  integer, parameter :: nGC_3169 = 519
  integer, parameter :: nGC_3155 = 520
  integer, parameter :: nGC_3157 = 521
  integer, parameter :: nGC_3156 = 522
  integer, parameter :: nGC_144 = 523
  integer, parameter :: nGC_148 = 524
  integer, parameter :: nGC_152 = 525
  integer, parameter :: nGC_3389 = 526
  integer, parameter :: nGC_3391 = 527
  integer, parameter :: nGC_3393 = 528
  integer, parameter :: nGC_3395 = 529
  integer, parameter :: nGC_3397 = 530
  integer, parameter :: nGC_3399 = 531
  integer, parameter :: nGC_3217 = 532
  integer, parameter :: nGC_3216 = 533
  integer, parameter :: nGC_3227 = 534
  integer, parameter :: nGC_3226 = 535
  integer, parameter :: nGC_3211 = 536
  integer, parameter :: nGC_3205 = 537
  integer, parameter :: nGC_3218 = 538
  integer, parameter :: nGC_3414 = 539
  integer, parameter :: nGC_3225 = 540
  integer, parameter :: nGC_3416 = 541
  integer, parameter :: nGC_3206 = 542
  integer, parameter :: nGC_3418 = 543
  integer, parameter :: nGC_3419 = 544
  integer, parameter :: nGC_3421 = 545
  integer, parameter :: nGC_3423 = 546
  integer, parameter :: nGC_3221 = 547
  integer, parameter :: nGC_3219 = 548
  integer, parameter :: nGC_3224 = 549
  integer, parameter :: nGC_3222 = 550
  integer, parameter :: nGC_3233 = 551
  integer, parameter :: nGC_3232 = 552
  integer, parameter :: nGC_3220 = 553
  integer, parameter :: nGC_3438 = 554
  integer, parameter :: nGC_3223 = 555
  integer, parameter :: nGC_3440 = 556
  integer, parameter :: nGC_3235 = 557
  integer, parameter :: nGC_3442 = 558
  integer, parameter :: nGC_3228 = 559
  integer, parameter :: nGC_3185 = 560
  integer, parameter :: nGC_3212 = 561
  integer, parameter :: nGC_3213 = 562
  integer, parameter :: nGC_3229 = 563
  integer, parameter :: nGC_3231 = 564
  integer, parameter :: nGC_3180 = 565
  integer, parameter :: nGC_3456 = 566
  integer, parameter :: nGC_3215 = 567
  integer, parameter :: nGC_3458 = 568
  integer, parameter :: nGC_3230 = 569
  integer, parameter :: nGC_3460 = 570
  integer, parameter :: nGC_3337 = 571
  integer, parameter :: nGC_3338 = 572
  integer, parameter :: nGC_3339 = 573
  integer, parameter :: nGC_3340 = 574
  integer, parameter :: nGC_3341 = 575
  integer, parameter :: nGC_3342 = 576
  integer, parameter :: nGC_3343 = 577
  integer, parameter :: nGC_3344 = 578
  integer, parameter :: nGC_3345 = 579
  integer, parameter :: nGC_3346 = 580
  integer, parameter :: nGC_3347 = 581
  integer, parameter :: nGC_3348 = 582
  integer, parameter :: nGC_3349 = 583
  integer, parameter :: nGC_3350 = 584
  integer, parameter :: nGC_3351 = 585
  integer, parameter :: nGC_3352 = 586
  integer, parameter :: nGC_3353 = 587
  integer, parameter :: nGC_3354 = 588
  integer, parameter :: nGC_3355 = 589
  integer, parameter :: nGC_3357 = 590
  integer, parameter :: nGC_3358 = 591
  integer, parameter :: nGC_3359 = 592
  integer, parameter :: nGC_3360 = 593
  integer, parameter :: nGC_3361 = 594
  integer, parameter :: nGC_3362 = 595
  integer, parameter :: nGC_3363 = 596
  integer, parameter :: nGC_3364 = 597
  integer, parameter :: nGC_3365 = 598
  integer, parameter :: nGC_3366 = 599
  integer, parameter :: nGC_3367 = 600
  integer, parameter :: nGC_3368 = 601
  integer, parameter :: nGC_3369 = 602
  integer, parameter :: nGC_3370 = 603
  integer, parameter :: nGC_3371 = 604
  integer, parameter :: nGC_3372 = 605
  integer, parameter :: nGC_3373 = 606
  integer, parameter :: nGC_3374 = 607
  integer, parameter :: nGC_3375 = 608
  integer, parameter :: nGC_3376 = 609
  integer, parameter :: nGC_3377 = 610
  integer, parameter :: nGC_3378 = 611
  integer, parameter :: nGC_3379 = 612
  integer, parameter :: nGC_3380 = 613
  integer, parameter :: nGC_3381 = 614
  integer, parameter :: nGC_3382 = 615
  integer, parameter :: nGC_3383 = 616
  integer, parameter :: nGC_3384 = 617
  integer, parameter :: nGC_3385 = 618
  integer, parameter :: nGC_3386 = 619
  integer, parameter :: nGC_3387 = 620
  integer, parameter :: nGC_3388 = 621
  integer, parameter :: nGC_3475 = 622
  integer, parameter :: nGC_3476 = 623
  integer, parameter :: nGC_3477 = 624
  integer, parameter :: nGC_4727 = 625
  integer, parameter :: nGC_4732 = 626
  integer, parameter :: nGC_4733 = 627
  integer, parameter :: nGC_4736 = 628
  integer, parameter :: nGC_4737 = 629
  integer, parameter :: nGC_4749 = 630
  integer, parameter :: nGC_4753 = 631
  integer, parameter :: nGC_4757 = 632
  integer, parameter :: nGC_4758 = 633
  integer, parameter :: nGC_4759 = 634
  integer, parameter :: nGC_4765 = 635
  integer, parameter :: nGC_4766 = 636
  integer, parameter :: nGC_4767 = 637
  integer, parameter :: nGC_4776 = 638
  integer, parameter :: nGC_4777 = 639
  integer, parameter :: nGC_4785 = 640
  integer, parameter :: nGC_4786 = 641
  integer, parameter :: nGC_4787 = 642
  integer, parameter :: nGC_4800 = 643
  integer, parameter :: nGC_4801 = 644
  integer, parameter :: nGC_4804 = 645
  integer, parameter :: nGC_4805 = 646
  integer, parameter :: nGC_4812 = 647
  integer, parameter :: nGC_4816 = 648
  integer, parameter :: nGC_4817 = 649
  integer, parameter :: nGC_4821 = 650
  integer, parameter :: nGC_4822 = 651
  integer, parameter :: nGC_4826 = 652
  integer, parameter :: nGC_4827 = 653
  integer, parameter :: nGC_4837 = 654
  integer, parameter :: nGC_4838 = 655
  integer, parameter :: nGC_4842 = 656
  integer, parameter :: nGC_4843 = 657
  integer, parameter :: nGC_4847 = 658
  integer, parameter :: nGC_4848 = 659
  integer, parameter :: nGC_4857 = 660
  integer, parameter :: nGC_4860 = 661
  integer, parameter :: nGC_4861 = 662
  integer, parameter :: nGC_4866 = 663
  integer, parameter :: nGC_4869 = 664
  integer, parameter :: nGC_4876 = 665
  integer, parameter :: nGC_4883 = 666
  integer, parameter :: nGC_4887 = 667
  integer, parameter :: nGC_4894 = 668
  integer, parameter :: nGC_4898 = 669
  integer, parameter :: nGC_4903 = 670
  integer, parameter :: nGC_4907 = 671
  integer, parameter :: nGC_4911 = 672
  integer, parameter :: nGC_4915 = 673
  integer, parameter :: nGC_4919 = 674
  integer, parameter :: nGC_4923 = 675
  integer, parameter :: nGC_4927 = 676
  integer, parameter :: nGC_4931 = 677
  integer, parameter :: nGC_4935 = 678
  integer, parameter :: nGC_4938 = 679
  integer, parameter :: nGC_4941 = 680
  integer, parameter :: nGC_4945 = 681
  integer, parameter :: nGC_4949 = 682
  integer, parameter :: nGC_4966 = 683
  integer, parameter :: nGC_4969 = 684
  integer, parameter :: nGC_4974 = 685
  integer, parameter :: nGC_4977 = 686
  integer, parameter :: nGC_4985 = 687
  integer, parameter :: nGC_4988 = 688
  integer, parameter :: nGC_5028 = 689
  integer, parameter :: nGC_5032 = 690
  integer, parameter :: nGC_5036 = 691
  integer, parameter :: nGC_5044 = 692
  integer, parameter :: nGC_5045 = 693
  integer, parameter :: nGC_5046 = 694
  integer, parameter :: nGC_5054 = 695
  integer, parameter :: nGC_5055 = 696
  integer, parameter :: nGC_5056 = 697
  integer, parameter :: nGC_5057 = 698
  integer, parameter :: nGC_5090 = 699
  integer, parameter :: nGC_5091 = 700
  integer, parameter :: nGC_5092 = 701
  integer, parameter :: nGC_5100 = 702
  integer, parameter :: nGC_5101 = 703
  integer, parameter :: nGC_5102 = 704
  integer, parameter :: nGC_5103 = 705
  integer, parameter :: nGC_5136 = 706
  integer, parameter :: nGC_5137 = 707
  integer, parameter :: nGC_5138 = 708
  integer, parameter :: nGC_5146 = 709
  integer, parameter :: nGC_5147 = 710
  integer, parameter :: nGC_5148 = 711
  integer, parameter :: nGC_5149 = 712
  integer, parameter :: nGC_5180 = 713
  integer, parameter :: nGC_5228 = 714
  integer, parameter :: nGC_5265 = 715
  integer, parameter :: nGC_5281 = 716
  integer, parameter :: nGC_5282 = 717
  integer, parameter :: nGC_5289 = 718
  integer, parameter :: nGC_5290 = 719
  integer, parameter :: nGC_5297 = 720
  integer, parameter :: nGC_5298 = 721
  integer, parameter :: nGC_3402 = 722
  integer, parameter :: nGC_3404 = 723
  integer, parameter :: nGC_3406 = 724
  integer, parameter :: nGC_3408 = 725
  integer, parameter :: nGC_3410 = 726
  integer, parameter :: nGC_3412 = 727
  integer, parameter :: nGC_3413 = 728
  integer, parameter :: nGC_5328 = 729
  integer, parameter :: nGC_5329 = 730
  integer, parameter :: nGC_3415 = 731
  integer, parameter :: nGC_5335 = 732
  integer, parameter :: nGC_5336 = 733
  integer, parameter :: nGC_3417 = 734
  integer, parameter :: nGC_5342 = 735
  integer, parameter :: nGC_5343 = 736
  integer, parameter :: nGC_5347 = 737
  integer, parameter :: nGC_5351 = 738
  integer, parameter :: nGC_5355 = 739
  integer, parameter :: nGC_3426 = 740
  integer, parameter :: nGC_3428 = 741
  integer, parameter :: nGC_3430 = 742
  integer, parameter :: nGC_3432 = 743
  integer, parameter :: nGC_3434 = 744
  integer, parameter :: nGC_3436 = 745
  integer, parameter :: nGC_3437 = 746
  integer, parameter :: nGC_5385 = 747
  integer, parameter :: nGC_5386 = 748
  integer, parameter :: nGC_3439 = 749
  integer, parameter :: nGC_5392 = 750
  integer, parameter :: nGC_5393 = 751
  integer, parameter :: nGC_3441 = 752
  integer, parameter :: nGC_5399 = 753
  integer, parameter :: nGC_5400 = 754
  integer, parameter :: nGC_3444 = 755
  integer, parameter :: nGC_3446 = 756
  integer, parameter :: nGC_3448 = 757
  integer, parameter :: nGC_3450 = 758
  integer, parameter :: nGC_3452 = 759
  integer, parameter :: nGC_3454 = 760
  integer, parameter :: nGC_3455 = 761
  integer, parameter :: nGC_5448 = 762
  integer, parameter :: nGC_5449 = 763
  integer, parameter :: nGC_3457 = 764
  integer, parameter :: nGC_5455 = 765
  integer, parameter :: nGC_5456 = 766
  integer, parameter :: nGC_3459 = 767
  integer, parameter :: nGC_5462 = 768
  integer, parameter :: nGC_5463 = 769
  integer, parameter :: nGC_5560 = 770
  integer, parameter :: nGC_5563 = 771
  integer, parameter :: nGC_5566 = 772
  integer, parameter :: nGC_5586 = 773
  integer, parameter :: nGC_5599 = 774
  integer, parameter :: nGC_6205 = 775
  integer, parameter :: nGC_6221 = 776
  integer, parameter :: nGC_6524 = 777
  integer, parameter :: nGC_6535 = 778
  integer, parameter :: nGC_6844 = 779
  integer, parameter :: nGC_6988 = 780
  integer, parameter :: nGC_3401 = 781
  integer, parameter :: nGC_3403 = 782
  integer, parameter :: nGC_3405 = 783
  integer, parameter :: nGC_3407 = 784
  integer, parameter :: nGC_3409 = 785
  integer, parameter :: nGC_3411 = 786
  integer, parameter :: nGC_3425 = 787
  integer, parameter :: nGC_3427 = 788
  integer, parameter :: nGC_3429 = 789
  integer, parameter :: nGC_3431 = 790
  integer, parameter :: nGC_3433 = 791
  integer, parameter :: nGC_3435 = 792
  integer, parameter :: nGC_3443 = 793
  integer, parameter :: nGC_3445 = 794
  integer, parameter :: nGC_3447 = 795
  integer, parameter :: nGC_3449 = 796
  integer, parameter :: nGC_3451 = 797
  integer, parameter :: nGC_3453 = 798
  integer, parameter :: nGC_5305 = 799
  integer, parameter :: nGC_5306 = 800
  integer, parameter :: nGC_5313 = 801
  integer, parameter :: nGC_5314 = 802
  integer, parameter :: nGC_5321 = 803
  integer, parameter :: nGC_5322 = 804
  integer, parameter :: nGC_5362 = 805
  integer, parameter :: nGC_5363 = 806
  integer, parameter :: nGC_5370 = 807
  integer, parameter :: nGC_5371 = 808
  integer, parameter :: nGC_5378 = 809
  integer, parameter :: nGC_5379 = 810
  integer, parameter :: nGC_5425 = 811
  integer, parameter :: nGC_5426 = 812
  integer, parameter :: nGC_5433 = 813
  integer, parameter :: nGC_5434 = 814
  integer, parameter :: nGC_5441 = 815
  integer, parameter :: nGC_5442 = 816
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
