!******************************************************************************!
!                                                                              !
!    class_ctparameters.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_ctparameters.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 14:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_ctparameters
  use constants_mdl, only: dp
  implicit none
  logical :: complex_mass_scheme=.true.
  complex(dp) :: dt_QED1
  integer :: dt_QED1_scheme = 0
  complex(dp) :: dZH_QED2
  integer :: dZH_QED2_scheme = 0
  complex(dp) :: dMH2_QED2
  integer :: dMH2_QED2_scheme = 0
  complex(dp) :: dZg_QCD2
  integer :: dZg_QCD2_scheme = 0
  complex(dp) :: dZAZ_QED2
  integer :: dZAZ_QED2_scheme = 0
  complex(dp) :: dZA_QED2
  integer :: dZA_QED2_scheme = 0
  complex(dp) :: dZZA_QED2
  integer :: dZZA_QED2_scheme = 0
  complex(dp) :: dZZ_QED2
  integer :: dZZ_QED2_scheme = 0
  complex(dp) :: dMZ2_QED2
  integer :: dMZ2_QED2_scheme = 0
  complex(dp) :: dZWMinus_QED2
  integer :: dZWMinus_QED2_scheme = 0
  complex(dp) :: dMW2_QED2
  integer :: dMW2_QED2_scheme = 0
  complex(dp) :: dZeeZM_QED2
  integer :: dZeeZM_QED2_scheme = 0
  complex(dp) :: dZgs_QCD2
  integer :: dZgs_QCD2_scheme = 1
  complex(dp) :: dr_QED2
  integer :: dr_QED2_scheme = 0
  complex(dp) :: dalZ_QED2
  integer :: dalZ_QED2_scheme = 0
  complex(dp) :: dZee_QED2
  integer :: dZee_QED2_scheme = 1
  complex(dp) :: dZeMinusR
  complex(dp) :: dZeMinusL
  complex(dp) :: dZsR
  complex(dp) :: dZtauMinusR
  complex(dp) :: dZcL
  complex(dp) :: dZnu_tauL
  complex(dp) :: dZbL
  complex(dp) :: dZcR
  complex(dp) :: dZnu_eL
  complex(dp) :: dMC
  complex(dp) :: dMS
  complex(dp) :: dZdR
  complex(dp) :: dZnu_tauR
  complex(dp) :: dZmuMinusL
  complex(dp) :: dZbR
  complex(dp) :: dZnu_eR
  complex(dp) :: dME
  complex(dp) :: dMB
  complex(dp) :: dMD
  complex(dp) :: dMTA
  complex(dp) :: dZdL
  complex(dp) :: dZtR
  complex(dp) :: dZtauMinusL
  complex(dp) :: dMU
  complex(dp) :: dZnu_muL
  complex(dp) :: dZuR
  complex(dp) :: dZtL
  complex(dp) :: dZnu_muR
  complex(dp) :: dZmuMinusR
  complex(dp) :: dMT
  complex(dp) :: dZuL
  complex(dp) :: dMM
  complex(dp) :: dZsL
! Derived counterterm parameters
  complex(dp) :: dyb_QED1
  complex(dp) :: dyb_QED3
  complex(dp) :: dsw_QED2
  complex(dp) :: dg1_QED3
  complex(dp) :: dcw_QED2
  complex(dp) :: dyt_QED1
  complex(dp) :: dyt_QED3
  complex(dp) :: dvev_QED1
  complex(dp) :: dydo_QED3
  complex(dp) :: dydo_QED1
  complex(dp) :: dmuH2_QED2
  complex(dp) :: dyc_QED3
  complex(dp) :: dyc_QED1
  complex(dp) :: dytau_QED1
  complex(dp) :: dytau_QED3
  complex(dp) :: dgw_QED3
  complex(dp) :: dsw2_QED2
  complex(dp) :: dys_QED1
  complex(dp) :: dys_QED3
  complex(dp) :: dye_QED3
  complex(dp) :: dye_QED1
  complex(dp) :: dyup_QED1
  complex(dp) :: dyup_QED3
  complex(dp) :: dym_QED1
  complex(dp) :: dym_QED3
  complex(dp) :: dlam_QED4
  contains
  subroutine set_complex_mass_scheme_mdl

    ! This subroutine (re-)enables the complex mass scheme (hep-ph/0505042)

    complex_mass_scheme = .true.

  end subroutine set_complex_mass_scheme_mdl

  subroutine set_on_shell_scheme_mdl

    ! This subroutine disables the complex mass scheme

    complex_mass_scheme = .false.

  end subroutine set_on_shell_scheme_mdl
end module class_ctparameters
