!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 14:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_10) = -gs
    coupl(nGC_12) = cima*gs**2d0
    coupl(nGC_3) = -cima*ee
    coupl(nGC_5) = cima*ee**2d0
    coupl(nGC_25) = cima*cw*ee/sw
    coupl(nGC_18) = -cima*ee**2d0/sw**2d0
    coupl(nGC_29) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_19) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_4) = cima*ee
    coupl(nGC_16) = cMW*cima*ee
    coupl(nGC_30) = -cMW*ee/(2d0*sw)
    coupl(nGC_31) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_43) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
    coupl(nGC_24) = -cima*cw*ee/sw
    coupl(nGC_32) = cMW*ee/(2d0*sw)
    coupl(nGC_33) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_44) = -cMZ*cima*cw*ee/(2d0*sw) - cMZ*cima*ee*sw/(2d0*cw)
    coupl(nGC_15) = -3d0*cima*lam/2d0
    coupl(nGC_13) = -cima*lam/2d0
    coupl(nGC_14) = -cima*lam
    coupl(nGC_48) = -cima*lam*vev/2d0
    coupl(nGC_49) = -3d0*cima*lam*vev/2d0
    coupl(nGC_6) = 2d0*cima*ee**2d0
    coupl(nGC_28) = ee**2d0/(2d0*sw)
    coupl(nGC_27) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_51) = -cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_22) = ee/(2d0*sw)
    coupl(nGC_21) = cima*ee/(2d0*sw)
    coupl(nGC_26) = -ee**2d0/(2d0*sw)
    coupl(nGC_20) = -cima*ee/(2d0*sw)
    coupl(nGC_17) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_50) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_42) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
    coupl(nGC_37) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
    coupl(nGC_40) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_9) = ee**2d0/(2d0*cw)
    coupl(nGC_8) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_47) = -cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_7) = -ee**2d0/(2d0*cw)
    coupl(nGC_46) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_45) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_52) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*vev  &
                     + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_11) = cima*gs
    coupl(nGC_23) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_35) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_39) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_34) = cima*ee*sw/(3d0*cw)
    coupl(nGC_38) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_41) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_36) = cima*ee*sw/cw
    coupl(nGC_85) = cima*yup
    coupl(nGC_61) = -cima*ydo
    coupl(nGC_57) = cima*yc
    coupl(nGC_73) = -cima*ys
    coupl(nGC_77) = cima*yt
    coupl(nGC_53) = -cima*yb
    coupl(nGC_64) = sqrt(2d0)*ydo/2d0
    coupl(nGC_62) = -sqrt(2d0)*ydo/2d0
    coupl(nGC_76) = sqrt(2d0)*ys/2d0
    coupl(nGC_74) = -sqrt(2d0)*ys/2d0
    coupl(nGC_56) = sqrt(2d0)*yb/2d0
    coupl(nGC_54) = -sqrt(2d0)*yb/2d0
    coupl(nGC_63) = -sqrt(2d0)*cima*ydo/2d0
    coupl(nGC_75) = -sqrt(2d0)*cima*ys/2d0
    coupl(nGC_55) = -sqrt(2d0)*cima*yb/2d0
    coupl(nGC_65) = -cima*ye
    coupl(nGC_69) = -cima*ym
    coupl(nGC_81) = -cima*ytau
    coupl(nGC_68) = sqrt(2d0)*ye/2d0
    coupl(nGC_66) = -sqrt(2d0)*ye/2d0
    coupl(nGC_72) = sqrt(2d0)*ym/2d0
    coupl(nGC_70) = -sqrt(2d0)*ym/2d0
    coupl(nGC_84) = sqrt(2d0)*ytau/2d0
    coupl(nGC_82) = -sqrt(2d0)*ytau/2d0
    coupl(nGC_67) = -sqrt(2d0)*cima*ye/2d0
    coupl(nGC_71) = -sqrt(2d0)*cima*ym/2d0
    coupl(nGC_83) = -sqrt(2d0)*cima*ytau/2d0
    coupl(nGC_86) = -sqrt(2d0)*yup/2d0
    coupl(nGC_88) = sqrt(2d0)*yup/2d0
    coupl(nGC_58) = -sqrt(2d0)*yc/2d0
    coupl(nGC_60) = sqrt(2d0)*yc/2d0
    coupl(nGC_78) = -sqrt(2d0)*yt/2d0
    coupl(nGC_80) = sqrt(2d0)*yt/2d0
    coupl(nGC_87) = -sqrt(2d0)*cima*yup/2d0
    coupl(nGC_59) = -sqrt(2d0)*cima*yc/2d0
    coupl(nGC_79) = -sqrt(2d0)*cima*yt/2d0
    coupl(nGC_MH) = -cMH**2d0*cima
    coupl(nGC_I) = cima
    coupl(nGC_MI) = -cima
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_164) = -2d0*coupl(nGC_12)
    coupl(nGC_168) = 2d0*coupl(nGC_12)
    coupl(nGC_170) = -coupl(nGC_12)
    coupl(nGC_184) = -2d0*coupl(nGC_5)
    coupl(nGC_190) = -2d0*coupl(nGC_18)
    coupl(nGC_194) = -coupl(nGC_29)/2d0
    coupl(nGC_198) = -2d0*coupl(nGC_19)
    coupl(nGC_202) = -coupl(nGC_4)
    coupl(nGC_206) = -coupl(nGC_3)
    coupl(nGC_220) = -coupl(nGC_25)
    coupl(nGC_226) = -coupl(nGC_24)
    coupl(nGC_256) = -coupl(nGC_10)
    coupl(nGC_1120) = -coupl(nGC_22)
    coupl(nGC_1130) = -coupl(nGC_21)
    coupl(nGC_1256) = -coupl(nGC_20)
    coupl(nGC_1414) = -coupl(nGC_37)
    coupl(nGC_1424) = -coupl(nGC_40)
    coupl(nGC_3098) = -gs
    coupl(nGC_3097) = 2d0*cima*gs**2d0
    coupl(nGC_3234) = -cima*ee
    coupl(nGC_3094) = 2d0*cima*ee**2d0
    coupl(nGC_3126) = cima*ee/sw
    coupl(nGC_3125) = -cima*cw*ee/sw**2d0
    coupl(nGC_3127) = cima*cw*ee/sw
    coupl(nGC_3105) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_3106) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_3134) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3135) = 2d0*cima*ee**2d0/sw
    coupl(nGC_3136) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_3118) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3119) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_3117) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_3095) = cima*ee
    coupl(nGC_3107) = cMW*cima*ee
    coupl(nGC_3108) = cima*ee/(2d0*cMW)
    coupl(nGC_3139) = -ee/(4d0*cMW*sw)
    coupl(nGC_3138) = -cMW*ee/(2d0*sw)
    coupl(nGC_3137) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3142) = -cima*ee/(4d0*cMW*sw)
    coupl(nGC_3141) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_3140) = cMW*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3182) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3183) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_3181) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3184) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_3124) = -cima*cw*ee/sw
    coupl(nGC_3123) = -cima*ee/sw
    coupl(nGC_3122) = cima*cw*ee/sw**2d0
    coupl(nGC_3145) = ee/(4d0*cMW*sw)
    coupl(nGC_3144) = cMW*ee/(2d0*sw)
    coupl(nGC_3143) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3146) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3148) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_3147) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_3176) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3179) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_3178) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3177) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3104) = -3d0*cima/2d0
    coupl(nGC_3103) = -cima/2d0
    coupl(nGC_3193) = -cima*lam/2d0
    coupl(nGC_3192) = -cima*vev/2d0
    coupl(nGC_3197) = -3d0*cima*vev/2d0
    coupl(nGC_3198) = -3d0*cima*lam/2d0
    coupl(nGC_3096) = 4d0*cima*ee**2d0
    coupl(nGC_3132) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3133) = ee**2d0/sw
    coupl(nGC_3131) = -cima*ee**2d0/sw
    coupl(nGC_3130) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3204) = -cima*ee**2d0*vev/sw
    coupl(nGC_3202) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_3203) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_3114) = ee/(2d0*sw)
    coupl(nGC_3113) = -ee/(2d0*sw**2d0)
    coupl(nGC_3111) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_3112) = cima*ee/(2d0*sw)
    coupl(nGC_3128) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3129) = -ee**2d0/sw
    coupl(nGC_3115) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_3116) = -cima*ee/(2d0*sw)
    coupl(nGC_3110) = cima*ee**2d0/sw**2d0
    coupl(nGC_3109) = -cima*ee**2d0/sw**3d0
    coupl(nGC_3201) = cima*ee**2d0*vev/sw**2d0
    coupl(nGC_3200) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_3199) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3174) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_3173) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_3175) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_3160) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3158) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3159) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3164) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3166) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_3165) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3100) = ee**2d0/cw
    coupl(nGC_3099) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3101) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3102) = -cima*ee**2d0/cw
    coupl(nGC_3195) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_3196) = -cima*ee**2d0*vev/cw
    coupl(nGC_3194) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_3092) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3093) = -ee**2d0/cw
    coupl(nGC_3189) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3191) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_3190) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3187) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3188) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_3186) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3207) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**  &
                      2d0)
    coupl(nGC_3210) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_3208) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_3209) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_3214) = -2d0*cima*ee/3d0
    coupl(nGC_3236) = cima*ee/3d0
    coupl(nGC_112) = cima*gs
    coupl(nGC_3121) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_3120) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3154) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_3153) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3152) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_3170) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3172) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3171) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3150) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3149) = cima*ee/(3d0*cw)
    coupl(nGC_3151) = cima*ee*sw/(3d0*cw)
    coupl(nGC_3162) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3161) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3163) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3168) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3167) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3169) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3155) = cima*ee/cw
    coupl(nGC_3157) = cima*ee*sw/cw
    coupl(nGC_3156) = -cima*ee*sw/cw**2d0
    coupl(nGC_144) = cima/(2d0*cMW)
    coupl(nGC_148) = -cima/(2d0*cMW)
    coupl(nGC_152) = 1d0/(2d0*cMZ)
    coupl(nGC_3217) = sqrt(2d0)/2d0
    coupl(nGC_3216) = -sqrt(2d0)/2d0
    coupl(nGC_3227) = sqrt(2d0)/2d0
    coupl(nGC_3226) = -sqrt(2d0)/2d0
    coupl(nGC_3211) = sqrt(2d0)/2d0
    coupl(nGC_3205) = -sqrt(2d0)/2d0
    coupl(nGC_3218) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3225) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3206) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3221) = sqrt(2d0)/2d0
    coupl(nGC_3219) = -sqrt(2d0)/2d0
    coupl(nGC_3224) = sqrt(2d0)/2d0
    coupl(nGC_3222) = -sqrt(2d0)/2d0
    coupl(nGC_3233) = sqrt(2d0)/2d0
    coupl(nGC_3232) = -sqrt(2d0)/2d0
    coupl(nGC_3220) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3223) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3235) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3228) = -sqrt(2d0)/2d0
    coupl(nGC_3185) = sqrt(2d0)/2d0
    coupl(nGC_3212) = -sqrt(2d0)/2d0
    coupl(nGC_3213) = sqrt(2d0)/2d0
    coupl(nGC_3229) = -sqrt(2d0)/2d0
    coupl(nGC_3231) = sqrt(2d0)/2d0
    coupl(nGC_3180) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3215) = -sqrt(2d0)*cima/2d0
    coupl(nGC_3230) = -sqrt(2d0)*cima/2d0
  end subroutine fill_couplings_mdl1
end module fill_couplings1
