!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 14:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_3356) = -cima*dlam_QED4
    coupl(nGC_3461) = -cima*dMH2_QED2
    coupl(nGC_3464) = -cima*dME
    coupl(nGC_3465) = -cima*dMM
    coupl(nGC_3466) = -cima*dMTA
    coupl(nGC_3467) = -cima*dMU
    coupl(nGC_3468) = -cima*dMC
    coupl(nGC_3469) = -cima*dMT
    coupl(nGC_3470) = -cima*dMD
    coupl(nGC_3471) = -cima*dMS
    coupl(nGC_3472) = -cima*dMB
    coupl(nGC_3473) = cima*dMZ2_QED2
    coupl(nGC_3474) = cima*dMW2_QED2
    coupl(nGC_GG) = cima*dt_QED1/vev
    coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
    coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
    coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
    coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
    coupl(nGC_4756) = coupl(nGC_29)*dZZA_QED2
    coupl(nGC_4764) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_5)*dZAZ_QED2/2d0
    coupl(nGC_4782) = coupl(nGC_29)*dZAZ_QED2
    coupl(nGC_4872) = coupl(nGC_3356) + coupl(nGC_GPGMGPGM)
    coupl(nGC_4989) = coupl(nGC_37)*dZZA_QED2/2d0
    coupl(nGC_5029) = coupl(nGC_46)*dZZA_QED2/2d0
    coupl(nGC_5037) = coupl(nGC_52)*dZZA_QED2/2d0
    coupl(nGC_5038) = coupl(nGC_4)*dZeMinusL
    coupl(nGC_5040) = coupl(nGC_4)*dZeMinusR
    coupl(nGC_5039) = coupl(nGC_40)*dZZA_QED2/2d0
    coupl(nGC_5041) = coupl(nGC_36)*dZZA_QED2/2d0
    coupl(nGC_5047) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_5050) = coupl(nGC_36)*dZeMinusR
    coupl(nGC_5053) = coupl(nGC_40)*dZeMinusL
    coupl(nGC_5058) = coupl(nGC_4)*dZmuMinusL
    coupl(nGC_5060) = coupl(nGC_4)*dZmuMinusR
    coupl(nGC_5067) = coupl(nGC_36)*dZmuMinusR
    coupl(nGC_5070) = coupl(nGC_40)*dZmuMinusL
    coupl(nGC_5071) = coupl(nGC_4)*dZtauMinusL
    coupl(nGC_5073) = coupl(nGC_4)*dZtauMinusR
    coupl(nGC_5080) = coupl(nGC_36)*dZtauMinusR
    coupl(nGC_5083) = coupl(nGC_40)*dZtauMinusL
    coupl(nGC_5084) = coupl(nGC_2)*dZuL
    coupl(nGC_5086) = coupl(nGC_2)*dZuR
    coupl(nGC_5085) = coupl(nGC_39)*dZZA_QED2/2d0
    coupl(nGC_5087) = coupl(nGC_35)*dZZA_QED2/2d0
    coupl(nGC_5093) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_5096) = coupl(nGC_35)*dZuR
    coupl(nGC_5099) = coupl(nGC_39)*dZuL
    coupl(nGC_5104) = coupl(nGC_2)*dZcL
    coupl(nGC_5106) = coupl(nGC_2)*dZcR
    coupl(nGC_5113) = coupl(nGC_35)*dZcR
    coupl(nGC_5116) = coupl(nGC_39)*dZcL
    coupl(nGC_5117) = coupl(nGC_2)*dZtL
    coupl(nGC_5119) = coupl(nGC_2)*dZtR
    coupl(nGC_5126) = coupl(nGC_35)*dZtR
    coupl(nGC_5129) = coupl(nGC_39)*dZtL
    coupl(nGC_5130) = coupl(nGC_1)*dZdL
    coupl(nGC_5132) = coupl(nGC_1)*dZdR
    coupl(nGC_5131) = coupl(nGC_38)*dZZA_QED2/2d0
    coupl(nGC_5133) = coupl(nGC_34)*dZZA_QED2/2d0
    coupl(nGC_5139) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_5142) = coupl(nGC_34)*dZdR
    coupl(nGC_5145) = coupl(nGC_38)*dZdL
    coupl(nGC_5150) = coupl(nGC_1)*dZsL
    coupl(nGC_5152) = coupl(nGC_1)*dZsR
    coupl(nGC_5159) = coupl(nGC_34)*dZsR
    coupl(nGC_5162) = coupl(nGC_38)*dZsL
    coupl(nGC_5163) = coupl(nGC_1)*dZbL
    coupl(nGC_5165) = coupl(nGC_1)*dZbR
    coupl(nGC_5172) = coupl(nGC_34)*dZbR
    coupl(nGC_5175) = coupl(nGC_38)*dZbL
    coupl(nGC_5176) = coupl(nGC_11)*dZuL
    coupl(nGC_5177) = coupl(nGC_11)*dZuR
    coupl(nGC_5185) = coupl(nGC_11)*dZcL
    coupl(nGC_5186) = coupl(nGC_11)*dZcR
    coupl(nGC_5193) = coupl(nGC_11)*dZtL
    coupl(nGC_5194) = coupl(nGC_11)*dZtR
    coupl(nGC_5201) = coupl(nGC_11)*dZdL
    coupl(nGC_5202) = coupl(nGC_11)*dZdR
    coupl(nGC_5209) = coupl(nGC_11)*dZsL
    coupl(nGC_5210) = coupl(nGC_11)*dZsR
    coupl(nGC_5217) = coupl(nGC_11)*dZbL
    coupl(nGC_5218) = coupl(nGC_11)*dZbR
    coupl(nGC_5227) = coupl(nGC_23)*(dZdL + dZuL)/2d0
    coupl(nGC_5231) = coupl(nGC_23)*(dZcL + dZsL)/2d0
    coupl(nGC_5234) = coupl(nGC_23)*(dZbL + dZtL)/2d0
    coupl(nGC_5246) = coupl(nGC_23)*(dZeMinusL + dZnu_eL)/2d0
    coupl(nGC_5249) = coupl(nGC_23)*(dZmuMinusL + dZnu_muL)/2d0
    coupl(nGC_5252) = coupl(nGC_23)*(dZnu_tauL + dZtauMinusL)/2d0
    coupl(nGC_5264) = coupl(nGC_41)*dZnu_eL
    coupl(nGC_5266) = coupl(nGC_41)*dZZA_QED2/2d0
    coupl(nGC_5269) = coupl(nGC_41)*dZnu_muL
    coupl(nGC_5273) = coupl(nGC_41)*dZnu_tauL
    coupl(nGC_3390) = cima*dyup_QED3
    coupl(nGC_3392) = -cima*dydo_QED3
    coupl(nGC_3394) = cima*dyc_QED3
    coupl(nGC_3396) = -cima*dys_QED3
    coupl(nGC_3398) = cima*dyt_QED3
    coupl(nGC_3400) = -cima*dyb_QED3
    coupl(nGC_5324) = coupl(nGC_63)*(dZdL + dZdR)/2d0
    coupl(nGC_5331) = coupl(nGC_75)*(dZsL + dZsR)/2d0
    coupl(nGC_5338) = coupl(nGC_55)*(dZbL + dZbR)/2d0
    coupl(nGC_3420) = -cima*dye_QED3
    coupl(nGC_3422) = -cima*dym_QED3
    coupl(nGC_3424) = -cima*dytau_QED3
    coupl(nGC_5381) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5388) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5395) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_5444) = coupl(nGC_87)*(dZuL + dZuR)/2d0
    coupl(nGC_5451) = coupl(nGC_59)*(dZcL + dZcR)/2d0
    coupl(nGC_5458) = coupl(nGC_79)*(dZtL + dZtR)/2d0
    coupl(nGC_5476) = coupl(nGC_3461) + coupl(nGC_MH)*dZH_QED2
    coupl(nGC_5475) = coupl(nGC_I)*dZH_QED2
    coupl(nGC_5477) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_5478) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_5479) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_5480) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_5481) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_5482) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_5485) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5486) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_5487) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_5488) = coupl(nGC_3464) + coupl(nGC_5485)
    coupl(nGC_5491) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5492) = coupl(nGC_MI)*dZmuMinusL
    coupl(nGC_5493) = coupl(nGC_MI)*dZmuMinusR
    coupl(nGC_5494) = coupl(nGC_3465) + coupl(nGC_5491)
    coupl(nGC_5497) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_5498) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_5499) = coupl(nGC_MI)*dZtauMinusR
    coupl(nGC_5500) = coupl(nGC_3466) + coupl(nGC_5497)
    coupl(nGC_5503) = coupl(nGC_MU)*(dZuL + dZuR)/2d0
    coupl(nGC_5504) = coupl(nGC_MI)*dZuL
    coupl(nGC_5505) = coupl(nGC_MI)*dZuR
    coupl(nGC_5506) = coupl(nGC_3467) + coupl(nGC_5503)
    coupl(nGC_5509) = coupl(nGC_MC)*(dZcL + dZcR)/2d0
    coupl(nGC_5510) = coupl(nGC_MI)*dZcL
    coupl(nGC_5511) = coupl(nGC_MI)*dZcR
    coupl(nGC_5512) = coupl(nGC_3468) + coupl(nGC_5509)
    coupl(nGC_5515) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
    coupl(nGC_5516) = coupl(nGC_MI)*dZtL
    coupl(nGC_5517) = coupl(nGC_MI)*dZtR
    coupl(nGC_5518) = coupl(nGC_3469) + coupl(nGC_5515)
    coupl(nGC_5521) = coupl(nGC_MD)*(dZdL + dZdR)/2d0
    coupl(nGC_5522) = coupl(nGC_MI)*dZdL
    coupl(nGC_5523) = coupl(nGC_MI)*dZdR
    coupl(nGC_5524) = coupl(nGC_3470) + coupl(nGC_5521)
    coupl(nGC_5527) = coupl(nGC_MS)*(dZsL + dZsR)/2d0
    coupl(nGC_5528) = coupl(nGC_MI)*dZsL
    coupl(nGC_5529) = coupl(nGC_MI)*dZsR
    coupl(nGC_5530) = coupl(nGC_3471) + coupl(nGC_5527)
    coupl(nGC_5533) = coupl(nGC_MB)*(dZbL + dZbR)/2d0
    coupl(nGC_5534) = coupl(nGC_MI)*dZbL
    coupl(nGC_5535) = coupl(nGC_MI)*dZbR
    coupl(nGC_5536) = coupl(nGC_3472) + coupl(nGC_5533)
    coupl(nGC_5537) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_5538) = -coupl(nGC_5537)
    coupl(nGC_5539) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_5540) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_5541) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_5545) = coupl(nGC_3473) + coupl(nGC_MZ)*dZZ_QED2
    coupl(nGC_5544) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_5546) = -coupl(nGC_5544)
    coupl(nGC_5553) = coupl(nGC_3474) + coupl(nGC_MW)*dZWMinus_QED2
    coupl(nGC_5552) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_5554) = -coupl(nGC_5552)
    coupl(nGC_5555) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_5556) = -coupl(nGC_5555)
    coupl(nGC_5567) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_6998) = -coupl(nGC_4989)
    coupl(nGC_3237) = cima*(-Nc*cMB**2d0*coupl(nGC_53)**2d0 - Nc*cMB**2d0*coupl&
                      (nGC_77)**2d0 - Nc*cMC**2d0*coupl(nGC_57)**2d0 - Nc*cMC**&
                      2d0*coupl(nGC_73)**2d0 - Nc*cMD**2d0*coupl(nGC_61)**2d0  &
                       - Nc*cMD**2d0*coupl(nGC_85)**2d0 - Nc*cMS**2d0*coupl(   &
                      nGC_57)**2d0 - Nc*cMS**2d0*coupl(nGC_73)**2d0 - Nc*cMT** &
                      2d0*coupl(nGC_53)**2d0 - Nc*cMT**2d0*coupl(nGC_77)**2d0  &
                       - Nc*cMU**2d0*coupl(nGC_61)**2d0 - Nc*cMU**2d0*coupl(   &
                      nGC_85)**2d0 - cME**2d0*coupl(nGC_65)**2d0 - cMM**2d0*   &
                      coupl(nGC_69)**2d0 - cMTA**2d0*coupl(nGC_81)**2d0)/(16d0*&
                      pi**2d0)
    coupl(nGC_3238) = cima*(Nc*coupl(nGC_53)**2d0 + Nc*coupl(nGC_57)**2d0 + Nc*&
                      coupl(nGC_61)**2d0 + Nc*coupl(nGC_73)**2d0 + Nc*coupl(   &
                      nGC_77)**2d0 + Nc*coupl(nGC_85)**2d0 + coupl(nGC_65)**2d0&
                       + coupl(nGC_69)**2d0 + coupl(nGC_81)**2d0)/(48d0*pi**2d0&
                      )
    coupl(nGC_3239) = cima*(-Nc*cMB**2d0*coupl(nGC_55)**2d0 - Nc*cMC**2d0*coupl&
                      (nGC_59)**2d0 - Nc*cMD**2d0*coupl(nGC_63)**2d0 - Nc*cMS**&
                      2d0*coupl(nGC_75)**2d0 - Nc*cMT**2d0*coupl(nGC_79)**2d0  &
                       - Nc*cMU**2d0*coupl(nGC_87)**2d0 - cME**2d0*coupl(nGC_67&
                      )**2d0 - cMM**2d0*coupl(nGC_71)**2d0 - cMTA**2d0*coupl(  &
                      nGC_83)**2d0)/(4d0*pi**2d0)
    coupl(nGC_3240) = cima*(Nc*coupl(nGC_55)**2d0 + Nc*coupl(nGC_59)**2d0 + Nc*&
                      coupl(nGC_63)**2d0 + Nc*coupl(nGC_75)**2d0 + Nc*coupl(   &
                      nGC_79)**2d0 + Nc*coupl(nGC_87)**2d0 + coupl(nGC_67)**2d0&
                       + coupl(nGC_71)**2d0 + coupl(nGC_83)**2d0)/(24d0*pi**2d0&
                      )
    coupl(nGC_3241) = cima*coupl(nGC_23)**2d0*(Nc*cMB**2d0 + Nc*cMC**2d0 + Nc* &
                      cMD**2d0 + Nc*cMS**2d0 + Nc*cMT**2d0 + Nc*cMU**2d0 + cME &
                      **2d0 + cMM**2d0 + cMTA**2d0)/(16d0*pi**2d0)
    coupl(nGC_3242) = cima*coupl(nGC_23)**2d0*(-Nc - 1d0)/(16d0*pi**2d0)
    coupl(nGC_3243) = cima*(-Nc*cMB**2d0*coupl(nGC_54)*coupl(nGC_56) - Nc*cMC**&
                      2d0*coupl(nGC_58)*coupl(nGC_60) - Nc*cMD**2d0*coupl(     &
                      nGC_62)*coupl(nGC_64) - Nc*cMS**2d0*coupl(nGC_74)*coupl( &
                      nGC_76) - Nc*cMT**2d0*coupl(nGC_78)*coupl(nGC_80) - Nc*  &
                      cMU**2d0*coupl(nGC_86)*coupl(nGC_88) - cME**2d0*coupl(   &
                      nGC_66)*coupl(nGC_68) - cMM**2d0*coupl(nGC_70)*coupl(    &
                      nGC_72) - cMTA**2d0*coupl(nGC_82)*coupl(nGC_84))/(4d0*pi &
                      **2d0)
    coupl(nGC_3244) = cima*(Nc*coupl(nGC_54)*coupl(nGC_56) + Nc*coupl(nGC_58)* &
                      coupl(nGC_60) + Nc*coupl(nGC_62)*coupl(nGC_64) + Nc*coupl&
                      (nGC_74)*coupl(nGC_76) + Nc*coupl(nGC_78)*coupl(nGC_80   &
                      ) + Nc*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_66)*coupl(&
                      nGC_68) + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_82)*   &
                      coupl(nGC_84))/(24d0*pi**2d0)
    coupl(nGC_3245) = cima*(Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc*cMB**  &
                      2d0*coupl(nGC_1)*coupl(nGC_38) + Nc*cMC**2d0*coupl(nGC_2 &
                      )*coupl(nGC_35) + Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_39  &
                      ) + Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc*cMD**2d0*&
                      coupl(nGC_1)*coupl(nGC_38) + Nc*cMS**2d0*coupl(nGC_1)*   &
                      coupl(nGC_34) + Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_38) + &
                      Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_35) + Nc*cMT**2d0*    &
                      coupl(nGC_2)*coupl(nGC_39) + Nc*cMU**2d0*coupl(nGC_2)*   &
                      coupl(nGC_35) + Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_39) + &
                      cME**2d0*coupl(nGC_36)*coupl(nGC_4) + cME**2d0*coupl(    &
                      nGC_4)*coupl(nGC_40) + cMM**2d0*coupl(nGC_36)*coupl(nGC_4&
                      ) + cMM**2d0*coupl(nGC_4)*coupl(nGC_40) + cMTA**2d0*coupl&
                      (nGC_36)*coupl(nGC_4) + cMTA**2d0*coupl(nGC_4)*coupl(    &
                      nGC_40))/(8d0*pi**2d0)
    coupl(nGC_3246) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34) - Nc*coupl(nGC_1)*  &
                      coupl(nGC_38) - Nc*coupl(nGC_2)*coupl(nGC_35) - Nc*coupl(&
                      nGC_2)*coupl(nGC_39) - coupl(nGC_36)*coupl(nGC_4) - coupl&
                      (nGC_4)*coupl(nGC_40))/(16d0*pi**2d0)
    coupl(nGC_3247) = cima*(Nc*cMB**2d0*coupl(nGC_1)**2d0 + Nc*cMC**2d0*coupl( &
                      nGC_2)**2d0 + Nc*cMD**2d0*coupl(nGC_1)**2d0 + Nc*cMS**2d0&
                      *coupl(nGC_1)**2d0 + Nc*cMT**2d0*coupl(nGC_2)**2d0 + Nc* &
                      cMU**2d0*coupl(nGC_2)**2d0 + cME**2d0*coupl(nGC_4)**2d0  &
                       + cMM**2d0*coupl(nGC_4)**2d0 + cMTA**2d0*coupl(nGC_4)** &
                      2d0)/(4d0*pi**2d0)
    coupl(nGC_3248) = cima*(-Nc*coupl(nGC_1)**2d0 - Nc*coupl(nGC_2)**2d0 -     &
                      coupl(nGC_4)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3249) = cima*(Nc*cMB**2d0*coupl(nGC_34)**2d0 + Nc*cMB**2d0*coupl(&
                      nGC_38)**2d0 + Nc*cMC**2d0*coupl(nGC_35)**2d0 + Nc*cMC** &
                      2d0*coupl(nGC_39)**2d0 + Nc*cMD**2d0*coupl(nGC_34)**2d0  &
                       + Nc*cMD**2d0*coupl(nGC_38)**2d0 + Nc*cMS**2d0*coupl(   &
                      nGC_34)**2d0 + Nc*cMS**2d0*coupl(nGC_38)**2d0 + Nc*cMT** &
                      2d0*coupl(nGC_35)**2d0 + Nc*cMT**2d0*coupl(nGC_39)**2d0  &
                       + Nc*cMU**2d0*coupl(nGC_35)**2d0 + Nc*cMU**2d0*coupl(   &
                      nGC_39)**2d0 + cME**2d0*coupl(nGC_36)**2d0 + cME**2d0*   &
                      coupl(nGC_40)**2d0 + cMM**2d0*coupl(nGC_36)**2d0 + cMM** &
                      2d0*coupl(nGC_40)**2d0 + cMTA**2d0*coupl(nGC_36)**2d0 +  &
                      cMTA**2d0*coupl(nGC_40)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3250) = cima*(-Nc*coupl(nGC_34)**2d0 - Nc*coupl(nGC_35)**2d0 - Nc&
                      *coupl(nGC_38)**2d0 - Nc*coupl(nGC_39)**2d0 - coupl(     &
                      nGC_36)**2d0 - coupl(nGC_40)**2d0 - coupl(nGC_41)**2d0)/(&
                      16d0*pi**2d0)
    coupl(nGC_3251) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_3252) = -cima*coupl(nGC_11)**2d0*sq2**2d0/(16d0*pi**2d0)
    coupl(nGC_3253) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_3254) = cima*coupl(nGC_11)**2d0*sq2**2d0/(16d0*pi**2d0*Nc)
    coupl(nGC_3255) = Nc*coupl(nGC_23)*(-cMB*coupl(nGC_2)*coupl(nGC_53) - cMC* &
                      coupl(nGC_1)*coupl(nGC_57) - cMD*coupl(nGC_2)*coupl(     &
                      nGC_61) - cMS*coupl(nGC_2)*coupl(nGC_73) - cMT*coupl(    &
                      nGC_1)*coupl(nGC_77) - cMU*coupl(nGC_1)*coupl(nGC_85))/( &
                      16d0*pi**2d0)
    coupl(nGC_3256) = (-Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 - Nc*coupl(nGC_1)*  &
                      coupl(nGC_57)**2d0 - Nc*coupl(nGC_1)*coupl(nGC_61)**2d0  &
                       - Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 - Nc*coupl(nGC_1)* &
                      coupl(nGC_77)**2d0 - Nc*coupl(nGC_1)*coupl(nGC_85)**2d0  &
                       + Nc*coupl(nGC_2)*coupl(nGC_53)**2d0 + Nc*coupl(nGC_2)* &
                      coupl(nGC_57)**2d0 + Nc*coupl(nGC_2)*coupl(nGC_61)**2d0  &
                       + Nc*coupl(nGC_2)*coupl(nGC_73)**2d0 + Nc*coupl(nGC_2)* &
                      coupl(nGC_77)**2d0 + Nc*coupl(nGC_2)*coupl(nGC_85)**2d0  &
                       - coupl(nGC_4)*coupl(nGC_65)**2d0 - coupl(nGC_4)*coupl( &
                      nGC_69)**2d0 - coupl(nGC_4)*coupl(nGC_81)**2d0)/(24d0*pi &
                      **2d0)
    coupl(nGC_8984) = -coupl(nGC_3256)
    coupl(nGC_3257) = coupl(nGC_23)**2d0*(-Nc*coupl(nGC_1) + Nc*coupl(nGC_2) - &
                      coupl(nGC_4))/(8d0*pi**2d0)
    coupl(nGC_8991) = -coupl(nGC_3257)
    coupl(nGC_3258) = (-Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - Nc*cMC*coupl( &
                      nGC_2)**2d0*coupl(nGC_59) - Nc*cMD*coupl(nGC_1)**2d0*    &
                      coupl(nGC_63) - Nc*cMS*coupl(nGC_1)**2d0*coupl(nGC_75) - &
                      Nc*cMT*coupl(nGC_2)**2d0*coupl(nGC_79) - Nc*cMU*coupl(   &
                      nGC_2)**2d0*coupl(nGC_87) - cME*coupl(nGC_4)**2d0*coupl( &
                      nGC_67) - cMM*coupl(nGC_4)**2d0*coupl(nGC_71) - cMTA*    &
                      coupl(nGC_4)**2d0*coupl(nGC_83))/(4d0*pi**2d0)
    coupl(nGC_3259) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) - Nc*  &
                      cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - Nc*cMC*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - Nc*cMC*coupl( &
                      nGC_2)*coupl(nGC_39)*coupl(nGC_59) - Nc*cMD*coupl(nGC_1)*&
                      coupl(nGC_34)*coupl(nGC_63) - Nc*cMD*coupl(nGC_1)*coupl( &
                      nGC_38)*coupl(nGC_63) - Nc*cMS*coupl(nGC_1)*coupl(nGC_34 &
                      )*coupl(nGC_75) - Nc*cMS*coupl(nGC_1)*coupl(nGC_38)*coupl&
                      (nGC_75) - Nc*cMT*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79&
                      ) - Nc*cMT*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79) - Nc*&
                      cMU*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87) - Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87) - cME*coupl(    &
                      nGC_36)*coupl(nGC_4)*coupl(nGC_67) - cME*coupl(nGC_4)*   &
                      coupl(nGC_40)*coupl(nGC_67) - cMM*coupl(nGC_36)*coupl(   &
                      nGC_4)*coupl(nGC_71) - cMM*coupl(nGC_4)*coupl(nGC_40)*   &
                      coupl(nGC_71) - cMTA*coupl(nGC_36)*coupl(nGC_4)*coupl(   &
                      nGC_83) - cMTA*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_83   &
                      ))/(8d0*pi**2d0)
    coupl(nGC_3260) = (Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + Nc*cMB*coupl( &
                      nGC_53)*coupl(nGC_77)*coupl(nGC_79) + Nc*cMB*coupl(nGC_55&
                      )*coupl(nGC_77)**2d0 + Nc*cMC*coupl(nGC_57)**2d0*coupl(  &
                      nGC_59) + Nc*cMC*coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75&
                      ) + Nc*cMC*coupl(nGC_59)*coupl(nGC_73)**2d0 + Nc*cMD*    &
                      coupl(nGC_61)**2d0*coupl(nGC_63) + Nc*cMD*coupl(nGC_61)* &
                      coupl(nGC_85)*coupl(nGC_87) + Nc*cMD*coupl(nGC_63)*coupl(&
                      nGC_85)**2d0 + Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + &
                      Nc*cMS*coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + Nc*cMS&
                      *coupl(nGC_73)**2d0*coupl(nGC_75) + Nc*cMT*coupl(nGC_53  &
                      )**2d0*coupl(nGC_79) + Nc*cMT*coupl(nGC_53)*coupl(nGC_55 &
                      )*coupl(nGC_77) + Nc*cMT*coupl(nGC_77)**2d0*coupl(nGC_79 &
                      ) + Nc*cMU*coupl(nGC_61)**2d0*coupl(nGC_87) + Nc*cMU*    &
                      coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) + Nc*cMU*coupl(&
                      nGC_85)**2d0*coupl(nGC_87) + cME*coupl(nGC_65)**2d0*coupl&
                      (nGC_67) + cMM*coupl(nGC_69)**2d0*coupl(nGC_71) + cMTA*  &
                      coupl(nGC_81)**2d0*coupl(nGC_83))/(8d0*pi**2d0)
    coupl(nGC_3261) = coupl(nGC_23)*(Nc*coupl(nGC_53)*coupl(nGC_54) - Nc*coupl(&
                      nGC_57)*coupl(nGC_58) + Nc*coupl(nGC_61)*coupl(nGC_62) + &
                      Nc*coupl(nGC_73)*coupl(nGC_74) - Nc*coupl(nGC_77)*coupl( &
                      nGC_78) - Nc*coupl(nGC_85)*coupl(nGC_86) + coupl(nGC_65)*&
                      coupl(nGC_66) + coupl(nGC_69)*coupl(nGC_70) + coupl(     &
                      nGC_81)*coupl(nGC_82))/(24d0*pi**2d0)
    coupl(nGC_9012) = -coupl(nGC_3261)
    coupl(nGC_3262) = (-Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 - Nc*coupl(nGC_34)*&
                      coupl(nGC_61)**2d0 - Nc*coupl(nGC_34)*coupl(nGC_73)**2d0 &
                       + Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 + Nc*coupl(nGC_35 &
                      )*coupl(nGC_77)**2d0 + Nc*coupl(nGC_35)*coupl(nGC_85)**  &
                      2d0 - Nc*coupl(nGC_38)*coupl(nGC_57)**2d0 - Nc*coupl(    &
                      nGC_38)*coupl(nGC_77)**2d0 - Nc*coupl(nGC_38)*coupl(     &
                      nGC_85)**2d0 + Nc*coupl(nGC_39)*coupl(nGC_53)**2d0 + Nc* &
                      coupl(nGC_39)*coupl(nGC_61)**2d0 + Nc*coupl(nGC_39)*coupl&
                      (nGC_73)**2d0 - coupl(nGC_36)*coupl(nGC_65)**2d0 - coupl(&
                      nGC_36)*coupl(nGC_69)**2d0 - coupl(nGC_36)*coupl(nGC_81  &
                      )**2d0 + coupl(nGC_41)*coupl(nGC_65)**2d0 + coupl(nGC_41 &
                      )*coupl(nGC_69)**2d0 + coupl(nGC_41)*coupl(nGC_81)**2d0  &
                      )/(24d0*pi**2d0)
    coupl(nGC_9019) = -coupl(nGC_3262)
    coupl(nGC_3263) = coupl(nGC_23)*(Nc*coupl(nGC_53)*coupl(nGC_55) - Nc*coupl(&
                      nGC_57)*coupl(nGC_59) + Nc*coupl(nGC_61)*coupl(nGC_63) + &
                      Nc*coupl(nGC_73)*coupl(nGC_75) - Nc*coupl(nGC_77)*coupl( &
                      nGC_79) - Nc*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_65)*&
                      coupl(nGC_67) + coupl(nGC_69)*coupl(nGC_71) + coupl(     &
                      nGC_81)*coupl(nGC_83))/(24d0*pi**2d0)
    coupl(nGC_9026) = -coupl(nGC_3263)
    coupl(nGC_3264) = coupl(nGC_23)*(Nc*cMB*coupl(nGC_34)*coupl(nGC_53) - Nc*  &
                      cMB*coupl(nGC_38)*coupl(nGC_53) - Nc*cMB*coupl(nGC_39)*  &
                      coupl(nGC_53) + Nc*cMC*coupl(nGC_35)*coupl(nGC_57) - Nc* &
                      cMC*coupl(nGC_38)*coupl(nGC_57) - Nc*cMC*coupl(nGC_39)*  &
                      coupl(nGC_57) + Nc*cMD*coupl(nGC_34)*coupl(nGC_61) - Nc* &
                      cMD*coupl(nGC_38)*coupl(nGC_61) - Nc*cMD*coupl(nGC_39)*  &
                      coupl(nGC_61) + Nc*cMS*coupl(nGC_34)*coupl(nGC_73) - Nc* &
                      cMS*coupl(nGC_38)*coupl(nGC_73) - Nc*cMS*coupl(nGC_39)*  &
                      coupl(nGC_73) + Nc*cMT*coupl(nGC_35)*coupl(nGC_77) - Nc* &
                      cMT*coupl(nGC_38)*coupl(nGC_77) - Nc*cMT*coupl(nGC_39)*  &
                      coupl(nGC_77) + Nc*cMU*coupl(nGC_35)*coupl(nGC_85) - Nc* &
                      cMU*coupl(nGC_38)*coupl(nGC_85) - Nc*cMU*coupl(nGC_39)*  &
                      coupl(nGC_85) + cME*coupl(nGC_36)*coupl(nGC_65) - cME*   &
                      coupl(nGC_40)*coupl(nGC_65) - cME*coupl(nGC_41)*coupl(   &
                      nGC_65) + cMM*coupl(nGC_36)*coupl(nGC_69) - cMM*coupl(   &
                      nGC_40)*coupl(nGC_69) - cMM*coupl(nGC_41)*coupl(nGC_69   &
                      ) + cMTA*coupl(nGC_36)*coupl(nGC_81) - cMTA*coupl(nGC_40 &
                      )*coupl(nGC_81) - cMTA*coupl(nGC_41)*coupl(nGC_81))/(16d0&
                      *pi**2d0)
    coupl(nGC_3265) = coupl(nGC_23)*(-Nc*coupl(nGC_53)*coupl(nGC_56) + Nc*coupl&
                      (nGC_57)*coupl(nGC_60) - Nc*coupl(nGC_61)*coupl(nGC_64   &
                      ) - Nc*coupl(nGC_73)*coupl(nGC_76) + Nc*coupl(nGC_77)*   &
                      coupl(nGC_80) + Nc*coupl(nGC_85)*coupl(nGC_88) - coupl(  &
                      nGC_65)*coupl(nGC_68) - coupl(nGC_69)*coupl(nGC_72) -    &
                      coupl(nGC_81)*coupl(nGC_84))/(24d0*pi**2d0)
    coupl(nGC_9039) = -coupl(nGC_3265)
    coupl(nGC_3266) = coupl(nGC_23)*(-Nc*coupl(nGC_53)*coupl(nGC_55) + Nc*coupl&
                      (nGC_57)*coupl(nGC_59) - Nc*coupl(nGC_61)*coupl(nGC_63   &
                      ) - Nc*coupl(nGC_73)*coupl(nGC_75) + Nc*coupl(nGC_77)*   &
                      coupl(nGC_79) + Nc*coupl(nGC_85)*coupl(nGC_87) - coupl(  &
                      nGC_65)*coupl(nGC_67) - coupl(nGC_69)*coupl(nGC_71) -    &
                      coupl(nGC_81)*coupl(nGC_83))/(24d0*pi**2d0)
    coupl(nGC_9047) = -coupl(nGC_3266)
    coupl(nGC_3267) = (Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 4d0*Nc*cMB*   &
                      coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + Nc*cMB*coupl(&
                      nGC_55)*coupl(nGC_56)**2d0 + Nc*cMC*coupl(nGC_58)**2d0*  &
                      coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_58)*coupl(nGC_59)*  &
                      coupl(nGC_60) + Nc*cMC*coupl(nGC_59)*coupl(nGC_60)**2d0  &
                       + Nc*cMD*coupl(nGC_62)**2d0*coupl(nGC_63) + 4d0*Nc*cMD* &
                      coupl(nGC_62)*coupl(nGC_63)*coupl(nGC_64) + Nc*cMD*coupl(&
                      nGC_63)*coupl(nGC_64)**2d0 + Nc*cMS*coupl(nGC_74)**2d0*  &
                      coupl(nGC_75) + 4d0*Nc*cMS*coupl(nGC_74)*coupl(nGC_75)*  &
                      coupl(nGC_76) + Nc*cMS*coupl(nGC_75)*coupl(nGC_76)**2d0  &
                       + Nc*cMT*coupl(nGC_78)**2d0*coupl(nGC_79) + 4d0*Nc*cMT* &
                      coupl(nGC_78)*coupl(nGC_79)*coupl(nGC_80) + Nc*cMT*coupl(&
                      nGC_79)*coupl(nGC_80)**2d0 + Nc*cMU*coupl(nGC_86)**2d0*  &
                      coupl(nGC_87) + 4d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*  &
                      coupl(nGC_88) + Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0  &
                       + cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 4d0*cME*coupl( &
                      nGC_66)*coupl(nGC_67)*coupl(nGC_68) + cME*coupl(nGC_67)* &
                      coupl(nGC_68)**2d0 + cMM*coupl(nGC_70)**2d0*coupl(nGC_71 &
                      ) + 4d0*cMM*coupl(nGC_70)*coupl(nGC_71)*coupl(nGC_72) +  &
                      cMM*coupl(nGC_71)*coupl(nGC_72)**2d0 + cMTA*coupl(nGC_82 &
                      )**2d0*coupl(nGC_83) + 4d0*cMTA*coupl(nGC_82)*coupl(     &
                      nGC_83)*coupl(nGC_84) + cMTA*coupl(nGC_83)*coupl(nGC_84  &
                      )**2d0)/(8d0*pi**2d0)
    coupl(nGC_3268) = (Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) - Nc*coupl(&
                      nGC_34)*coupl(nGC_55)*coupl(nGC_56) + Nc*coupl(nGC_34)*  &
                      coupl(nGC_62)*coupl(nGC_63) - Nc*coupl(nGC_34)*coupl(    &
                      nGC_63)*coupl(nGC_64) + Nc*coupl(nGC_34)*coupl(nGC_74)*  &
                      coupl(nGC_75) - Nc*coupl(nGC_34)*coupl(nGC_75)*coupl(    &
                      nGC_76) - Nc*coupl(nGC_35)*coupl(nGC_58)*coupl(nGC_59) + &
                      Nc*coupl(nGC_35)*coupl(nGC_59)*coupl(nGC_60) - Nc*coupl( &
                      nGC_35)*coupl(nGC_78)*coupl(nGC_79) + Nc*coupl(nGC_35)*  &
                      coupl(nGC_79)*coupl(nGC_80) - Nc*coupl(nGC_35)*coupl(    &
                      nGC_86)*coupl(nGC_87) + Nc*coupl(nGC_35)*coupl(nGC_87)*  &
                      coupl(nGC_88) - Nc*coupl(nGC_38)*coupl(nGC_54)*coupl(    &
                      nGC_55) + Nc*coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) - &
                      Nc*coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_63) + Nc*coupl( &
                      nGC_38)*coupl(nGC_63)*coupl(nGC_64) - Nc*coupl(nGC_38)*  &
                      coupl(nGC_74)*coupl(nGC_75) + Nc*coupl(nGC_38)*coupl(    &
                      nGC_75)*coupl(nGC_76) + Nc*coupl(nGC_39)*coupl(nGC_58)*  &
                      coupl(nGC_59) - Nc*coupl(nGC_39)*coupl(nGC_59)*coupl(    &
                      nGC_60) + Nc*coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_79) - &
                      Nc*coupl(nGC_39)*coupl(nGC_79)*coupl(nGC_80) + Nc*coupl( &
                      nGC_39)*coupl(nGC_86)*coupl(nGC_87) - Nc*coupl(nGC_39)*  &
                      coupl(nGC_87)*coupl(nGC_88) + coupl(nGC_36)*coupl(nGC_66 &
                      )*coupl(nGC_67) - coupl(nGC_36)*coupl(nGC_67)*coupl(     &
                      nGC_68) + coupl(nGC_36)*coupl(nGC_70)*coupl(nGC_71) -    &
                      coupl(nGC_36)*coupl(nGC_71)*coupl(nGC_72) + coupl(nGC_36 &
                      )*coupl(nGC_82)*coupl(nGC_83) - coupl(nGC_36)*coupl(     &
                      nGC_83)*coupl(nGC_84) - coupl(nGC_40)*coupl(nGC_66)*coupl&
                      (nGC_67) + coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68) -   &
                      coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_71) + coupl(nGC_40 &
                      )*coupl(nGC_71)*coupl(nGC_72) - coupl(nGC_40)*coupl(     &
                      nGC_82)*coupl(nGC_83) + coupl(nGC_40)*coupl(nGC_83)*coupl&
                      (nGC_84))/(24d0*pi**2d0)
    coupl(nGC_9063) = -coupl(nGC_3268)
    coupl(nGC_3269) = 3d0*(Nc*cMB*coupl(nGC_55)**3d0 + Nc*cMC*coupl(nGC_59)**  &
                      3d0 + Nc*cMD*coupl(nGC_63)**3d0 + Nc*cMS*coupl(nGC_75)** &
                      3d0 + Nc*cMT*coupl(nGC_79)**3d0 + Nc*cMU*coupl(nGC_87)** &
                      3d0 + cME*coupl(nGC_67)**3d0 + cMM*coupl(nGC_71)**3d0 +  &
                      cMTA*coupl(nGC_83)**3d0)/(4d0*pi**2d0)
    coupl(nGC_3270) = coupl(nGC_23)**2d0*(-Nc*cMB*coupl(nGC_55) - Nc*cMC*coupl(&
                      nGC_59) - Nc*cMD*coupl(nGC_63) - Nc*cMS*coupl(nGC_75) -  &
                      Nc*cMT*coupl(nGC_79) - Nc*cMU*coupl(nGC_87) - cME*coupl( &
                      nGC_67) - cMM*coupl(nGC_71) - cMTA*coupl(nGC_83))/(8d0*pi&
                      **2d0)
    coupl(nGC_3271) = (-Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + Nc*cMB*coupl(&
                      nGC_34)*coupl(nGC_38)*coupl(nGC_55) - Nc*cMB*coupl(nGC_38&
                      )**2d0*coupl(nGC_55) - Nc*cMC*coupl(nGC_35)**2d0*coupl(  &
                      nGC_59) + Nc*cMC*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_59&
                      ) - Nc*cMC*coupl(nGC_39)**2d0*coupl(nGC_59) - Nc*cMD*    &
                      coupl(nGC_34)**2d0*coupl(nGC_63) + Nc*cMD*coupl(nGC_34)* &
                      coupl(nGC_38)*coupl(nGC_63) - Nc*cMD*coupl(nGC_38)**2d0* &
                      coupl(nGC_63) - Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75   &
                      ) + Nc*cMS*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75) - Nc&
                      *cMS*coupl(nGC_38)**2d0*coupl(nGC_75) - Nc*cMT*coupl(    &
                      nGC_35)**2d0*coupl(nGC_79) + Nc*cMT*coupl(nGC_35)*coupl( &
                      nGC_39)*coupl(nGC_79) - Nc*cMT*coupl(nGC_39)**2d0*coupl( &
                      nGC_79) - Nc*cMU*coupl(nGC_35)**2d0*coupl(nGC_87) + Nc*  &
                      cMU*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87) - Nc*cMU*  &
                      coupl(nGC_39)**2d0*coupl(nGC_87) - cME*coupl(nGC_36)**2d0&
                      *coupl(nGC_67) + cME*coupl(nGC_36)*coupl(nGC_40)*coupl(  &
                      nGC_67) - cME*coupl(nGC_40)**2d0*coupl(nGC_67) - cMM*    &
                      coupl(nGC_36)**2d0*coupl(nGC_71) + cMM*coupl(nGC_36)*    &
                      coupl(nGC_40)*coupl(nGC_71) - cMM*coupl(nGC_40)**2d0*    &
                      coupl(nGC_71) - cMTA*coupl(nGC_36)**2d0*coupl(nGC_83) +  &
                      cMTA*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_83) - cMTA*   &
                      coupl(nGC_40)**2d0*coupl(nGC_83))/(4d0*pi**2d0)
    coupl(nGC_3272) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC*   &
                      coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75) -  &
                      cMT*coupl(nGC_79) - cMU*coupl(nGC_87))/(16d0*pi**2d0)
    coupl(nGC_3273) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*    &
                      coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75) +  &
                      cMT*coupl(nGC_79) + cMU*coupl(nGC_87))/(16d0*pi**2d0*Nc)
    coupl(nGC_3274) = coupl(nGC_23)**2d0*(-Nc*coupl(nGC_38) + Nc*coupl(nGC_39  &
                      ) - coupl(nGC_40) + coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_9085) = -coupl(nGC_3274)
    coupl(nGC_3275) = -coupl(nGC_11)**3d0*sq2**3d0/(16d0*pi**2d0)
    coupl(nGC_3276) = coupl(nGC_11)**3d0*sq2**3d0/(16d0*pi**2d0)
    coupl(nGC_3277) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_1)**2d0 + 3d0*Nc* &
                      coupl(nGC_1)*coupl(nGC_2) - Nc*coupl(nGC_2)**2d0 - coupl(&
                      nGC_4)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3278) = cima*coupl(nGC_23)**2d0*(3d0*Nc*coupl(nGC_1)**2d0 - 5d0* &
                      Nc*coupl(nGC_1)*coupl(nGC_2) + 3d0*Nc*coupl(nGC_2)**2d0  &
                       + 3d0*coupl(nGC_4)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3279) = cima*(-4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 - 4d0*&
                      Nc*coupl(nGC_1)**2d0*coupl(nGC_57)**2d0 - 4d0*Nc*coupl(  &
                      nGC_1)**2d0*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(nGC_1)**2d0&
                      *coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_1)**2d0*coupl(    &
                      nGC_77)**2d0 - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_85)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53)**2d0&
                       + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57)**2d0 + &
                      5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61)**2d0 + 5d0&
                      *Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73)**2d0 + 5d0*Nc&
                      *coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77)**2d0 + 5d0*Nc*  &
                      coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85)**2d0 - 4d0*Nc*   &
                      coupl(nGC_2)**2d0*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2&
                      )**2d0*coupl(nGC_57)**2d0 - 4d0*Nc*coupl(nGC_2)**2d0*    &
                      coupl(nGC_61)**2d0 - 4d0*Nc*coupl(nGC_2)**2d0*coupl(     &
                      nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_77)**  &
                      2d0 - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 - 4d0* &
                      coupl(nGC_4)**2d0*coupl(nGC_65)**2d0 - 4d0*coupl(nGC_4)**&
                      2d0*coupl(nGC_69)**2d0 - 4d0*coupl(nGC_4)**2d0*coupl(    &
                      nGC_81)**2d0)/(24d0*pi**2d0)
    coupl(nGC_3280) = cima*coupl(nGC_23)*(Nc*coupl(nGC_1)*coupl(nGC_53)*coupl( &
                      nGC_54) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_57)*coupl(nGC_58 &
                      ) + Nc*coupl(nGC_1)*coupl(nGC_61)*coupl(nGC_62) + Nc*    &
                      coupl(nGC_1)*coupl(nGC_73)*coupl(nGC_74) - 4d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_77)*coupl(nGC_78) - 4d0*Nc*coupl(nGC_1)*&
                      coupl(nGC_85)*coupl(nGC_86) - 4d0*Nc*coupl(nGC_2)*coupl( &
                      nGC_53)*coupl(nGC_54) + Nc*coupl(nGC_2)*coupl(nGC_57)*   &
                      coupl(nGC_58) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_61)*coupl( &
                      nGC_62) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_73)*coupl(nGC_74 &
                      ) + Nc*coupl(nGC_2)*coupl(nGC_77)*coupl(nGC_78) + Nc*    &
                      coupl(nGC_2)*coupl(nGC_85)*coupl(nGC_86) + coupl(nGC_4)* &
                      coupl(nGC_65)*coupl(nGC_66) + coupl(nGC_4)*coupl(nGC_69)*&
                      coupl(nGC_70) + coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_82  &
                      ))/(48d0*pi**2d0)
    coupl(nGC_3281) = cima*(-8d0*Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_53)** &
                      2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_61)**  &
                      2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_73)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_35)*coupl(nGC_57)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_35)*coupl(nGC_77)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_35)*coupl(nGC_85)**  &
                      2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_57)**  &
                      2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_77)**  &
                      2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_85)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_53)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_61)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_73)**  &
                      2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_53)**  &
                      2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_61)**  &
                      2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_73)**  &
                      2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_57)**  &
                      2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_77)**  &
                      2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_85)**  &
                      2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_57)**  &
                      2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_77)**  &
                      2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_85)**  &
                      2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_53)**  &
                      2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_61)**  &
                      2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_73)**  &
                      2d0 - 8d0*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_65)**2d0  &
                       - 8d0*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_69)**2d0 -   &
                      8d0*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_81)**2d0 + 5d0* &
                      coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_65)**2d0 + 5d0*coupl&
                      (nGC_4)*coupl(nGC_41)*coupl(nGC_69)**2d0 + 5d0*coupl(    &
                      nGC_4)*coupl(nGC_41)*coupl(nGC_81)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3282) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_54)*coupl(nGC_56   &
                      ) - Nc*coupl(nGC_1)**2d0*coupl(nGC_62)*coupl(nGC_64) - Nc&
                      *coupl(nGC_1)**2d0*coupl(nGC_74)*coupl(nGC_76) - Nc*coupl&
                      (nGC_2)**2d0*coupl(nGC_58)*coupl(nGC_60) - Nc*coupl(nGC_2&
                      )**2d0*coupl(nGC_78)*coupl(nGC_80) - Nc*coupl(nGC_2)**2d0&
                      *coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_4)**2d0*coupl(  &
                      nGC_66)*coupl(nGC_68) - coupl(nGC_4)**2d0*coupl(nGC_70)* &
                      coupl(nGC_72) - coupl(nGC_4)**2d0*coupl(nGC_82)*coupl(   &
                      nGC_84))/(4d0*pi**2d0)
    coupl(nGC_3283) = cima*coupl(nGC_23)*(Nc*coupl(nGC_1)*coupl(nGC_53)*coupl( &
                      nGC_55) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_57)*coupl(nGC_59 &
                      ) + Nc*coupl(nGC_1)*coupl(nGC_61)*coupl(nGC_63) + Nc*    &
                      coupl(nGC_1)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*coupl(nGC_1)*&
                      coupl(nGC_85)*coupl(nGC_87) - 4d0*Nc*coupl(nGC_2)*coupl( &
                      nGC_53)*coupl(nGC_55) + Nc*coupl(nGC_2)*coupl(nGC_57)*   &
                      coupl(nGC_59) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_61)*coupl( &
                      nGC_63) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_73)*coupl(nGC_75 &
                      ) + Nc*coupl(nGC_2)*coupl(nGC_77)*coupl(nGC_79) + Nc*    &
                      coupl(nGC_2)*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_4)* &
                      coupl(nGC_65)*coupl(nGC_67) + coupl(nGC_4)*coupl(nGC_69)*&
                      coupl(nGC_71) + coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_83  &
                      ))/(48d0*pi**2d0)
    coupl(nGC_3284) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_55)**2d0 - Nc*coupl&
                      (nGC_1)**2d0*coupl(nGC_63)**2d0 - Nc*coupl(nGC_1)**2d0*  &
                      coupl(nGC_75)**2d0 - Nc*coupl(nGC_2)**2d0*coupl(nGC_59)**&
                      2d0 - Nc*coupl(nGC_2)**2d0*coupl(nGC_79)**2d0 - Nc*coupl(&
                      nGC_2)**2d0*coupl(nGC_87)**2d0 - coupl(nGC_4)**2d0*coupl(&
                      nGC_67)**2d0 - coupl(nGC_4)**2d0*coupl(nGC_71)**2d0 -    &
                      coupl(nGC_4)**2d0*coupl(nGC_83)**2d0)/(4d0*pi**2d0)
    coupl(nGC_3285) = cima*coupl(nGC_23)*(Nc*coupl(nGC_1)*coupl(nGC_53)*coupl( &
                      nGC_56) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_57)*coupl(nGC_60 &
                      ) + Nc*coupl(nGC_1)*coupl(nGC_61)*coupl(nGC_64) + Nc*    &
                      coupl(nGC_1)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_1)*&
                      coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc*coupl(nGC_2)*coupl( &
                      nGC_53)*coupl(nGC_56) + Nc*coupl(nGC_2)*coupl(nGC_57)*   &
                      coupl(nGC_60) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_61)*coupl( &
                      nGC_64) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_73)*coupl(nGC_76 &
                      ) + Nc*coupl(nGC_2)*coupl(nGC_77)*coupl(nGC_80) + Nc*    &
                      coupl(nGC_2)*coupl(nGC_85)*coupl(nGC_88) + coupl(nGC_4)* &
                      coupl(nGC_65)*coupl(nGC_68) + coupl(nGC_4)*coupl(nGC_69)*&
                      coupl(nGC_72) + coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_84  &
                      ))/(48d0*pi**2d0)
    coupl(nGC_3286) = cima*coupl(nGC_23)**2d0*(6d0*Nc*coupl(nGC_1)*coupl(nGC_38&
                      ) - 5d0*Nc*coupl(nGC_1)*coupl(nGC_39) - 5d0*Nc*coupl(    &
                      nGC_2)*coupl(nGC_38) + 6d0*Nc*coupl(nGC_2)*coupl(nGC_39  &
                      ) + 6d0*coupl(nGC_4)*coupl(nGC_40) - 5d0*coupl(nGC_4)*   &
                      coupl(nGC_41))/(16d0*pi**2d0)
    coupl(nGC_3287) = cima*coupl(nGC_23)**2d0*(-2d0*Nc*coupl(nGC_1)*coupl(     &
                      nGC_38) + 3d0*Nc*coupl(nGC_1)*coupl(nGC_39) + 3d0*Nc*    &
                      coupl(nGC_2)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(  &
                      nGC_39) - 2d0*coupl(nGC_4)*coupl(nGC_40) + 3d0*coupl(    &
                      nGC_4)*coupl(nGC_41))/(16d0*pi**2d0)
    coupl(nGC_3288) = cima*(Nc*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 + Nc*coupl(&
                      nGC_1)**2d0*coupl(nGC_38)**2d0 + Nc*coupl(nGC_2)**2d0*   &
                      coupl(nGC_35)**2d0 + Nc*coupl(nGC_2)**2d0*coupl(nGC_39)**&
                      2d0 + coupl(nGC_36)**2d0*coupl(nGC_4)**2d0 + coupl(nGC_4 &
                      )**2d0*coupl(nGC_40)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3289) = cima*(Nc*coupl(nGC_1)**4d0 + Nc*coupl(nGC_2)**4d0 + coupl&
                      (nGC_4)**4d0)/(4d0*pi**2d0)
    coupl(nGC_3290) = cima*(Nc*coupl(nGC_1)**3d0*coupl(nGC_34) + Nc*coupl(nGC_1&
                      )**3d0*coupl(nGC_38) + Nc*coupl(nGC_2)**3d0*coupl(nGC_35 &
                      ) + Nc*coupl(nGC_2)**3d0*coupl(nGC_39) + coupl(nGC_36)*  &
                      coupl(nGC_4)**3d0 + coupl(nGC_4)**3d0*coupl(nGC_40))/(8d0&
                      *pi**2d0)
    coupl(nGC_3291) = 5d0*cima*(Nc*coupl(nGC_53)**4d0 + Nc*coupl(nGC_57)**4d0  &
                       + Nc*coupl(nGC_61)**4d0 + Nc*coupl(nGC_73)**4d0 + Nc*   &
                      coupl(nGC_77)**4d0 + Nc*coupl(nGC_85)**4d0 + coupl(nGC_65&
                      )**4d0 + coupl(nGC_69)**4d0 + coupl(nGC_81)**4d0)/(24d0* &
                      pi**2d0)
    coupl(nGC_3292) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55)**2d0  &
                       - Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63)**2d0 - Nc*&
                      coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75)**2d0 - Nc*coupl(&
                      nGC_1)*coupl(nGC_38)*coupl(nGC_55)**2d0 - Nc*coupl(nGC_1 &
                      )*coupl(nGC_38)*coupl(nGC_63)**2d0 - Nc*coupl(nGC_1)*    &
                      coupl(nGC_38)*coupl(nGC_75)**2d0 - Nc*coupl(nGC_2)*coupl(&
                      nGC_35)*coupl(nGC_59)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_35&
                      )*coupl(nGC_79)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_35)*    &
                      coupl(nGC_87)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(&
                      nGC_59)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79&
                      )**2d0 - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87)**2d0&
                       - coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_67)**2d0 - coupl(&
                      nGC_36)*coupl(nGC_4)*coupl(nGC_71)**2d0 - coupl(nGC_36)* &
                      coupl(nGC_4)*coupl(nGC_83)**2d0 - coupl(nGC_4)*coupl(    &
                      nGC_40)*coupl(nGC_67)**2d0 - coupl(nGC_4)*coupl(nGC_40)* &
                      coupl(nGC_71)**2d0 - coupl(nGC_4)*coupl(nGC_40)*coupl(   &
                      nGC_83)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3293) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_54)*coupl(&
                      nGC_56) - Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_62)*   &
                      coupl(nGC_64) - Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(     &
                      nGC_74)*coupl(nGC_76) - Nc*coupl(nGC_1)*coupl(nGC_38)*   &
                      coupl(nGC_54)*coupl(nGC_56) - Nc*coupl(nGC_1)*coupl(     &
                      nGC_38)*coupl(nGC_62)*coupl(nGC_64) - Nc*coupl(nGC_1)*   &
                      coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) - Nc*coupl(    &
                      nGC_2)*coupl(nGC_35)*coupl(nGC_58)*coupl(nGC_60) - Nc*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_78)*coupl(nGC_80) - &
                      Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_88 &
                      ) - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_58)*coupl(   &
                      nGC_60) - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_78)*   &
                      coupl(nGC_80) - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(     &
                      nGC_86)*coupl(nGC_88) - coupl(nGC_36)*coupl(nGC_4)*coupl(&
                      nGC_66)*coupl(nGC_68) - coupl(nGC_36)*coupl(nGC_4)*coupl(&
                      nGC_70)*coupl(nGC_72) - coupl(nGC_36)*coupl(nGC_4)*coupl(&
                      nGC_82)*coupl(nGC_84) - coupl(nGC_4)*coupl(nGC_40)*coupl(&
                      nGC_66)*coupl(nGC_68) - coupl(nGC_4)*coupl(nGC_40)*coupl(&
                      nGC_70)*coupl(nGC_72) - coupl(nGC_4)*coupl(nGC_40)*coupl(&
                      nGC_82)*coupl(nGC_84))/(8d0*pi**2d0)
    coupl(nGC_3294) = 5d0*cima*(Nc*coupl(nGC_53)**2d0*coupl(nGC_54)*coupl(     &
                      nGC_56) + Nc*coupl(nGC_53)**2d0*coupl(nGC_78)*coupl(     &
                      nGC_80) + Nc*coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77)*  &
                      coupl(nGC_80) + Nc*coupl(nGC_53)*coupl(nGC_56)*coupl(    &
                      nGC_77)*coupl(nGC_78) + Nc*coupl(nGC_54)*coupl(nGC_56)*  &
                      coupl(nGC_77)**2d0 + Nc*coupl(nGC_57)**2d0*coupl(nGC_58)*&
                      coupl(nGC_60) + Nc*coupl(nGC_57)**2d0*coupl(nGC_74)*coupl&
                      (nGC_76) + Nc*coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73)* &
                      coupl(nGC_76) + Nc*coupl(nGC_57)*coupl(nGC_60)*coupl(    &
                      nGC_73)*coupl(nGC_74) + Nc*coupl(nGC_58)*coupl(nGC_60)*  &
                      coupl(nGC_73)**2d0 + Nc*coupl(nGC_61)**2d0*coupl(nGC_62)*&
                      coupl(nGC_64) + Nc*coupl(nGC_61)**2d0*coupl(nGC_86)*coupl&
                      (nGC_88) + Nc*coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85)* &
                      coupl(nGC_88) + Nc*coupl(nGC_61)*coupl(nGC_64)*coupl(    &
                      nGC_85)*coupl(nGC_86) + Nc*coupl(nGC_62)*coupl(nGC_64)*  &
                      coupl(nGC_85)**2d0 + Nc*coupl(nGC_73)**2d0*coupl(nGC_74)*&
                      coupl(nGC_76) + Nc*coupl(nGC_77)**2d0*coupl(nGC_78)*coupl&
                      (nGC_80) + Nc*coupl(nGC_85)**2d0*coupl(nGC_86)*coupl(    &
                      nGC_88) + coupl(nGC_65)**2d0*coupl(nGC_66)*coupl(nGC_68  &
                      ) + coupl(nGC_69)**2d0*coupl(nGC_70)*coupl(nGC_72) +     &
                      coupl(nGC_81)**2d0*coupl(nGC_82)*coupl(nGC_84))/(24d0*pi &
                      **2d0)
    coupl(nGC_3295) = 5d0*cima*(Nc*coupl(nGC_53)**2d0*coupl(nGC_55)**2d0 + Nc* &
                      coupl(nGC_53)**2d0*coupl(nGC_79)**2d0 + 2d0*Nc*coupl(    &
                      nGC_53)*coupl(nGC_55)*coupl(nGC_77)*coupl(nGC_79) + Nc*  &
                      coupl(nGC_55)**2d0*coupl(nGC_77)**2d0 + Nc*coupl(nGC_57  &
                      )**2d0*coupl(nGC_59)**2d0 + Nc*coupl(nGC_57)**2d0*coupl( &
                      nGC_75)**2d0 + 2d0*Nc*coupl(nGC_57)*coupl(nGC_59)*coupl( &
                      nGC_73)*coupl(nGC_75) + Nc*coupl(nGC_59)**2d0*coupl(     &
                      nGC_73)**2d0 + Nc*coupl(nGC_61)**2d0*coupl(nGC_63)**2d0  &
                       + Nc*coupl(nGC_61)**2d0*coupl(nGC_87)**2d0 + 2d0*Nc*    &
                      coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85)*coupl(nGC_87   &
                      ) + Nc*coupl(nGC_63)**2d0*coupl(nGC_85)**2d0 + Nc*coupl( &
                      nGC_73)**2d0*coupl(nGC_75)**2d0 + Nc*coupl(nGC_77)**2d0* &
                      coupl(nGC_79)**2d0 + Nc*coupl(nGC_85)**2d0*coupl(nGC_87  &
                      )**2d0 + coupl(nGC_65)**2d0*coupl(nGC_67)**2d0 + coupl(  &
                      nGC_69)**2d0*coupl(nGC_71)**2d0 + coupl(nGC_81)**2d0*    &
                      coupl(nGC_83)**2d0)/(24d0*pi**2d0)
    coupl(nGC_3296) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_53)**2d0 - Nc*    &
                      coupl(nGC_57)**2d0 - Nc*coupl(nGC_61)**2d0 - Nc*coupl(   &
                      nGC_73)**2d0 - Nc*coupl(nGC_77)**2d0 - Nc*coupl(nGC_85)**&
                      2d0 - coupl(nGC_65)**2d0 - coupl(nGC_69)**2d0 - coupl(   &
                      nGC_81)**2d0)/(12d0*pi**2d0)
    coupl(nGC_3297) = cima*coupl(nGC_23)*(5d0*Nc*coupl(nGC_34)*coupl(nGC_53)*  &
                      coupl(nGC_54) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_61)*coupl(&
                      nGC_62) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_74&
                      ) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_57)*coupl(nGC_58) +   &
                      5d0*Nc*coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_78) + 5d0*Nc&
                      *coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_86) - 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_53)*coupl(nGC_54) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_57)*coupl(nGC_58) - 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_73)*coupl(nGC_74) - 4d0*Nc*coupl(nGC_38)*coupl(&
                      nGC_77)*coupl(nGC_78) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_85&
                      )*coupl(nGC_86) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)*    &
                      coupl(nGC_54) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_57)*coupl(&
                      nGC_58) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_61)*coupl(nGC_62&
                      ) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_74) -   &
                      4d0*Nc*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_78) - 4d0*Nc&
                      *coupl(nGC_39)*coupl(nGC_85)*coupl(nGC_86) + 5d0*coupl(  &
                      nGC_36)*coupl(nGC_65)*coupl(nGC_66) + 5d0*coupl(nGC_36)* &
                      coupl(nGC_69)*coupl(nGC_70) + 5d0*coupl(nGC_36)*coupl(   &
                      nGC_81)*coupl(nGC_82) - 4d0*coupl(nGC_40)*coupl(nGC_65)* &
                      coupl(nGC_66) - 4d0*coupl(nGC_40)*coupl(nGC_69)*coupl(   &
                      nGC_70) - 4d0*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_82   &
                      ) - 4d0*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_66) - 4d0* &
                      coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_70) - 4d0*coupl(   &
                      nGC_41)*coupl(nGC_81)*coupl(nGC_82))/(48d0*pi**2d0)
    coupl(nGC_3298) = cima*coupl(nGC_23)*(5d0*Nc*coupl(nGC_34)*coupl(nGC_53)*  &
                      coupl(nGC_55) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_61)*coupl(&
                      nGC_63) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75&
                      ) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_57)*coupl(nGC_59) +   &
                      5d0*Nc*coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_79) + 5d0*Nc&
                      *coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_87) - 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_53)*coupl(nGC_55) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_38)*coupl(&
                      nGC_77)*coupl(nGC_79) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_85&
                      )*coupl(nGC_87) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)*    &
                      coupl(nGC_55) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_57)*coupl(&
                      nGC_59) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_61)*coupl(nGC_63&
                      ) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_75) -   &
                      4d0*Nc*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc&
                      *coupl(nGC_39)*coupl(nGC_85)*coupl(nGC_87) + 5d0*coupl(  &
                      nGC_36)*coupl(nGC_65)*coupl(nGC_67) + 5d0*coupl(nGC_36)* &
                      coupl(nGC_69)*coupl(nGC_71) + 5d0*coupl(nGC_36)*coupl(   &
                      nGC_81)*coupl(nGC_83) - 4d0*coupl(nGC_40)*coupl(nGC_65)* &
                      coupl(nGC_67) - 4d0*coupl(nGC_40)*coupl(nGC_69)*coupl(   &
                      nGC_71) - 4d0*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_83   &
                      ) - 4d0*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_67) - 4d0* &
                      coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_71) - 4d0*coupl(   &
                      nGC_41)*coupl(nGC_81)*coupl(nGC_83))/(48d0*pi**2d0)
    coupl(nGC_3299) = cima*(-4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_53)**2d0 - 4d0&
                      *Nc*coupl(nGC_34)**2d0*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(&
                      nGC_34)**2d0*coupl(nGC_73)**2d0 + 5d0*Nc*coupl(nGC_34)*  &
                      coupl(nGC_39)*coupl(nGC_53)**2d0 + 5d0*Nc*coupl(nGC_34)* &
                      coupl(nGC_39)*coupl(nGC_61)**2d0 + 5d0*Nc*coupl(nGC_34)* &
                      coupl(nGC_39)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)**&
                      2d0*coupl(nGC_57)**2d0 - 4d0*Nc*coupl(nGC_35)**2d0*coupl(&
                      nGC_77)**2d0 - 4d0*Nc*coupl(nGC_35)**2d0*coupl(nGC_85)** &
                      2d0 + 5d0*Nc*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57)** &
                      2d0 + 5d0*Nc*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77)** &
                      2d0 + 5d0*Nc*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85)** &
                      2d0 - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_57)**2d0 - 4d0*&
                      Nc*coupl(nGC_38)**2d0*coupl(nGC_77)**2d0 - 4d0*Nc*coupl( &
                      nGC_38)**2d0*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_39)** &
                      2d0*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(&
                      nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_73)** &
                      2d0 - 4d0*coupl(nGC_36)**2d0*coupl(nGC_65)**2d0 - 4d0*   &
                      coupl(nGC_36)**2d0*coupl(nGC_69)**2d0 - 4d0*coupl(nGC_36 &
                      )**2d0*coupl(nGC_81)**2d0 + 5d0*coupl(nGC_36)*coupl(     &
                      nGC_41)*coupl(nGC_65)**2d0 + 5d0*coupl(nGC_36)*coupl(    &
                      nGC_41)*coupl(nGC_69)**2d0 + 5d0*coupl(nGC_36)*coupl(    &
                      nGC_41)*coupl(nGC_81)**2d0 - 4d0*coupl(nGC_41)**2d0*coupl&
                      (nGC_65)**2d0 - 4d0*coupl(nGC_41)**2d0*coupl(nGC_69)**2d0&
                       - 4d0*coupl(nGC_41)**2d0*coupl(nGC_81)**2d0)/(24d0*pi** &
                      2d0)
    coupl(nGC_3300) = cima*coupl(nGC_23)*(5d0*Nc*coupl(nGC_34)*coupl(nGC_53)*  &
                      coupl(nGC_56) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_61)*coupl(&
                      nGC_64) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_76&
                      ) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_57)*coupl(nGC_60) +   &
                      5d0*Nc*coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_80) + 5d0*Nc&
                      *coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_53)*coupl(nGC_56) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_57)*coupl(nGC_60) - 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_61)*coupl(nGC_64) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_38)*coupl(&
                      nGC_77)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_85&
                      )*coupl(nGC_88) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)*    &
                      coupl(nGC_56) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_57)*coupl(&
                      nGC_60) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_61)*coupl(nGC_64&
                      ) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_76) -   &
                      4d0*Nc*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc&
                      *coupl(nGC_39)*coupl(nGC_85)*coupl(nGC_88) + 5d0*coupl(  &
                      nGC_36)*coupl(nGC_65)*coupl(nGC_68) + 5d0*coupl(nGC_36)* &
                      coupl(nGC_69)*coupl(nGC_72) + 5d0*coupl(nGC_36)*coupl(   &
                      nGC_81)*coupl(nGC_84) - 4d0*coupl(nGC_40)*coupl(nGC_65)* &
                      coupl(nGC_68) - 4d0*coupl(nGC_40)*coupl(nGC_69)*coupl(   &
                      nGC_72) - 4d0*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_84   &
                      ) - 4d0*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_68) - 4d0* &
                      coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_72) - 4d0*coupl(   &
                      nGC_41)*coupl(nGC_81)*coupl(nGC_84))/(48d0*pi**2d0)
    coupl(nGC_3301) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_54)*coupl(nGC_56  &
                      ) - Nc*coupl(nGC_58)*coupl(nGC_60) - Nc*coupl(nGC_62)*   &
                      coupl(nGC_64) - Nc*coupl(nGC_74)*coupl(nGC_76) - Nc*coupl&
                      (nGC_78)*coupl(nGC_80) - Nc*coupl(nGC_86)*coupl(nGC_88   &
                      ) - coupl(nGC_66)*coupl(nGC_68) - coupl(nGC_70)*coupl(   &
                      nGC_72) - coupl(nGC_82)*coupl(nGC_84))/(6d0*pi**2d0)
    coupl(nGC_3302) = cima*(Nc*coupl(nGC_1)*coupl(nGC_34)**3d0 + Nc*coupl(nGC_1&
                      )*coupl(nGC_38)**3d0 + Nc*coupl(nGC_2)*coupl(nGC_35)**3d0&
                       + Nc*coupl(nGC_2)*coupl(nGC_39)**3d0 + coupl(nGC_36)**  &
                      3d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_40)**3d0)/(8d0*&
                      pi**2d0)
    coupl(nGC_3303) = 5d0*cima*(Nc*coupl(nGC_54)**2d0*coupl(nGC_56)**2d0 + Nc* &
                      coupl(nGC_58)**2d0*coupl(nGC_60)**2d0 + Nc*coupl(nGC_62  &
                      )**2d0*coupl(nGC_64)**2d0 + Nc*coupl(nGC_74)**2d0*coupl( &
                      nGC_76)**2d0 + Nc*coupl(nGC_78)**2d0*coupl(nGC_80)**2d0  &
                       + Nc*coupl(nGC_86)**2d0*coupl(nGC_88)**2d0 + coupl(     &
                      nGC_66)**2d0*coupl(nGC_68)**2d0 + coupl(nGC_70)**2d0*    &
                      coupl(nGC_72)**2d0 + coupl(nGC_82)**2d0*coupl(nGC_84)**  &
                      2d0)/(4d0*pi**2d0)
    coupl(nGC_3304) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_53)**2d0 -  &
                      coupl(nGC_57)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_73)**&
                      2d0 - coupl(nGC_77)**2d0 - coupl(nGC_85)**2d0)/(32d0*pi**&
                      2d0)
    coupl(nGC_3305) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_53)**2d0 +   &
                      coupl(nGC_57)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_73)**&
                      2d0 + coupl(nGC_77)**2d0 + coupl(nGC_85)**2d0)/(32d0*pi**&
                      2d0*Nc)
    coupl(nGC_3306) = 5d0*cima*(Nc*coupl(nGC_54)**2d0*coupl(nGC_55)**2d0 + 4d0*&
                      Nc*coupl(nGC_54)*coupl(nGC_55)**2d0*coupl(nGC_56) + Nc*  &
                      coupl(nGC_55)**2d0*coupl(nGC_56)**2d0 + Nc*coupl(nGC_58  &
                      )**2d0*coupl(nGC_59)**2d0 + 4d0*Nc*coupl(nGC_58)*coupl(  &
                      nGC_59)**2d0*coupl(nGC_60) + Nc*coupl(nGC_59)**2d0*coupl(&
                      nGC_60)**2d0 + Nc*coupl(nGC_62)**2d0*coupl(nGC_63)**2d0  &
                       + 4d0*Nc*coupl(nGC_62)*coupl(nGC_63)**2d0*coupl(nGC_64  &
                      ) + Nc*coupl(nGC_63)**2d0*coupl(nGC_64)**2d0 + Nc*coupl( &
                      nGC_74)**2d0*coupl(nGC_75)**2d0 + 4d0*Nc*coupl(nGC_74)*  &
                      coupl(nGC_75)**2d0*coupl(nGC_76) + Nc*coupl(nGC_75)**2d0*&
                      coupl(nGC_76)**2d0 + Nc*coupl(nGC_78)**2d0*coupl(nGC_79  &
                      )**2d0 + 4d0*Nc*coupl(nGC_78)*coupl(nGC_79)**2d0*coupl(  &
                      nGC_80) + Nc*coupl(nGC_79)**2d0*coupl(nGC_80)**2d0 + Nc* &
                      coupl(nGC_86)**2d0*coupl(nGC_87)**2d0 + 4d0*Nc*coupl(    &
                      nGC_86)*coupl(nGC_87)**2d0*coupl(nGC_88) + Nc*coupl(     &
                      nGC_87)**2d0*coupl(nGC_88)**2d0 + coupl(nGC_66)**2d0*    &
                      coupl(nGC_67)**2d0 + 4d0*coupl(nGC_66)*coupl(nGC_67)**2d0&
                      *coupl(nGC_68) + coupl(nGC_67)**2d0*coupl(nGC_68)**2d0 + &
                      coupl(nGC_70)**2d0*coupl(nGC_71)**2d0 + 4d0*coupl(nGC_70 &
                      )*coupl(nGC_71)**2d0*coupl(nGC_72) + coupl(nGC_71)**2d0* &
                      coupl(nGC_72)**2d0 + coupl(nGC_82)**2d0*coupl(nGC_83)**  &
                      2d0 + 4d0*coupl(nGC_82)*coupl(nGC_83)**2d0*coupl(nGC_84  &
                      ) + coupl(nGC_83)**2d0*coupl(nGC_84)**2d0)/(24d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
