!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 14:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_3307) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_55)**2d0 - Nc*    &
                      coupl(nGC_59)**2d0 - Nc*coupl(nGC_63)**2d0 - Nc*coupl(   &
                      nGC_75)**2d0 - Nc*coupl(nGC_79)**2d0 - Nc*coupl(nGC_87)**&
                      2d0 - coupl(nGC_67)**2d0 - coupl(nGC_71)**2d0 - coupl(   &
                      nGC_83)**2d0)/(6d0*pi**2d0)
    coupl(nGC_3308) = 5d0*cima*(Nc*coupl(nGC_55)**4d0 + Nc*coupl(nGC_59)**4d0  &
                       + Nc*coupl(nGC_63)**4d0 + Nc*coupl(nGC_75)**4d0 + Nc*   &
                      coupl(nGC_79)**4d0 + Nc*coupl(nGC_87)**4d0 + coupl(nGC_67&
                      )**4d0 + coupl(nGC_71)**4d0 + coupl(nGC_83)**4d0)/(4d0*pi&
                      **2d0)
    coupl(nGC_3309) = 3d0*cima*coupl(nGC_23)**4d0*(Nc + 1d0)/(8d0*pi**2d0)
    coupl(nGC_9567) = -5d0*coupl(nGC_3309)/3d0
    coupl(nGC_3310) = cima*(-4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_54)*coupl(    &
                      nGC_56) - 4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_62)*coupl( &
                      nGC_64) - 4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_74)*coupl( &
                      nGC_76) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_54&
                      )*coupl(nGC_56) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_38)*    &
                      coupl(nGC_62)*coupl(nGC_64) + 5d0*Nc*coupl(nGC_34)*coupl(&
                      nGC_38)*coupl(nGC_74)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_35&
                      )**2d0*coupl(nGC_58)*coupl(nGC_60) - 4d0*Nc*coupl(nGC_35 &
                      )**2d0*coupl(nGC_78)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_35 &
                      )**2d0*coupl(nGC_86)*coupl(nGC_88) + 5d0*Nc*coupl(nGC_35 &
                      )*coupl(nGC_39)*coupl(nGC_58)*coupl(nGC_60) + 5d0*Nc*    &
                      coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_80   &
                      ) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_86)*    &
                      coupl(nGC_88) - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_54)* &
                      coupl(nGC_56) - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_62)* &
                      coupl(nGC_64) - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_74)* &
                      coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_58)* &
                      coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_78)* &
                      coupl(nGC_80) - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_86)* &
                      coupl(nGC_88) - 4d0*coupl(nGC_36)**2d0*coupl(nGC_66)*    &
                      coupl(nGC_68) - 4d0*coupl(nGC_36)**2d0*coupl(nGC_70)*    &
                      coupl(nGC_72) - 4d0*coupl(nGC_36)**2d0*coupl(nGC_82)*    &
                      coupl(nGC_84) + 5d0*coupl(nGC_36)*coupl(nGC_40)*coupl(   &
                      nGC_66)*coupl(nGC_68) + 5d0*coupl(nGC_36)*coupl(nGC_40)* &
                      coupl(nGC_70)*coupl(nGC_72) + 5d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_82)*coupl(nGC_84) - 4d0*coupl(nGC_40)**&
                      2d0*coupl(nGC_66)*coupl(nGC_68) - 4d0*coupl(nGC_40)**2d0*&
                      coupl(nGC_70)*coupl(nGC_72) - 4d0*coupl(nGC_40)**2d0*    &
                      coupl(nGC_82)*coupl(nGC_84))/(12d0*pi**2d0)
    coupl(nGC_3311) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +    &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3312) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -   &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3313) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_38)**2d0 + 3d0*Nc*&
                      coupl(nGC_38)*coupl(nGC_39) - Nc*coupl(nGC_39)**2d0 -    &
                      coupl(nGC_40)**2d0 + 3d0*coupl(nGC_40)*coupl(nGC_41) -   &
                      coupl(nGC_41)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3314) = cima*coupl(nGC_23)**2d0*(3d0*Nc*coupl(nGC_38)**2d0 - 5d0*&
                      Nc*coupl(nGC_38)*coupl(nGC_39) + 3d0*Nc*coupl(nGC_39)**  &
                      2d0 + 3d0*coupl(nGC_40)**2d0 - 5d0*coupl(nGC_40)*coupl(  &
                      nGC_41) + 3d0*coupl(nGC_41)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3315) = cima*(-4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_55)**2d0 - 4d0&
                      *Nc*coupl(nGC_34)**2d0*coupl(nGC_63)**2d0 - 4d0*Nc*coupl(&
                      nGC_34)**2d0*coupl(nGC_75)**2d0 + 5d0*Nc*coupl(nGC_34)*  &
                      coupl(nGC_38)*coupl(nGC_55)**2d0 + 5d0*Nc*coupl(nGC_34)* &
                      coupl(nGC_38)*coupl(nGC_63)**2d0 + 5d0*Nc*coupl(nGC_34)* &
                      coupl(nGC_38)*coupl(nGC_75)**2d0 - 4d0*Nc*coupl(nGC_35)**&
                      2d0*coupl(nGC_59)**2d0 - 4d0*Nc*coupl(nGC_35)**2d0*coupl(&
                      nGC_79)**2d0 - 4d0*Nc*coupl(nGC_35)**2d0*coupl(nGC_87)** &
                      2d0 + 5d0*Nc*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_59)** &
                      2d0 + 5d0*Nc*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79)** &
                      2d0 + 5d0*Nc*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87)** &
                      2d0 - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_55)**2d0 - 4d0*&
                      Nc*coupl(nGC_38)**2d0*coupl(nGC_63)**2d0 - 4d0*Nc*coupl( &
                      nGC_38)**2d0*coupl(nGC_75)**2d0 - 4d0*Nc*coupl(nGC_39)** &
                      2d0*coupl(nGC_59)**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(&
                      nGC_79)**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_87)** &
                      2d0 - 4d0*coupl(nGC_36)**2d0*coupl(nGC_67)**2d0 - 4d0*   &
                      coupl(nGC_36)**2d0*coupl(nGC_71)**2d0 - 4d0*coupl(nGC_36 &
                      )**2d0*coupl(nGC_83)**2d0 + 5d0*coupl(nGC_36)*coupl(     &
                      nGC_40)*coupl(nGC_67)**2d0 + 5d0*coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_71)**2d0 + 5d0*coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_83)**2d0 - 4d0*coupl(nGC_40)**2d0*coupl&
                      (nGC_67)**2d0 - 4d0*coupl(nGC_40)**2d0*coupl(nGC_71)**2d0&
                       - 4d0*coupl(nGC_40)**2d0*coupl(nGC_83)**2d0)/(12d0*pi** &
                      2d0)
    coupl(nGC_3316) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(32d0&
                      *pi**2d0)
    coupl(nGC_3317) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3318) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(  &
                      nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(     &
                      nGC_78)*coupl(nGC_80) - coupl(nGC_86)*coupl(nGC_88))/(   &
                      16d0*pi**2d0)
    coupl(nGC_3319) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl(   &
                      nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(     &
                      nGC_78)*coupl(nGC_80) + coupl(nGC_86)*coupl(nGC_88))/(   &
                      16d0*pi**2d0*Nc)
    coupl(nGC_3320) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(    &
                      nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*coupl&
                      (nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**2d0)
    coupl(nGC_3321) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(   &
                      nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*coupl&
                      (nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**2d0*Nc)
    coupl(nGC_3322) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0 -  &
                      coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_75)**&
                      2d0 - coupl(nGC_79)**2d0 - coupl(nGC_87)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3323) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 +   &
                      coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75)**&
                      2d0 + coupl(nGC_79)**2d0 + coupl(nGC_87)**2d0)/(16d0*pi**&
                      2d0*Nc)
    coupl(nGC_3324) = cima*(Nc*coupl(nGC_34)**4d0 + Nc*coupl(nGC_35)**4d0 + Nc*&
                      coupl(nGC_38)**4d0 + Nc*coupl(nGC_39)**4d0 + coupl(nGC_36&
                      )**4d0 + coupl(nGC_40)**4d0 + coupl(nGC_41)**4d0)/(8d0*pi&
                      **2d0)
    coupl(nGC_3325) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 +   &
                      coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3326) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0 -  &
                      coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(nGC_39)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_3327) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(64d0*pi**2d0)
    coupl(nGC_3328) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl( &
                      nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_3329) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_3330) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**2d0)
    coupl(nGC_3331) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) - coupl(&
                      nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(64d0*pi**2d0*Nc&
                      )
    coupl(nGC_3332) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(32d0*pi**2d0*Nc&
                      **2d0)
    coupl(nGC_3333) = 3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0)
    coupl(nGC_9755) = -5d0*coupl(nGC_3333)/3d0
    coupl(nGC_3334) = -cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0*Nc)
    coupl(nGC_3335) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_3336) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_3389) = cima*dyup_QED1
    coupl(nGC_3391) = -cima*dydo_QED1
    coupl(nGC_3393) = cima*dyc_QED1
    coupl(nGC_3395) = -cima*dys_QED1
    coupl(nGC_3397) = cima*dyt_QED1
    coupl(nGC_3399) = -cima*dyb_QED1
    coupl(nGC_3414) = coupl(nGC_3218)*dydo_QED3
    coupl(nGC_3416) = coupl(nGC_3225)*dys_QED3
    coupl(nGC_3418) = coupl(nGC_3206)*dyb_QED3
    coupl(nGC_3419) = -cima*dye_QED1
    coupl(nGC_3421) = -cima*dym_QED1
    coupl(nGC_3423) = -cima*dytau_QED1
    coupl(nGC_3438) = coupl(nGC_3220)*dye_QED3
    coupl(nGC_3440) = coupl(nGC_3223)*dym_QED3
    coupl(nGC_3442) = coupl(nGC_3235)*dytau_QED3
    coupl(nGC_3456) = coupl(nGC_3180)*dyup_QED3
    coupl(nGC_3458) = coupl(nGC_3215)*dyc_QED3
    coupl(nGC_3460) = coupl(nGC_3230)*dyt_QED3
    coupl(nGC_3337) = coupl(nGC_3098)*dZgs_QCD2
    coupl(nGC_3338) = coupl(nGC_3097)*dZgs_QCD2
    coupl(nGC_3339) = coupl(nGC_3234)*dZee_QED2
    coupl(nGC_3340) = coupl(nGC_3094)*dZee_QED2
    coupl(nGC_3341) = coupl(nGC_3125)*dsw_QED2 + coupl(nGC_3126)*dcw_QED2 +    &
                      coupl(nGC_3127)*dZee_QED2
    coupl(nGC_3342) = coupl(nGC_3105)*dsw_QED2 + coupl(nGC_3106)*dZee_QED2
    coupl(nGC_3343) = coupl(nGC_3134)*dsw_QED2 + coupl(nGC_3135)*dcw_QED2 +    &
                      coupl(nGC_3136)*dZee_QED2
    coupl(nGC_3344) = coupl(nGC_3117)*dsw_QED2 + coupl(nGC_3118)*dcw_QED2 +    &
                      coupl(nGC_3119)*dZee_QED2
    coupl(nGC_3345) = coupl(nGC_3095)*dZee_QED2
    coupl(nGC_3346) = coupl(nGC_3107)*dZee_QED2 + coupl(nGC_3108)*dMW2_QED2
    coupl(nGC_3347) = coupl(nGC_3137)*dsw_QED2 + coupl(nGC_3138)*dZee_QED2 +   &
                      coupl(nGC_3139)*dMW2_QED2
    coupl(nGC_3348) = coupl(nGC_3140)*dsw_QED2 + coupl(nGC_3141)*dZee_QED2 +   &
                      coupl(nGC_3142)*dMW2_QED2
    coupl(nGC_3349) = coupl(nGC_3181)*dsw_QED2 + coupl(nGC_3182)*dcw_QED2 +    &
                      coupl(nGC_3183)*dZee_QED2 + coupl(nGC_3184)*dMW2_QED2
    coupl(nGC_3350) = coupl(nGC_3122)*dsw_QED2 + coupl(nGC_3123)*dcw_QED2 +    &
                      coupl(nGC_3124)*dZee_QED2
    coupl(nGC_3351) = coupl(nGC_3143)*dsw_QED2 + coupl(nGC_3144)*dZee_QED2 +   &
                      coupl(nGC_3145)*dMW2_QED2
    coupl(nGC_3352) = coupl(nGC_3146)*dsw_QED2 + coupl(nGC_3147)*dZee_QED2 +   &
                      coupl(nGC_3148)*dMZ2_QED2
    coupl(nGC_3353) = coupl(nGC_3176)*dsw_QED2 + coupl(nGC_3177)*dcw_QED2 +    &
                      coupl(nGC_3178)*dZee_QED2 + coupl(nGC_3179)*dMZ2_QED2
    coupl(nGC_3354) = coupl(nGC_3104)*dlam_QED4
    coupl(nGC_3355) = coupl(nGC_3103)*dlam_QED4
    coupl(nGC_3357) = coupl(nGC_3192)*dlam_QED4 + coupl(nGC_3193)*dvev_QED1
    coupl(nGC_3358) = coupl(nGC_3197)*dlam_QED4 + coupl(nGC_3198)*dvev_QED1
    coupl(nGC_3359) = coupl(nGC_3096)*dZee_QED2
    coupl(nGC_3360) = coupl(nGC_3132)*dsw_QED2 + coupl(nGC_3133)*dZee_QED2
    coupl(nGC_3361) = coupl(nGC_3130)*dsw_QED2 + coupl(nGC_3131)*dZee_QED2
    coupl(nGC_3362) = coupl(nGC_3202)*dvev_QED1 + coupl(nGC_3203)*dsw_QED2 +   &
                      coupl(nGC_3204)*dZee_QED2
    coupl(nGC_3363) = coupl(nGC_3113)*dsw_QED2 + coupl(nGC_3114)*dZee_QED2
    coupl(nGC_3364) = coupl(nGC_3111)*dsw_QED2 + coupl(nGC_3112)*dZee_QED2
    coupl(nGC_3365) = coupl(nGC_3128)*dsw_QED2 + coupl(nGC_3129)*dZee_QED2
    coupl(nGC_3366) = coupl(nGC_3115)*dsw_QED2 + coupl(nGC_3116)*dZee_QED2
    coupl(nGC_3367) = coupl(nGC_3109)*dsw_QED2 + coupl(nGC_3110)*dZee_QED2
    coupl(nGC_3368) = coupl(nGC_3199)*dvev_QED1 + coupl(nGC_3200)*dsw_QED2 +   &
                      coupl(nGC_3201)*dZee_QED2
    coupl(nGC_3369) = coupl(nGC_3173)*dsw_QED2 + coupl(nGC_3174)*dcw_QED2 +    &
                      coupl(nGC_3175)*dZee_QED2
    coupl(nGC_3370) = coupl(nGC_3158)*dsw_QED2 + coupl(nGC_3159)*dcw_QED2 +    &
                      coupl(nGC_3160)*dZee_QED2
    coupl(nGC_3371) = coupl(nGC_3164)*dsw_QED2 + coupl(nGC_3165)*dcw_QED2 +    &
                      coupl(nGC_3166)*dZee_QED2
    coupl(nGC_3372) = coupl(nGC_3099)*dcw_QED2 + coupl(nGC_3100)*dZee_QED2
    coupl(nGC_3373) = coupl(nGC_3101)*dcw_QED2 + coupl(nGC_3102)*dZee_QED2
    coupl(nGC_3374) = coupl(nGC_3194)*dvev_QED1 + coupl(nGC_3195)*dcw_QED2 +   &
                      coupl(nGC_3196)*dZee_QED2
    coupl(nGC_3375) = coupl(nGC_3092)*dcw_QED2 + coupl(nGC_3093)*dZee_QED2
    coupl(nGC_3376) = coupl(nGC_3189)*dsw_QED2 + coupl(nGC_3190)*dcw_QED2 +    &
                      coupl(nGC_3191)*dZee_QED2
    coupl(nGC_3377) = coupl(nGC_3186)*dsw_QED2 + coupl(nGC_3187)*dcw_QED2 +    &
                      coupl(nGC_3188)*dZee_QED2
    coupl(nGC_3378) = coupl(nGC_3207)*dvev_QED1 + coupl(nGC_3208)*dsw_QED2 +   &
                      coupl(nGC_3209)*dcw_QED2 + coupl(nGC_3210)*dZee_QED2
    coupl(nGC_3379) = coupl(nGC_3214)*dZee_QED2
    coupl(nGC_3380) = coupl(nGC_3236)*dZee_QED2
    coupl(nGC_3381) = coupl(nGC_112)*dZgs_QCD2
    coupl(nGC_3382) = coupl(nGC_3120)*dsw_QED2 + coupl(nGC_3121)*dZee_QED2
    coupl(nGC_3383) = coupl(nGC_3152)*dsw_QED2 + coupl(nGC_3153)*dcw_QED2 +    &
                      coupl(nGC_3154)*dZee_QED2
    coupl(nGC_3384) = coupl(nGC_3170)*dsw_QED2 + coupl(nGC_3171)*dcw_QED2 +    &
                      coupl(nGC_3172)*dZee_QED2
    coupl(nGC_3385) = coupl(nGC_3149)*dsw_QED2 + coupl(nGC_3150)*dcw_QED2 +    &
                      coupl(nGC_3151)*dZee_QED2
    coupl(nGC_3386) = coupl(nGC_3161)*dsw_QED2 + coupl(nGC_3162)*dcw_QED2 +    &
                      coupl(nGC_3163)*dZee_QED2
    coupl(nGC_3387) = coupl(nGC_3167)*dsw_QED2 + coupl(nGC_3168)*dcw_QED2 +    &
                      coupl(nGC_3169)*dZee_QED2
    coupl(nGC_3388) = coupl(nGC_3155)*dsw_QED2 + coupl(nGC_3156)*dcw_QED2 +    &
                      coupl(nGC_3157)*dZee_QED2
    coupl(nGC_3475) = coupl(nGC_144)*dMW2_QED2
    coupl(nGC_3476) = coupl(nGC_148)*dMW2_QED2
    coupl(nGC_3477) = coupl(nGC_152)*dMZ2_QED2
    coupl(nGC_4727) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3337)
    coupl(nGC_4732) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3338)
    coupl(nGC_4733) = -2d0*coupl(nGC_4732)
    coupl(nGC_4736) = 2d0*coupl(nGC_4732)
    coupl(nGC_4737) = -coupl(nGC_4732)
    coupl(nGC_4749) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0  &
                       + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_3339)
    coupl(nGC_4753) = coupl(nGC_25)*dZWMinus_QED2 + coupl(nGC_25)*dZZ_QED2/2d0 &
                       + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_3341)
    coupl(nGC_4757) = coupl(nGC_3340) + coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*  &
                      dZWMinus_QED2
    coupl(nGC_4758) = -coupl(nGC_4756)/2d0 + coupl(nGC_4757)
    coupl(nGC_4759) = coupl(nGC_4756) - 2d0*coupl(nGC_4757)
    coupl(nGC_4765) = coupl(nGC_29)*dZA_QED2/2d0 + coupl(nGC_29)*dZWMinus_QED2 &
                       + coupl(nGC_29)*dZZ_QED2/2d0 + coupl(nGC_3343)
    coupl(nGC_4766) = coupl(nGC_4764) - coupl(nGC_4765)/2d0
    coupl(nGC_4767) = -2d0*coupl(nGC_4764) + coupl(nGC_4765)
    coupl(nGC_4776) = 2d0*coupl(nGC_18)*dZWMinus_QED2 + coupl(nGC_3342)
    coupl(nGC_4777) = -2d0*coupl(nGC_4776)
    coupl(nGC_4785) = coupl(nGC_19)*dZWMinus_QED2 + coupl(nGC_19)*dZZ_QED2 +   &
                      coupl(nGC_3344)
    coupl(nGC_4786) = coupl(nGC_4782) - 2d0*coupl(nGC_4785)
    coupl(nGC_4787) = -coupl(nGC_4782)/2d0 + coupl(nGC_4785)
    coupl(nGC_4800) = coupl(nGC_3345) + coupl(nGC_4)*dZWMinus_QED2/2d0
    coupl(nGC_4801) = -coupl(nGC_4800)
    coupl(nGC_4804) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_3339)
    coupl(nGC_4805) = -coupl(nGC_4804)
    coupl(nGC_4812) = coupl(nGC_31)*dZH_QED2/2d0 + coupl(nGC_3348)
    coupl(nGC_4816) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0  &
                       + coupl(nGC_3339)
    coupl(nGC_4817) = -coupl(nGC_4816)
    coupl(nGC_4821) = coupl(nGC_25)*dZZ_QED2/2d0 + coupl(nGC_3)*dZAZ_QED2/2d0  &
                       + coupl(nGC_3341)
    coupl(nGC_4822) = -coupl(nGC_4821)
    coupl(nGC_4826) = coupl(nGC_24)*dZWMinus_QED2/2d0 + coupl(nGC_3350)
    coupl(nGC_4827) = -coupl(nGC_4826)
    coupl(nGC_4837) = coupl(nGC_24)*dZZA_QED2/2d0 + coupl(nGC_3345) + coupl(   &
                      nGC_4)*dZA_QED2/2d0
    coupl(nGC_4838) = -coupl(nGC_4837)
    coupl(nGC_4842) = coupl(nGC_24)*dZZ_QED2/2d0 + coupl(nGC_3350) + coupl(    &
                      nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_4843) = -coupl(nGC_4842)
    coupl(nGC_4847) = coupl(nGC_25)*dZWMinus_QED2/2d0 + coupl(nGC_3341)
    coupl(nGC_4848) = -coupl(nGC_4847)
    coupl(nGC_4857) = coupl(nGC_3353) + coupl(nGC_44)*dZH_QED2/2d0
    coupl(nGC_4860) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3337)
    coupl(nGC_4861) = -coupl(nGC_4860)
    coupl(nGC_4866) = coupl(nGC_3354) + coupl(nGC_HHHH)
    coupl(nGC_4869) = coupl(nGC_3355) + coupl(nGC_HHGG)
    coupl(nGC_4876) = coupl(nGC_13)*dZH_QED2 + coupl(nGC_3355) + coupl(nGC_HHGG)
    coupl(nGC_4883) = 2d0*coupl(nGC_15)*dZH_QED2 + coupl(nGC_3354) + coupl(    &
                      nGC_HHHH)
    coupl(nGC_4887) = coupl(nGC_3357) + coupl(nGC_48)*dZH_QED2/2d0 + coupl(    &
                      nGC_GGH)
    coupl(nGC_4894) = coupl(nGC_3358) + 3d0*coupl(nGC_49)*dZH_QED2/2d0 + coupl(&
                      nGC_HHH)
    coupl(nGC_4898) = coupl(nGC_3359) + coupl(nGC_42)*dZZA_QED2 + coupl(nGC_6)*&
                      dZA_QED2
    coupl(nGC_4903) = coupl(nGC_3369) + coupl(nGC_42)*dZA_QED2/2d0 + coupl(    &
                      nGC_42)*dZZ_QED2/2d0 + coupl(nGC_45)*dZZA_QED2/2d0 +     &
                      coupl(nGC_6)*dZAZ_QED2/2d0
    coupl(nGC_4907) = coupl(nGC_3345) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(     &
                      nGC_40)*dZZA_QED2/2d0
    coupl(nGC_4911) = coupl(nGC_3371) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(    &
                      nGC_40)*dZZ_QED2/2d0
    coupl(nGC_4915) = coupl(nGC_28)*dZA_QED2/2d0 + coupl(nGC_28)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_3360) + coupl(nGC_9)*dZZA_QED2/2d0
    coupl(nGC_4919) = coupl(nGC_28)*dZAZ_QED2/2d0 + coupl(nGC_3372) + coupl(   &
                      nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/2d0
    coupl(nGC_4923) = coupl(nGC_27)*dZA_QED2/2d0 + coupl(nGC_27)*dZH_QED2/2d0  &
                       + coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_3361) +   &
                      coupl(nGC_8)*dZZA_QED2/2d0
    coupl(nGC_4927) = coupl(nGC_27)*dZAZ_QED2/2d0 + coupl(nGC_3373) + coupl(   &
                      nGC_8)*dZH_QED2/2d0 + coupl(nGC_8)*dZWMinus_QED2/2d0 +   &
                      coupl(nGC_8)*dZZ_QED2/2d0
    coupl(nGC_4931) = coupl(nGC_3362) + coupl(nGC_47)*dZZA_QED2/2d0 + coupl(   &
                      nGC_51)*dZA_QED2/2d0 + coupl(nGC_51)*dZWMinus_QED2/2d0
    coupl(nGC_4935) = coupl(nGC_3374) + coupl(nGC_47)*dZWMinus_QED2/2d0 + coupl&
                      (nGC_47)*dZZ_QED2/2d0 + coupl(nGC_51)*dZAZ_QED2/2d0
    coupl(nGC_4938) = coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_3363)
    coupl(nGC_4941) = coupl(nGC_21)*dZH_QED2/2d0 + coupl(nGC_21)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_3364)
    coupl(nGC_4945) = coupl(nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_3365) + coupl(nGC_7)*dZZA_QED2/2d0
    coupl(nGC_4949) = coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_3375) + coupl(   &
                      nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
    coupl(nGC_4966) = coupl(nGC_20)*dZH_QED2/2d0 + coupl(nGC_20)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_3366)
    coupl(nGC_4969) = coupl(nGC_17)*dZWMinus_QED2 + coupl(nGC_3367)
    coupl(nGC_4974) = coupl(nGC_17)*dZH_QED2 + coupl(nGC_17)*dZWMinus_QED2 +   &
                      coupl(nGC_3367)
    coupl(nGC_4977) = coupl(nGC_3368) + coupl(nGC_50)*dZH_QED2/2d0 + coupl(    &
                      nGC_50)*dZWMinus_QED2
    coupl(nGC_4985) = coupl(nGC_3377) + coupl(nGC_42)*dZAZ_QED2 + coupl(nGC_45 &
                      )*dZZ_QED2
    coupl(nGC_4988) = coupl(nGC_3370) + coupl(nGC_37)*dZH_QED2/2d0 + coupl(    &
                      nGC_37)*dZZ_QED2/2d0
    coupl(nGC_5028) = coupl(nGC_3376) + coupl(nGC_46)*dZZ_QED2
    coupl(nGC_5032) = coupl(nGC_3376) + coupl(nGC_46)*dZH_QED2 + coupl(nGC_46)*&
                      dZZ_QED2
    coupl(nGC_5036) = coupl(nGC_3378) + coupl(nGC_52)*dZH_QED2/2d0 + coupl(    &
                      nGC_52)*dZZ_QED2
    coupl(nGC_5044) = coupl(nGC_3345) + coupl(nGC_4)*dZA_QED2/2d0
    coupl(nGC_5045) = coupl(nGC_5041) + coupl(nGC_5044)
    coupl(nGC_5046) = coupl(nGC_5039) + coupl(nGC_5044)
    coupl(nGC_5054) = coupl(nGC_3388) + coupl(nGC_36)*dZZ_QED2/2d0
    coupl(nGC_5055) = coupl(nGC_3371) + coupl(nGC_40)*dZZ_QED2/2d0
    coupl(nGC_5056) = coupl(nGC_5047) + coupl(nGC_5054)
    coupl(nGC_5057) = coupl(nGC_5047) + coupl(nGC_5055)
    coupl(nGC_5090) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_3379)
    coupl(nGC_5091) = coupl(nGC_5087) + coupl(nGC_5090)
    coupl(nGC_5092) = coupl(nGC_5085) + coupl(nGC_5090)
    coupl(nGC_5100) = coupl(nGC_3383) + coupl(nGC_35)*dZZ_QED2/2d0
    coupl(nGC_5101) = coupl(nGC_3384) + coupl(nGC_39)*dZZ_QED2/2d0
    coupl(nGC_5102) = coupl(nGC_5093) + coupl(nGC_5100)
    coupl(nGC_5103) = coupl(nGC_5093) + coupl(nGC_5101)
    coupl(nGC_5136) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_3380)
    coupl(nGC_5137) = coupl(nGC_5133) + coupl(nGC_5136)
    coupl(nGC_5138) = coupl(nGC_5131) + coupl(nGC_5136)
    coupl(nGC_5146) = coupl(nGC_3385) + coupl(nGC_34)*dZZ_QED2/2d0
    coupl(nGC_5147) = coupl(nGC_3386) + coupl(nGC_38)*dZZ_QED2/2d0
    coupl(nGC_5148) = coupl(nGC_5139) + coupl(nGC_5146)
    coupl(nGC_5149) = coupl(nGC_5139) + coupl(nGC_5147)
    coupl(nGC_5180) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3381)
    coupl(nGC_5228) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_3382)
    coupl(nGC_5265) = coupl(nGC_3387) + coupl(nGC_41)*dZZ_QED2/2d0
    coupl(nGC_5281) = coupl(nGC_3389) + coupl(nGC_85)*dZdL/2d0 + coupl(nGC_85)*&
                      dZuR/2d0
    coupl(nGC_5282) = coupl(nGC_3391) + coupl(nGC_61)*dZdR/2d0 + coupl(nGC_61)*&
                      dZuL/2d0
    coupl(nGC_5289) = coupl(nGC_3393) + coupl(nGC_57)*dZcR/2d0 + coupl(nGC_57)*&
                      dZsL/2d0
    coupl(nGC_5290) = coupl(nGC_3395) + coupl(nGC_73)*dZcL/2d0 + coupl(nGC_73)*&
                      dZsR/2d0
    coupl(nGC_5297) = coupl(nGC_3397) + coupl(nGC_77)*dZbL/2d0 + coupl(nGC_77)*&
                      dZtR/2d0
    coupl(nGC_5298) = coupl(nGC_3399) + coupl(nGC_53)*dZbR/2d0 + coupl(nGC_53)*&
                      dZtL/2d0
    coupl(nGC_3402) = coupl(nGC_3217)*dydo_QED3
    coupl(nGC_3404) = coupl(nGC_3216)*dydo_QED3
    coupl(nGC_3406) = coupl(nGC_3227)*dys_QED3
    coupl(nGC_3408) = coupl(nGC_3226)*dys_QED3
    coupl(nGC_3410) = coupl(nGC_3211)*dyb_QED3
    coupl(nGC_3412) = coupl(nGC_3205)*dyb_QED3
    coupl(nGC_3413) = coupl(nGC_3218)*dydo_QED1
    coupl(nGC_5328) = coupl(nGC_3413) + coupl(nGC_5324)
    coupl(nGC_5329) = coupl(nGC_3414) + coupl(nGC_63)*dZH_QED2/2d0
    coupl(nGC_3415) = coupl(nGC_3225)*dys_QED1
    coupl(nGC_5335) = coupl(nGC_3415) + coupl(nGC_5331)
    coupl(nGC_5336) = coupl(nGC_3416) + coupl(nGC_75)*dZH_QED2/2d0
    coupl(nGC_3417) = coupl(nGC_3206)*dyb_QED1
    coupl(nGC_5342) = coupl(nGC_3417) + coupl(nGC_5338)
    coupl(nGC_5343) = coupl(nGC_3418) + coupl(nGC_55)*dZH_QED2/2d0
    coupl(nGC_5347) = coupl(nGC_3419) + coupl(nGC_65)*dZeMinusR/2d0 + coupl(   &
                      nGC_65)*dZnu_eL/2d0
    coupl(nGC_5351) = coupl(nGC_3421) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(  &
                      nGC_69)*dZnu_muL/2d0
    coupl(nGC_5355) = coupl(nGC_3423) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl(   &
                      nGC_81)*dZtauMinusR/2d0
    coupl(nGC_3426) = coupl(nGC_3221)*dye_QED3
    coupl(nGC_3428) = coupl(nGC_3219)*dye_QED3
    coupl(nGC_3430) = coupl(nGC_3224)*dym_QED3
    coupl(nGC_3432) = coupl(nGC_3222)*dym_QED3
    coupl(nGC_3434) = coupl(nGC_3233)*dytau_QED3
    coupl(nGC_3436) = coupl(nGC_3232)*dytau_QED3
    coupl(nGC_3437) = coupl(nGC_3220)*dye_QED1
    coupl(nGC_5385) = coupl(nGC_3437) + coupl(nGC_5381)
    coupl(nGC_5386) = coupl(nGC_3438) + coupl(nGC_67)*dZH_QED2/2d0
    coupl(nGC_3439) = coupl(nGC_3223)*dym_QED1
    coupl(nGC_5392) = coupl(nGC_3439) + coupl(nGC_5388)
    coupl(nGC_5393) = coupl(nGC_3440) + coupl(nGC_71)*dZH_QED2/2d0
    coupl(nGC_3441) = coupl(nGC_3235)*dytau_QED1
    coupl(nGC_5399) = coupl(nGC_3441) + coupl(nGC_5395)
    coupl(nGC_5400) = coupl(nGC_3442) + coupl(nGC_83)*dZH_QED2/2d0
    coupl(nGC_3444) = coupl(nGC_3228)*dyup_QED3
    coupl(nGC_3446) = coupl(nGC_3185)*dyup_QED3
    coupl(nGC_3448) = coupl(nGC_3212)*dyc_QED3
    coupl(nGC_3450) = coupl(nGC_3213)*dyc_QED3
    coupl(nGC_3452) = coupl(nGC_3229)*dyt_QED3
    coupl(nGC_3454) = coupl(nGC_3231)*dyt_QED3
    coupl(nGC_3455) = coupl(nGC_3180)*dyup_QED1
    coupl(nGC_5448) = coupl(nGC_3455) + coupl(nGC_5444)
    coupl(nGC_5449) = coupl(nGC_3456) + coupl(nGC_87)*dZH_QED2/2d0
    coupl(nGC_3457) = coupl(nGC_3215)*dyc_QED1
    coupl(nGC_5455) = coupl(nGC_3457) + coupl(nGC_5451)
    coupl(nGC_5456) = coupl(nGC_3458) + coupl(nGC_59)*dZH_QED2/2d0
    coupl(nGC_3459) = coupl(nGC_3230)*dyt_QED1
    coupl(nGC_5462) = coupl(nGC_3459) + coupl(nGC_5458)
    coupl(nGC_5463) = coupl(nGC_3460) + coupl(nGC_79)*dZH_QED2/2d0
    coupl(nGC_5560) = coupl(nGC_3475) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
