!******************************************************************************!
!                                                                              !
!    ctparameter16.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter16.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 14:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter16
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter16()
  dr_QED2 = cMW**2d0*dMZ2_QED2*ee/(cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ &
            **2d0)*(-cMW**2d0 + cMZ**2d0)) + 2d0*dZeeZM_QED2*ee*(cMW**2d0 - cMZ&
            **2d0)/(gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**&
            2d0)) + (4d0*Nc*Ten227*coupl(nGC_23)**2d0*(cMW**2d0 - cMZ**2d0)/(  &
            cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten228*coupl(nGC_23)**2d0&
            *(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc* &
            Ten229*coupl(nGC_23)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + 4d0*Ten230*coupl(nGC_23)**2d0*(cMW**2d0 - cMZ** &
            2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten231*coupl(nGC_23)**&
            2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0* &
            Ten232*coupl(nGC_23)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + pi**2d0*(-16d0*Nc*cMB**2d0*cMW**2d0*cMZ**2d0*   &
            coupl(nGC_23)**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-16d0*pi**2d0&
            *cMW**4d0*cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 16d0*pi**2d0&
            *cMW**2d0*cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 16d0*Nc*cMB&
            **2d0*cMZ**4d0*coupl(nGC_23)**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0 &
            )/(-16d0*pi**2d0*cMW**4d0*cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            ) + 16d0*pi**2d0*cMW**2d0*cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            )) - 16d0*Nc*cMC**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0*gw*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0)/(-16d0*pi**2d0*cMW**4d0*cMZ**2d0*gw*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0) + 16d0*pi**2d0*cMW**2d0*cMZ**4d0*gw*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0)) + 16d0*Nc*cMC**2d0*cMZ**4d0*coupl(     &
            nGC_23)**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-16d0*pi**2d0*cMW**&
            4d0*cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 16d0*pi**2d0*cMW**&
            2d0*cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 16d0*Nc*cMD**2d0*&
            cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 +  &
            1d0)/(-16d0*pi**2d0*cMW**4d0*cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + &
            1d0) + 16d0*pi**2d0*cMW**2d0*cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + &
            1d0)) + 16d0*Nc*cMD**2d0*cMZ**4d0*coupl(nGC_23)**2d0*gw*sqrt(-cMW**&
            2d0/cMZ**2d0 + 1d0)/(-16d0*pi**2d0*cMW**4d0*cMZ**2d0*gw*sqrt(-cMW**&
            2d0/cMZ**2d0 + 1d0) + 16d0*pi**2d0*cMW**2d0*cMZ**4d0*gw*sqrt(-cMW**&
            2d0/cMZ**2d0 + 1d0)) - 16d0*Nc*cMS**2d0*cMW**2d0*cMZ**2d0*coupl(   &
            nGC_23)**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-16d0*pi**2d0*cMW**&
            4d0*cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 16d0*pi**2d0*cMW**&
            2d0*cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 16d0*Nc*cMS**2d0*&
            cMZ**4d0*coupl(nGC_23)**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-   &
            16d0*pi**2d0*cMW**4d0*cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + &
            16d0*pi**2d0*cMW**2d0*cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0    &
            )) - 16d0*Nc*cMT**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0*gw*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0)/(-16d0*pi**2d0*cMW**4d0*cMZ**2d0*gw*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0) + 16d0*pi**2d0*cMW**2d0*cMZ**4d0*gw*sqrt&
            (-cMW**2d0/cMZ**2d0 + 1d0)) + 16d0*Nc*cMT**2d0*cMZ**4d0*coupl(     &
            nGC_23)**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-16d0*pi**2d0*cMW**&
            4d0*cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 16d0*pi**2d0*cMW**&
            2d0*cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 16d0*Nc*cMU**2d0*&
            cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 +  &
            1d0)/(-16d0*pi**2d0*cMW**4d0*cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + &
            1d0) + 16d0*pi**2d0*cMW**2d0*cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + &
            1d0)) + 16d0*Nc*cMU**2d0*cMZ**4d0*coupl(nGC_23)**2d0*gw*sqrt(-cMW**&
            2d0/cMZ**2d0 + 1d0)/(-16d0*pi**2d0*cMW**4d0*cMZ**2d0*gw*sqrt(-cMW**&
            2d0/cMZ**2d0 + 1d0) + 16d0*pi**2d0*cMW**2d0*cMZ**4d0*gw*sqrt(-cMW**&
            2d0/cMZ**2d0 + 1d0)) - 16d0*cME**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23&
            )**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-16d0*pi**2d0*cMW**4d0*  &
            cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 16d0*pi**2d0*cMW**2d0*&
            cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 16d0*cME**2d0*cMZ**  &
            4d0*coupl(nGC_23)**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-16d0*pi &
            **2d0*cMW**4d0*cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 16d0*pi&
            **2d0*cMW**2d0*cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 16d0* &
            cMM**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_23)**2d0*gw*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)/(-16d0*pi**2d0*cMW**4d0*cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0) + 16d0*pi**2d0*cMW**2d0*cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) + 16d0*cMM**2d0*cMZ**4d0*coupl(nGC_23)**2d0*gw*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-16d0*pi**2d0*cMW**4d0*cMZ**2d0*gw*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0) + 16d0*pi**2d0*cMW**2d0*cMZ**4d0*gw*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)) - 16d0*cMTA**2d0*cMW**2d0*cMZ**2d0*coupl(&
            nGC_23)**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-16d0*pi**2d0*cMW**&
            4d0*cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 16d0*pi**2d0*cMW**&
            2d0*cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 16d0*cMTA**2d0*  &
            cMZ**4d0*coupl(nGC_23)**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-   &
            16d0*pi**2d0*cMW**4d0*cMZ**2d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + &
            16d0*pi**2d0*cMW**2d0*cMZ**4d0*gw*sqrt(-cMW**2d0/cMZ**2d0 + 1d0    &
            ))))/(16d0*pi**2d0) + dMW2_QED2*(-cMW**2d0*ee - cMW**2d0*gw*sqrt((-&
            cMW**2d0 + cMZ**2d0)/cMZ**2d0) + cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ &
            **2d0)/cMZ**2d0))/(cMW**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0&
            )*(-cMW**2d0 + cMZ**2d0))
    if (.not. complex_mass_scheme) then
      dr_QED2 = cone*real(dr_QED2,kind=dp)
    end if 
end subroutine set_ctparameter16
end module ctparameter16
