!******************************************************************************!
!                                                                              !
!    ctparameter3.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter3.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 14:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter3
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter3()
  dZg_QCD2 = (4d0*Ten105*cMT**2d0*coupl(nGC_11)**2d0 + 4d0*Ten106*cMU_reg**2d0*&
             coupl(nGC_11)**2d0 + 4d0*Ten107*cMC_reg**2d0*coupl(nGC_11)**2d0 + &
             4d0*Ten108*cMD_reg**2d0*coupl(nGC_11)**2d0 + 4d0*Ten109*cMS_reg** &
             2d0*coupl(nGC_11)**2d0 + 4d0*Ten110*cMB_reg**2d0*coupl(nGC_11)**  &
             2d0 - 8d0*Ten111*coupl(nGC_11)**2d0 - 8d0*Ten112*coupl(nGC_11)**  &
             2d0 - 8d0*Ten113*coupl(nGC_11)**2d0 - 8d0*Ten114*coupl(nGC_11)**  &
             2d0 - 8d0*Ten115*coupl(nGC_11)**2d0 - 8d0*Ten116*coupl(nGC_11)**  &
             2d0 - 2d0*Ten117*coupl(nGC_11)**2d0/3d0 - 2d0*Ten118*coupl(nGC_11 &
             )**2d0/3d0 - 2d0*Ten119*coupl(nGC_11)**2d0/3d0 - 2d0*Ten120*coupl(&
             nGC_11)**2d0/3d0 - 2d0*Ten121*coupl(nGC_11)**2d0/3d0 - 2d0*coupl( &
             nGC_11)**2d0/3d0)/(16d0*pi**2d0)
  dZg_QCD2 = cone*real(dZg_QCD2,kind=dp)
end subroutine set_ctparameter3
end module ctparameter3
