!******************************************************************************!
!                                                                              !
!    ctparameter4.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter4.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 14:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter4
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter4()
  dZAZ_QED2 = (8d0*Nc*Ten100*coupl(nGC_2)*(cMZ**2d0*coupl(nGC_35) + cMZ**2d0*  &
              coupl(nGC_39) - coupl(nGC_35)*rMZ**2d0 - coupl(nGC_39)*rMZ**2d0  &
              )/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten101*coupl(nGC_2)*(cMZ**2d0*    &
              coupl(nGC_35) + cMZ**2d0*coupl(nGC_39) - coupl(nGC_35)*rMZ**2d0  &
               - coupl(nGC_39)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten102*  &
              coupl(nGC_1)*(cMZ**2d0*coupl(nGC_34) + cMZ**2d0*coupl(nGC_38) -  &
              coupl(nGC_34)*rMZ**2d0 - coupl(nGC_38)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 8d0*Nc*Ten103*coupl(nGC_1)*(cMZ**2d0*coupl(nGC_34) + cMZ**&
              2d0*coupl(nGC_38) - coupl(nGC_34)*rMZ**2d0 - coupl(nGC_38)*rMZ** &
              2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten104*coupl(nGC_1)*(cMZ**2d0* &
              coupl(nGC_34) + cMZ**2d0*coupl(nGC_38) - coupl(nGC_34)*rMZ**2d0  &
               - coupl(nGC_38)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten152*  &
              coupl(nGC_2)*(-coupl(nGC_35) - coupl(nGC_39)) + 4d0*Nc*Ten153*   &
              coupl(nGC_2)*(-coupl(nGC_35) - coupl(nGC_39)) + 4d0*Nc*Ten154*   &
              coupl(nGC_2)*(-coupl(nGC_35) - coupl(nGC_39)) + 4d0*Nc*Ten155*   &
              coupl(nGC_1)*(-coupl(nGC_34) - coupl(nGC_38)) + 4d0*Nc*Ten156*   &
              coupl(nGC_1)*(-coupl(nGC_34) - coupl(nGC_38)) + 4d0*Nc*Ten157*   &
              coupl(nGC_1)*(-coupl(nGC_34) - coupl(nGC_38)) + 8d0*Nc*Ten161*   &
              coupl(nGC_2)*(-coupl(nGC_35) - coupl(nGC_39))/rMZ**2d0 + 8d0*Nc* &
              Ten162*coupl(nGC_2)*(-coupl(nGC_35) - coupl(nGC_39))/rMZ**2d0 +  &
              8d0*Nc*Ten163*coupl(nGC_2)*(-coupl(nGC_35) - coupl(nGC_39))/rMZ**&
              2d0 + 8d0*Nc*Ten164*coupl(nGC_1)*(-coupl(nGC_34) - coupl(nGC_38  &
              ))/rMZ**2d0 + 8d0*Nc*Ten165*coupl(nGC_1)*(-coupl(nGC_34) - coupl(&
              nGC_38))/rMZ**2d0 + 8d0*Nc*Ten166*coupl(nGC_1)*(-coupl(nGC_34) - &
              coupl(nGC_38))/rMZ**2d0 + 4d0*Nc*Ten170*coupl(nGC_2)*(-coupl(    &
              nGC_35) - coupl(nGC_39)) + 4d0*Nc*Ten171*coupl(nGC_2)*(-coupl(   &
              nGC_35) - coupl(nGC_39)) + 4d0*Nc*Ten172*coupl(nGC_2)*(-coupl(   &
              nGC_35) - coupl(nGC_39)) + 4d0*Nc*Ten173*coupl(nGC_1)*(-coupl(   &
              nGC_34) - coupl(nGC_38)) + 4d0*Nc*Ten174*coupl(nGC_1)*(-coupl(   &
              nGC_34) - coupl(nGC_38)) + 4d0*Nc*Ten175*coupl(nGC_1)*(-coupl(   &
              nGC_34) - coupl(nGC_38)) + 4d0*Nc*Ten179*cMU**2d0*coupl(nGC_2)*( &
              coupl(nGC_35) + coupl(nGC_39))/rMZ**2d0 + 4d0*Nc*Ten180*cMC**2d0*&
              coupl(nGC_2)*(coupl(nGC_35) + coupl(nGC_39))/rMZ**2d0 + 4d0*Nc*  &
              Ten181*cMT**2d0*coupl(nGC_2)*(coupl(nGC_35) + coupl(nGC_39))/rMZ &
              **2d0 + 4d0*Nc*Ten182*cMD**2d0*coupl(nGC_1)*(coupl(nGC_34) +     &
              coupl(nGC_38))/rMZ**2d0 + 4d0*Nc*Ten183*cMS**2d0*coupl(nGC_1)*(  &
              coupl(nGC_34) + coupl(nGC_38))/rMZ**2d0 + 4d0*Nc*Ten184*cMB**2d0*&
              coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38))/rMZ**2d0 + 4d0*Nc*  &
              Ten93*cMT**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(nGC_35) - cMZ**2d0* &
              coupl(nGC_39) + coupl(nGC_35)*rMZ**2d0 + coupl(nGC_39)*rMZ**2d0  &
              )/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten94*cMU**2d0*coupl(nGC_2)*(-cMZ &
              **2d0*coupl(nGC_35) - cMZ**2d0*coupl(nGC_39) + coupl(nGC_35)*rMZ &
              **2d0 + coupl(nGC_39)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*    &
              Ten95*cMC**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(nGC_35) - cMZ**2d0* &
              coupl(nGC_39) + coupl(nGC_35)*rMZ**2d0 + coupl(nGC_39)*rMZ**2d0  &
              )/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten96*cMD**2d0*coupl(nGC_1)*(-cMZ &
              **2d0*coupl(nGC_34) - cMZ**2d0*coupl(nGC_38) + coupl(nGC_34)*rMZ &
              **2d0 + coupl(nGC_38)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*    &
              Ten97*cMS**2d0*coupl(nGC_1)*(-cMZ**2d0*coupl(nGC_34) - cMZ**2d0* &
              coupl(nGC_38) + coupl(nGC_34)*rMZ**2d0 + coupl(nGC_38)*rMZ**2d0  &
              )/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten98*cMB**2d0*coupl(nGC_1)*(-cMZ &
              **2d0*coupl(nGC_34) - cMZ**2d0*coupl(nGC_38) + coupl(nGC_34)*rMZ &
              **2d0 + coupl(nGC_38)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*    &
              Ten99*coupl(nGC_2)*(cMZ**2d0*coupl(nGC_35) + cMZ**2d0*coupl(     &
              nGC_39) - coupl(nGC_35)*rMZ**2d0 - coupl(nGC_39)*rMZ**2d0)/(cMZ**&
              2d0*rMZ**2d0) + 4d0*Ten131*cME**2d0*coupl(nGC_4)*(-cMZ**2d0*coupl&
              (nGC_36) - cMZ**2d0*coupl(nGC_40) + coupl(nGC_36)*rMZ**2d0 +     &
              coupl(nGC_40)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten132*cMM**2d0&
              *coupl(nGC_4)*(-cMZ**2d0*coupl(nGC_36) - cMZ**2d0*coupl(nGC_40   &
              ) + coupl(nGC_36)*rMZ**2d0 + coupl(nGC_40)*rMZ**2d0)/(cMZ**2d0*  &
              rMZ**2d0) + 4d0*Ten133*cMTA**2d0*coupl(nGC_4)*(-cMZ**2d0*coupl(  &
              nGC_36) - cMZ**2d0*coupl(nGC_40) + coupl(nGC_36)*rMZ**2d0 + coupl&
              (nGC_40)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Ten134*coupl(nGC_4  &
              )*(cMZ**2d0*coupl(nGC_36) + cMZ**2d0*coupl(nGC_40) - coupl(nGC_36&
              )*rMZ**2d0 - coupl(nGC_40)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*  &
              Ten135*coupl(nGC_4)*(cMZ**2d0*coupl(nGC_36) + cMZ**2d0*coupl(    &
              nGC_40) - coupl(nGC_36)*rMZ**2d0 - coupl(nGC_40)*rMZ**2d0)/(cMZ**&
              2d0*rMZ**2d0) + 8d0*Ten136*coupl(nGC_4)*(cMZ**2d0*coupl(nGC_36   &
              ) + cMZ**2d0*coupl(nGC_40) - coupl(nGC_36)*rMZ**2d0 - coupl(     &
              nGC_40)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten149*coupl(nGC_4   &
              )*(-coupl(nGC_36) - coupl(nGC_40)) + 4d0*Ten150*coupl(nGC_4)*(-  &
              coupl(nGC_36) - coupl(nGC_40)) + 4d0*Ten151*coupl(nGC_4)*(-coupl(&
              nGC_36) - coupl(nGC_40)) + 8d0*Ten158*coupl(nGC_4)*(-coupl(nGC_36&
              ) - coupl(nGC_40))/rMZ**2d0 + 8d0*Ten159*coupl(nGC_4)*(-coupl(   &
              nGC_36) - coupl(nGC_40))/rMZ**2d0 + 8d0*Ten160*coupl(nGC_4)*(-   &
              coupl(nGC_36) - coupl(nGC_40))/rMZ**2d0 + 4d0*Ten167*coupl(nGC_4 &
              )*(-coupl(nGC_36) - coupl(nGC_40)) + 4d0*Ten168*coupl(nGC_4)*(-  &
              coupl(nGC_36) - coupl(nGC_40)) + 4d0*Ten169*coupl(nGC_4)*(-coupl(&
              nGC_36) - coupl(nGC_40)) + 4d0*Ten176*cME**2d0*coupl(nGC_4)*(    &
              coupl(nGC_36) + coupl(nGC_40))/rMZ**2d0 + 4d0*Ten177*cMM**2d0*   &
              coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40))/rMZ**2d0 + 4d0*     &
              Ten178*cMTA**2d0*coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40))/rMZ&
              **2d0 + pi**2d0*(4d0*Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_34)/(pi**&
              2d0*cMZ**2d0) + 4d0*Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_38)/(pi** &
              2d0*cMZ**2d0) + 4d0*Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_35)/(pi** &
              2d0*cMZ**2d0) + 4d0*Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_39)/(pi** &
              2d0*cMZ**2d0) + 4d0*Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_34)/(pi** &
              2d0*cMZ**2d0) + 4d0*Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_38)/(pi** &
              2d0*cMZ**2d0) + 4d0*Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_34)/(pi** &
              2d0*cMZ**2d0) + 4d0*Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_38)/(pi** &
              2d0*cMZ**2d0) + 4d0*Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_35)/(pi** &
              2d0*cMZ**2d0) + 4d0*Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_39)/(pi** &
              2d0*cMZ**2d0) + 4d0*Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_35)/(pi** &
              2d0*cMZ**2d0) + 4d0*Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_39)/(pi** &
              2d0*cMZ**2d0) - 2d0*Nc*coupl(nGC_1)*coupl(nGC_34)/pi**2d0 - 2d0* &
              Nc*coupl(nGC_1)*coupl(nGC_38)/pi**2d0 - 2d0*Nc*coupl(nGC_2)*coupl&
              (nGC_35)/pi**2d0 - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39)/pi**2d0 +   &
              4d0*cME**2d0*coupl(nGC_36)*coupl(nGC_4)/(pi**2d0*cMZ**2d0) + 4d0*&
              cME**2d0*coupl(nGC_4)*coupl(nGC_40)/(pi**2d0*cMZ**2d0) + 4d0*cMM &
              **2d0*coupl(nGC_36)*coupl(nGC_4)/(pi**2d0*cMZ**2d0) + 4d0*cMM**  &
              2d0*coupl(nGC_4)*coupl(nGC_40)/(pi**2d0*cMZ**2d0) + 4d0*cMTA**2d0&
              *coupl(nGC_36)*coupl(nGC_4)/(pi**2d0*cMZ**2d0) + 4d0*cMTA**2d0*  &
              coupl(nGC_4)*coupl(nGC_40)/(pi**2d0*cMZ**2d0) - 2d0*coupl(nGC_36 &
              )*coupl(nGC_4)/pi**2d0 - 2d0*coupl(nGC_4)*coupl(nGC_40)/pi**2d0  &
              ))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZAZ_QED2 = cone*real(dZAZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter4
end module ctparameter4
