!******************************************************************************!
!                                                                              !
!    ctparameter6.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter6.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 14:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter6
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter6()
  dZZA_QED2 = (8d0*Nc*Ten100*coupl(nGC_2)*(coupl(nGC_35) + coupl(nGC_39))/cMZ**&
              2d0 + 8d0*Nc*Ten101*coupl(nGC_2)*(coupl(nGC_35) + coupl(nGC_39))/&
              cMZ**2d0 + 8d0*Nc*Ten102*coupl(nGC_1)*(coupl(nGC_34) + coupl(    &
              nGC_38))/cMZ**2d0 + 8d0*Nc*Ten103*coupl(nGC_1)*(coupl(nGC_34) +  &
              coupl(nGC_38))/cMZ**2d0 + 8d0*Nc*Ten104*coupl(nGC_1)*(coupl(     &
              nGC_34) + coupl(nGC_38))/cMZ**2d0 + 4d0*Nc*Ten93*cMT**2d0*coupl( &
              nGC_2)*(-coupl(nGC_35) - coupl(nGC_39))/cMZ**2d0 + 4d0*Nc*Ten94* &
              cMU**2d0*coupl(nGC_2)*(-coupl(nGC_35) - coupl(nGC_39))/cMZ**2d0  &
               + 4d0*Nc*Ten95*cMC**2d0*coupl(nGC_2)*(-coupl(nGC_35) - coupl(   &
              nGC_39))/cMZ**2d0 + 4d0*Nc*Ten96*cMD**2d0*coupl(nGC_1)*(-coupl(  &
              nGC_34) - coupl(nGC_38))/cMZ**2d0 + 4d0*Nc*Ten97*cMS**2d0*coupl( &
              nGC_1)*(-coupl(nGC_34) - coupl(nGC_38))/cMZ**2d0 + 4d0*Nc*Ten98* &
              cMB**2d0*coupl(nGC_1)*(-coupl(nGC_34) - coupl(nGC_38))/cMZ**2d0  &
               + 8d0*Nc*Ten99*coupl(nGC_2)*(coupl(nGC_35) + coupl(nGC_39))/cMZ &
              **2d0 + 4d0*Ten131*cME**2d0*coupl(nGC_4)*(-coupl(nGC_36) - coupl(&
              nGC_40))/cMZ**2d0 + 4d0*Ten132*cMM**2d0*coupl(nGC_4)*(-coupl(    &
              nGC_36) - coupl(nGC_40))/cMZ**2d0 + 4d0*Ten133*cMTA**2d0*coupl(  &
              nGC_4)*(-coupl(nGC_36) - coupl(nGC_40))/cMZ**2d0 + 8d0*Ten134*   &
              coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40))/cMZ**2d0 + 8d0*     &
              Ten135*coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40))/cMZ**2d0 +   &
              8d0*Ten136*coupl(nGC_4)*(coupl(nGC_36) + coupl(nGC_40))/cMZ**2d0 &
               + pi**2d0*(-4d0*Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_34)/(pi**2d0*&
              cMZ**2d0) - 4d0*Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_38)/(pi**2d0* &
              cMZ**2d0) - 4d0*Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_35)/(pi**2d0* &
              cMZ**2d0) - 4d0*Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_39)/(pi**2d0* &
              cMZ**2d0) - 4d0*Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_34)/(pi**2d0* &
              cMZ**2d0) - 4d0*Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_38)/(pi**2d0* &
              cMZ**2d0) - 4d0*Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_34)/(pi**2d0* &
              cMZ**2d0) - 4d0*Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_38)/(pi**2d0* &
              cMZ**2d0) - 4d0*Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_35)/(pi**2d0* &
              cMZ**2d0) - 4d0*Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_39)/(pi**2d0* &
              cMZ**2d0) - 4d0*Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_35)/(pi**2d0* &
              cMZ**2d0) - 4d0*Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_39)/(pi**2d0* &
              cMZ**2d0) - 4d0*cME**2d0*coupl(nGC_36)*coupl(nGC_4)/(pi**2d0*cMZ &
              **2d0) - 4d0*cME**2d0*coupl(nGC_4)*coupl(nGC_40)/(pi**2d0*cMZ**  &
              2d0) - 4d0*cMM**2d0*coupl(nGC_36)*coupl(nGC_4)/(pi**2d0*cMZ**2d0 &
              ) - 4d0*cMM**2d0*coupl(nGC_4)*coupl(nGC_40)/(pi**2d0*cMZ**2d0) - &
              4d0*cMTA**2d0*coupl(nGC_36)*coupl(nGC_4)/(pi**2d0*cMZ**2d0) - 4d0&
              *cMTA**2d0*coupl(nGC_4)*coupl(nGC_40)/(pi**2d0*cMZ**2d0)))/(16d0*&
              pi**2d0)
    if (.not. complex_mass_scheme) then
      dZZA_QED2 = cone*real(dZZA_QED2,kind=dp)
    end if 
end subroutine set_ctparameter6
end module ctparameter6
