!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 14:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_g, P_g, P_g, 0, check)
    call createCurrent(P_g, P_g, P_g, P_g, 1, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 2, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 3, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 4, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 5, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 6, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 7, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 8, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 9, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 10, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 11, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 12, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 13, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 14, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 15, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 16, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 17, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 18, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 19, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 20, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 21, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 22, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 23, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 24, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 25, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 26, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 27, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 28, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 29, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 30, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 31, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 32, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 33, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 34, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 35, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 36, check)
    call createCurrent(P_H, P_H, P_H, P_H, 37, check)
    call createCurrent(P_G0, P_G0, P_H, 38, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 39, check)
    call createCurrent(P_H, P_H, P_H, 40, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 41, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 42, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 43, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 44, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 45, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 46, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 47, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 48, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 49, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 50, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 51, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 52, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 53, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 54, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 55, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 56, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 57, check)
    call createCurrent(P_Z, P_G0, P_H, 58, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 59, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 60, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 61, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 62, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 63, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 64, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 65, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 66, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 67, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 68, check)
    call createCurrent(P_Z, P_Z, P_H, 69, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 70, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 71, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 72, check)
    call createCurrent(P_u, P_uAnti, P_A, 73, check)
    call createCurrent(P_c, P_cAnti, P_A, 74, check)
    call createCurrent(P_t, P_tAnti, P_A, 75, check)
    call createCurrent(P_d, P_dAnti, P_A, 76, check)
    call createCurrent(P_s, P_sAnti, P_A, 77, check)
    call createCurrent(P_b, P_bAnti, P_A, 78, check)
    call createCurrent(P_u, P_uAnti, P_g, 79, check)
    call createCurrent(P_c, P_cAnti, P_g, 80, check)
    call createCurrent(P_t, P_tAnti, P_g, 81, check)
    call createCurrent(P_d, P_dAnti, P_g, 82, check)
    call createCurrent(P_s, P_sAnti, P_g, 83, check)
    call createCurrent(P_b, P_bAnti, P_g, 84, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 85, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 86, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 87, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 88, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 89, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 90, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 91, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 92, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 93, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 94, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 95, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 96, check)
    call createCurrent(P_u, P_uAnti, P_Z, 97, check)
    call createCurrent(P_c, P_cAnti, P_Z, 98, check)
    call createCurrent(P_t, P_tAnti, P_Z, 99, check)
    call createCurrent(P_d, P_dAnti, P_Z, 100, check)
    call createCurrent(P_s, P_sAnti, P_Z, 101, check)
    call createCurrent(P_b, P_bAnti, P_Z, 102, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 103, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 104, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 105, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 106, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 107, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 108, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 109, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 110, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 111, check)
    call createCurrent(P_d, P_dAnti, P_G0, 112, check)
    call createCurrent(P_s, P_sAnti, P_G0, 113, check)
    call createCurrent(P_b, P_bAnti, P_G0, 114, check)
    call createCurrent(P_d, P_dAnti, P_H, 115, check)
    call createCurrent(P_s, P_sAnti, P_H, 116, check)
    call createCurrent(P_b, P_bAnti, P_H, 117, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 118, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 119, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 120, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 121, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 122, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 123, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 124, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 125, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 126, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 127, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 128, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 129, check)
    call createCurrent(P_u, P_uAnti, P_G0, 130, check)
    call createCurrent(P_c, P_cAnti, P_G0, 131, check)
    call createCurrent(P_t, P_tAnti, P_G0, 132, check)
    call createCurrent(P_u, P_uAnti, P_H, 133, check)
    call createCurrent(P_c, P_cAnti, P_H, 134, check)
    call createCurrent(P_t, P_tAnti, P_H, 135, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 136, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 137, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 138, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 139, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 140, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 141, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 142, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 143, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 144, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 145, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 146, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 147, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 148, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 149, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 150, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 151, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 152, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 153, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 154, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 155, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 156, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 157, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 158, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 159, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 160, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 161, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 162, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 163, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 164, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 165, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 166, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 167, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 168, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 169, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 170, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 171, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 172, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 173, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 174, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 175, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 176, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 177, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 178, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 179, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 180, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 181, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 182, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 183, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 184, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 185, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 186, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 187, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 188, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 189, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 190, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 191, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 192, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 193, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 194, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 195, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 196, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 197, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 198, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 199, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 200, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 201, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 202, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 203, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 204, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 205, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 206, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 207, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 208, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 209, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 210, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 211, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 212, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 213, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 214, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 215, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 216, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 217, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 218, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 219, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 220, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 221, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 222, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 223, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 224, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 225, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 226, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 227, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 228, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 229, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 230, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 231, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 232, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 233, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 234, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 235, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 236, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 237, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 238, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 239, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 240, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 241, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 242, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 243, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 244, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 245, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 246, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 247, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 248, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 249, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 250, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 251, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 252, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 253, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 254, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 255, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 256, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 257, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 258, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 259, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 260, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 261, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 262, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 263, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 264, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 265, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 266, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 267, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 268, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 269, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 270, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 271, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 272, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 273, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 274, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 275, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 276, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 277, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 278, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 279, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 280, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 281, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 282, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 283, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 284, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 285, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 286, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 287, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 288, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 289, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 290, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 291, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 292, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 293, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 294, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 295, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 296, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 297, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 298, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 299, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 300, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 301, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 302, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 303, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 304, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 305, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 306, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 307, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 308, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 309, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 310, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 311, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 312, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 313, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 314, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 315, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 316, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 317, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 318, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 319, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 320, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 321, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 322, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 323, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 324, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 325, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 326, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 327, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 328, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 329, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 330, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 331, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 332, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 333, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 334, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 335, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 336, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 337, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 338, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 339, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 340, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 341, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 342, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 343, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 344, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 345, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 346, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 347, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 348, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 349, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 350, check)
    call createCurrent(P_G0, P_H, P_G0, 351, check)
    call createCurrent(P_H, P_G0, P_G0, 352, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 353, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 354, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 355, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 356, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 357, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 358, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 359, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 360, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 361, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 362, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 363, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 364, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 365, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 366, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 367, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 368, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 369, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 370, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 371, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 372, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 373, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 374, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 375, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 376, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 377, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 378, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 379, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 380, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 381, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 382, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 383, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 384, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 385, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 386, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 387, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 388, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 389, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 390, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 391, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 392, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 393, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 394, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 395, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 396, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 397, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 398, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 399, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 400, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 401, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 402, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 403, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 404, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 405, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 406, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 407, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 408, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 409, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 410, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 411, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 412, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 413, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 414, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 415, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 416, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 417, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 418, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 419, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 420, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 421, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 422, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 423, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 424, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 425, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 426, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 427, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 428, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 429, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 430, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 431, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 432, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 433, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 434, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 435, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 436, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 437, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 438, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 439, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 440, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 441, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 442, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 443, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 444, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 445, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 446, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 447, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 448, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 449, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 450, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 451, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 452, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 453, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 454, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 455, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 456, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 457, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 458, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 459, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 460, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 461, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 462, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 463, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 464, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 465, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 466, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 467, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 468, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 469, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 470, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 471, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 472, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 473, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 474, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 475, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 476, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 477, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 478, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 479, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 480, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 481, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 482, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 483, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 484, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 485, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 486, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 487, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 488, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 489, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 490, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 491, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 492, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 493, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 494, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 495, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 496, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 497, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 498, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 499, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 500, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 501, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 502, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 503, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 504, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 505, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 506, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 507, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 508, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 509, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 510, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 511, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 512, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 513, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 514, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 515, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 516, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 517, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 518, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 519, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 520, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 521, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 522, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 523, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 524, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 525, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 526, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 527, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 528, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 529, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 530, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 531, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 532, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 533, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 534, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 535, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 536, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 537, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 538, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 539, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 540, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 541, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 542, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 543, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 544, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 545, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 546, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 547, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 548, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 549, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 550, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 551, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 552, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 553, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 554, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 555, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 556, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 557, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 558, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 559, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 560, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 561, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 562, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 563, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 564, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 565, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 566, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 567, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 568, check)
    call createCurrent(P_G0, P_Z, P_H, 569, check)
    call createCurrent(P_G0, P_H, P_Z, 570, check)
    call createCurrent(P_Z, P_H, P_G0, 571, check)
    call createCurrent(P_H, P_G0, P_Z, 572, check)
    call createCurrent(P_H, P_Z, P_G0, 573, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 574, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 575, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 576, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 577, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 578, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 579, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 580, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 581, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 582, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 583, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 584, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 585, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 586, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 587, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 588, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 589, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 590, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 591, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 592, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 593, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 594, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 595, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 596, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 597, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 598, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 599, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 600, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 601, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 602, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 603, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 604, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 605, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 606, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 607, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 608, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 609, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 610, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 611, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 612, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 613, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 614, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 615, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 616, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 617, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 618, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 619, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 620, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 621, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 622, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 623, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 624, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 625, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 626, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 627, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 628, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 629, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 630, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 631, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 632, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 633, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 634, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 635, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 636, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 637, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 638, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 639, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 640, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 641, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 642, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 643, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 644, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 645, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 646, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 647, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 648, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 649, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 650, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 651, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 652, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 653, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 654, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 655, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 656, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 657, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 658, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 659, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 660, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 661, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 662, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 663, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 664, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 665, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 666, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 667, check)
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 668, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 669, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 670, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 671, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 672, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 673, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 674, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 675, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 676, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 677, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 678, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 679, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 680, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 681, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 682, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 683, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 684, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 685, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 686, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 687, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 688, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 689, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 690, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 691, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 692, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 693, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 694, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 695, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 696, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 697, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 698, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 699, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 700, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 701, check)
    call createCurrent(P_Z, P_H, P_Z, 702, check)
    call createCurrent(P_H, P_Z, P_Z, 703, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 704, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 705, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 706, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 707, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 708, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 709, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 710, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 711, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 712, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 713, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 714, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 715, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 716, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 717, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 718, check)
    call createCurrent(P_A, P_u, P_uAnti, 719, check)
    call createCurrent(P_A, P_uAnti, P_u, 720, check)
    call createCurrent(P_u, P_A, P_uAnti, 721, check)
    call createCurrent(P_uAnti, P_A, P_u, 722, check)
    call createCurrent(P_uAnti, P_u, P_A, 723, check)
    call createCurrent(P_A, P_cAnti, P_c, 724, check)
    call createCurrent(P_A, P_c, P_cAnti, 725, check)
    call createCurrent(P_cAnti, P_A, P_c, 726, check)
    call createCurrent(P_cAnti, P_c, P_A, 727, check)
    call createCurrent(P_c, P_A, P_cAnti, 728, check)
    call createCurrent(P_tAnti, P_A, P_t, 729, check)
    call createCurrent(P_tAnti, P_t, P_A, 730, check)
    call createCurrent(P_A, P_tAnti, P_t, 731, check)
    call createCurrent(P_A, P_t, P_tAnti, 732, check)
    call createCurrent(P_t, P_A, P_tAnti, 733, check)
    call createCurrent(P_A, P_d, P_dAnti, 734, check)
    call createCurrent(P_A, P_dAnti, P_d, 735, check)
    call createCurrent(P_d, P_A, P_dAnti, 736, check)
    call createCurrent(P_dAnti, P_A, P_d, 737, check)
    call createCurrent(P_dAnti, P_d, P_A, 738, check)
    call createCurrent(P_A, P_s, P_sAnti, 739, check)
    call createCurrent(P_A, P_sAnti, P_s, 740, check)
    call createCurrent(P_s, P_A, P_sAnti, 741, check)
    call createCurrent(P_sAnti, P_A, P_s, 742, check)
    call createCurrent(P_sAnti, P_s, P_A, 743, check)
    call createCurrent(P_A, P_bAnti, P_b, 744, check)
    call createCurrent(P_A, P_b, P_bAnti, 745, check)
    call createCurrent(P_bAnti, P_A, P_b, 746, check)
    call createCurrent(P_bAnti, P_b, P_A, 747, check)
    call createCurrent(P_b, P_A, P_bAnti, 748, check)
    call createCurrent(P_u, P_g, P_uAnti, 749, check)
    call createCurrent(P_uAnti, P_u, P_g, 750, check)
    call createCurrent(P_uAnti, P_g, P_u, 751, check)
    call createCurrent(P_g, P_u, P_uAnti, 752, check)
    call createCurrent(P_g, P_uAnti, P_u, 753, check)
    call createCurrent(P_cAnti, P_g, P_c, 754, check)
    call createCurrent(P_cAnti, P_c, P_g, 755, check)
    call createCurrent(P_g, P_cAnti, P_c, 756, check)
    call createCurrent(P_g, P_c, P_cAnti, 757, check)
    call createCurrent(P_c, P_g, P_cAnti, 758, check)
    call createCurrent(P_tAnti, P_g, P_t, 759, check)
    call createCurrent(P_tAnti, P_t, P_g, 760, check)
    call createCurrent(P_g, P_tAnti, P_t, 761, check)
    call createCurrent(P_g, P_t, P_tAnti, 762, check)
    call createCurrent(P_t, P_g, P_tAnti, 763, check)
    call createCurrent(P_d, P_g, P_dAnti, 764, check)
    call createCurrent(P_g, P_d, P_dAnti, 765, check)
    call createCurrent(P_g, P_dAnti, P_d, 766, check)
    call createCurrent(P_dAnti, P_d, P_g, 767, check)
    call createCurrent(P_dAnti, P_g, P_d, 768, check)
    call createCurrent(P_s, P_g, P_sAnti, 769, check)
    call createCurrent(P_sAnti, P_s, P_g, 770, check)
    call createCurrent(P_sAnti, P_g, P_s, 771, check)
    call createCurrent(P_g, P_s, P_sAnti, 772, check)
    call createCurrent(P_g, P_sAnti, P_s, 773, check)
    call createCurrent(P_bAnti, P_g, P_b, 774, check)
    call createCurrent(P_bAnti, P_b, P_g, 775, check)
    call createCurrent(P_g, P_bAnti, P_b, 776, check)
    call createCurrent(P_g, P_b, P_bAnti, 777, check)
    call createCurrent(P_b, P_g, P_bAnti, 778, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 779, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 780, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 781, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 782, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 783, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 784, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 785, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 786, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 787, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 788, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 789, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 790, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 791, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 792, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 793, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 794, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 795, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 796, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 797, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 798, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 799, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 800, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 801, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 802, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 803, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 804, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 805, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 806, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 807, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 808, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 809, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 810, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 811, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 812, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 813, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 814, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 815, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 816, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 817, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 818, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 819, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 820, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 821, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 822, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 823, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 824, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 825, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 826, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 827, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 828, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 829, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 830, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 831, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 832, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 833, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 834, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 835, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 836, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 837, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 838, check)
    call createCurrent(P_u, P_Z, P_uAnti, 839, check)
    call createCurrent(P_Z, P_u, P_uAnti, 840, check)
    call createCurrent(P_Z, P_uAnti, P_u, 841, check)
    call createCurrent(P_uAnti, P_u, P_Z, 842, check)
    call createCurrent(P_uAnti, P_Z, P_u, 843, check)
    call createCurrent(P_cAnti, P_Z, P_c, 844, check)
    call createCurrent(P_cAnti, P_c, P_Z, 845, check)
    call createCurrent(P_Z, P_cAnti, P_c, 846, check)
    call createCurrent(P_Z, P_c, P_cAnti, 847, check)
    call createCurrent(P_c, P_Z, P_cAnti, 848, check)
    call createCurrent(P_tAnti, P_Z, P_t, 849, check)
    call createCurrent(P_tAnti, P_t, P_Z, 850, check)
    call createCurrent(P_Z, P_tAnti, P_t, 851, check)
    call createCurrent(P_Z, P_t, P_tAnti, 852, check)
    call createCurrent(P_t, P_Z, P_tAnti, 853, check)
    call createCurrent(P_Z, P_d, P_dAnti, 854, check)
    call createCurrent(P_Z, P_dAnti, P_d, 855, check)
    call createCurrent(P_d, P_Z, P_dAnti, 856, check)
    call createCurrent(P_dAnti, P_d, P_Z, 857, check)
    call createCurrent(P_dAnti, P_Z, P_d, 858, check)
    call createCurrent(P_s, P_Z, P_sAnti, 859, check)
    call createCurrent(P_Z, P_s, P_sAnti, 860, check)
    call createCurrent(P_Z, P_sAnti, P_s, 861, check)
    call createCurrent(P_sAnti, P_s, P_Z, 862, check)
    call createCurrent(P_sAnti, P_Z, P_s, 863, check)
    call createCurrent(P_bAnti, P_Z, P_b, 864, check)
    call createCurrent(P_bAnti, P_b, P_Z, 865, check)
    call createCurrent(P_Z, P_bAnti, P_b, 866, check)
    call createCurrent(P_Z, P_b, P_bAnti, 867, check)
    call createCurrent(P_b, P_Z, P_bAnti, 868, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 869, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 870, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 871, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 872, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 873, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 874, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 875, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 876, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 877, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 878, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 879, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 880, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 881, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 882, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 883, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 884, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 885, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 886, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 887, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 888, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 889, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 890, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 891, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 892, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 893, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 894, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 895, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 896, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 897, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 898, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 899, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 900, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 901, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 902, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 903, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 904, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 905, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 906, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 907, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 908, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 909, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 910, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 911, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 912, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 913, check)
    call createCurrent(P_G0, P_d, P_dAnti, 914, check)
    call createCurrent(P_G0, P_dAnti, P_d, 915, check)
    call createCurrent(P_d, P_G0, P_dAnti, 916, check)
    call createCurrent(P_dAnti, P_G0, P_d, 917, check)
    call createCurrent(P_dAnti, P_d, P_G0, 918, check)
    call createCurrent(P_G0, P_s, P_sAnti, 919, check)
    call createCurrent(P_G0, P_sAnti, P_s, 920, check)
    call createCurrent(P_s, P_G0, P_sAnti, 921, check)
    call createCurrent(P_sAnti, P_G0, P_s, 922, check)
    call createCurrent(P_sAnti, P_s, P_G0, 923, check)
    call createCurrent(P_G0, P_bAnti, P_b, 924, check)
    call createCurrent(P_G0, P_b, P_bAnti, 925, check)
    call createCurrent(P_bAnti, P_G0, P_b, 926, check)
    call createCurrent(P_bAnti, P_b, P_G0, 927, check)
    call createCurrent(P_b, P_G0, P_bAnti, 928, check)
    call createCurrent(P_d, P_H, P_dAnti, 929, check)
    call createCurrent(P_H, P_d, P_dAnti, 930, check)
    call createCurrent(P_H, P_dAnti, P_d, 931, check)
    call createCurrent(P_dAnti, P_d, P_H, 932, check)
    call createCurrent(P_dAnti, P_H, P_d, 933, check)
    call createCurrent(P_s, P_H, P_sAnti, 934, check)
    call createCurrent(P_sAnti, P_s, P_H, 935, check)
    call createCurrent(P_sAnti, P_H, P_s, 936, check)
    call createCurrent(P_H, P_s, P_sAnti, 937, check)
    call createCurrent(P_H, P_sAnti, P_s, 938, check)
    call createCurrent(P_bAnti, P_H, P_b, 939, check)
    call createCurrent(P_bAnti, P_b, P_H, 940, check)
    call createCurrent(P_H, P_bAnti, P_b, 941, check)
    call createCurrent(P_H, P_b, P_bAnti, 942, check)
    call createCurrent(P_b, P_H, P_bAnti, 943, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 944, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 945, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 946, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 947, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 948, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 949, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 950, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 951, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 952, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 953, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 954, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 955, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 956, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 957, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 958, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 959, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 960, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 961, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 962, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 963, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 964, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 965, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 966, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 967, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 968, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 969, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 970, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 971, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 972, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 973, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 974, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 975, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 976, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 977, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 978, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 979, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 980, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 981, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 982, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 983, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 984, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 985, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 986, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 987, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 988, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 989, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 990, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 991, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 992, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 993, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 994, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 995, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 996, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 997, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 998, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 999, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 1000, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 1001, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 1002, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 1003, check)
    call createCurrent(P_G0, P_u, P_uAnti, 1004, check)
    call createCurrent(P_G0, P_uAnti, P_u, 1005, check)
    call createCurrent(P_u, P_G0, P_uAnti, 1006, check)
    call createCurrent(P_uAnti, P_G0, P_u, 1007, check)
    call createCurrent(P_uAnti, P_u, P_G0, 1008, check)
    call createCurrent(P_G0, P_cAnti, P_c, 1009, check)
    call createCurrent(P_G0, P_c, P_cAnti, 1010, check)
    call createCurrent(P_cAnti, P_G0, P_c, 1011, check)
    call createCurrent(P_cAnti, P_c, P_G0, 1012, check)
    call createCurrent(P_c, P_G0, P_cAnti, 1013, check)
    call createCurrent(P_tAnti, P_G0, P_t, 1014, check)
    call createCurrent(P_tAnti, P_t, P_G0, 1015, check)
    call createCurrent(P_G0, P_tAnti, P_t, 1016, check)
    call createCurrent(P_G0, P_t, P_tAnti, 1017, check)
    call createCurrent(P_t, P_G0, P_tAnti, 1018, check)
    call createCurrent(P_u, P_H, P_uAnti, 1019, check)
    call createCurrent(P_uAnti, P_u, P_H, 1020, check)
    call createCurrent(P_uAnti, P_H, P_u, 1021, check)
    call createCurrent(P_H, P_u, P_uAnti, 1022, check)
    call createCurrent(P_H, P_uAnti, P_u, 1023, check)
    call createCurrent(P_cAnti, P_H, P_c, 1024, check)
    call createCurrent(P_cAnti, P_c, P_H, 1025, check)
    call createCurrent(P_H, P_cAnti, P_c, 1026, check)
    call createCurrent(P_H, P_c, P_cAnti, 1027, check)
    call createCurrent(P_c, P_H, P_cAnti, 1028, check)
    call createCurrent(P_tAnti, P_H, P_t, 1029, check)
    call createCurrent(P_tAnti, P_t, P_H, 1030, check)
    call createCurrent(P_H, P_tAnti, P_t, 1031, check)
    call createCurrent(P_H, P_t, P_tAnti, 1032, check)
    call createCurrent(P_t, P_H, P_tAnti, 1033, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 1034, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 1035, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 1036, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 1037, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 1038, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 1039, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 1040, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 1041, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 1042, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 1043, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 1044, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 1045, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 1046, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 1047, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 1048, check)
    call createCurrent(P_A, P_G0, P_H, 1049, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1050, check)
    call createCurrent(P_A, P_Z, P_H, P_H, 1051, check)
    call createCurrent(P_A, P_Z, P_H, 1052, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1053, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1054, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1055, check)
    call createCurrent(P_H, P_H, 1056, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1057, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1058, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1059, check)
    call createCurrent(P_eMinus, P_ePlus, 1060, check)
    call createCurrent(P_muMinus, P_muPlus, 1061, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1062, check)
    call createCurrent(P_u, P_uAnti, 1063, check)
    call createCurrent(P_c, P_cAnti, 1064, check)
    call createCurrent(P_t, P_tAnti, 1065, check)
    call createCurrent(P_d, P_dAnti, 1066, check)
    call createCurrent(P_s, P_sAnti, 1067, check)
    call createCurrent(P_b, P_bAnti, 1068, check)
    call createCurrent(P_A, P_A, 1069, check)
    call createCurrent(P_Z, P_A, 1070, check)
    call createCurrent(P_Z, P_Z, 1071, check)
    call createCurrent(P_A, P_Z, 1072, check)
    call createCurrent(P_WMinus, P_WPlus, 1073, check)
    call createCurrent(P_g, P_g, 1074, check)
    call createCurrent(P_WMinus, P_GPlus, 1075, check)
    call createCurrent(P_WPlus, P_GMinus, 1076, check)
    call createCurrent(P_Z, P_G0, 1077, check)
    call createCurrent(P_A, P_G0, 1078, check)
    call createCurrent(P_G0, P_G0, 1079, check)
    call createCurrent(P_GMinus, P_GPlus, 1080, check)
    call createCurrent(P_G0, P_A, P_H, 1081, check)
    call createCurrent(P_G0, P_H, P_A, 1082, check)
    call createCurrent(P_A, P_H, P_G0, 1083, check)
    call createCurrent(P_H, P_G0, P_A, 1084, check)
    call createCurrent(P_H, P_A, P_G0, 1085, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1086, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1087, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1088, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1089, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1090, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1091, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1092, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1093, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1094, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1095, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1096, check)
    call createCurrent(P_A, P_H, P_Z, P_H, 1097, check)
    call createCurrent(P_A, P_H, P_H, P_Z, 1098, check)
    call createCurrent(P_Z, P_A, P_H, P_H, 1099, check)
    call createCurrent(P_Z, P_H, P_A, P_H, 1100, check)
    call createCurrent(P_Z, P_H, P_H, P_A, 1101, check)
    call createCurrent(P_H, P_A, P_Z, P_H, 1102, check)
    call createCurrent(P_H, P_A, P_H, P_Z, 1103, check)
    call createCurrent(P_H, P_Z, P_A, P_H, 1104, check)
    call createCurrent(P_H, P_Z, P_H, P_A, 1105, check)
    call createCurrent(P_H, P_H, P_A, P_Z, 1106, check)
    call createCurrent(P_H, P_H, P_Z, P_A, 1107, check)
    call createCurrent(P_A, P_H, P_Z, 1108, check)
    call createCurrent(P_Z, P_A, P_H, 1109, check)
    call createCurrent(P_Z, P_H, P_A, 1110, check)
    call createCurrent(P_H, P_A, P_Z, 1111, check)
    call createCurrent(P_H, P_Z, P_A, 1112, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1113, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1114, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1115, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1116, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1117, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1118, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1119, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1120, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1121, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1122, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1123, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1124, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1125, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1126, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1127, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1128, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1129, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1130, check)
    call createCurrent(P_ePlus, P_eMinus, 1131, check)
    call createCurrent(P_muPlus, P_muMinus, 1132, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1133, check)
    call createCurrent(P_uAnti, P_u, 1134, check)
    call createCurrent(P_cAnti, P_c, 1135, check)
    call createCurrent(P_tAnti, P_t, 1136, check)
    call createCurrent(P_dAnti, P_d, 1137, check)
    call createCurrent(P_sAnti, P_s, 1138, check)
    call createCurrent(P_bAnti, P_b, 1139, check)
    call createCurrent(P_WPlus, P_WMinus, 1140, check)
    call createCurrent(P_GPlus, P_WMinus, 1141, check)
    call createCurrent(P_GMinus, P_WPlus, 1142, check)
    call createCurrent(P_G0, P_Z, 1143, check)
    call createCurrent(P_G0, P_A, 1144, check)
    call createCurrent(P_GPlus, P_GMinus, 1145, check)
    call createCurrent(P_A, P_A, P_H, 1146, check)
    call createCurrent(P_A, P_H, P_A, 1147, check)
    call createCurrent(P_H, P_A, P_A, 1148, check)
    call createCurrent(P_g, P_g, P_H, 1149, check)
    call createCurrent(P_g, P_H, P_g, 1150, check)
    call createCurrent(P_H, P_g, P_g, 1151, check)
    call createCurrent(P_G0, P_G0, P_A, P_A, 1152, check)
    call createCurrent(P_G0, P_A, P_G0, P_A, 1153, check)
    call createCurrent(P_G0, P_A, P_A, P_G0, 1154, check)
    call createCurrent(P_A, P_G0, P_G0, P_A, 1155, check)
    call createCurrent(P_A, P_G0, P_A, P_G0, 1156, check)
    call createCurrent(P_A, P_A, P_G0, P_G0, 1157, check)
    call createCurrent(P_A, P_A, P_H, P_H, 1158, check)
    call createCurrent(P_A, P_H, P_A, P_H, 1159, check)
    call createCurrent(P_A, P_H, P_H, P_A, 1160, check)
    call createCurrent(P_H, P_A, P_A, P_H, 1161, check)
    call createCurrent(P_H, P_A, P_H, P_A, 1162, check)
    call createCurrent(P_H, P_H, P_A, P_A, 1163, check)
    call createCurrent(P_Z, P_Z, P_A, P_A, 1164, check)
    call createCurrent(P_Z, P_A, P_Z, P_A, 1165, check)
    call createCurrent(P_Z, P_A, P_A, P_Z, 1166, check)
    call createCurrent(P_A, P_Z, P_Z, P_A, 1167, check)
    call createCurrent(P_A, P_Z, P_A, P_Z, 1168, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 1169, check)
    call createCurrent(P_A, P_A, P_A, P_A, 1170, check)
    call createCurrent(P_Z, P_A, P_A, P_A, 1171, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 1172, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 1173, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 1174, check)
    call createCurrent(P_Z, P_Z, P_Z, P_A, 1175, check)
    call createCurrent(P_Z, P_Z, P_A, P_Z, 1176, check)
    call createCurrent(P_Z, P_A, P_Z, P_Z, 1177, check)
    call createCurrent(P_A, P_Z, P_Z, P_Z, 1178, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1179, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1180, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1181, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1182, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1183, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1184, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1185, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1186, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1187, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1188, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1189, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1190, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1191, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1192, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1193, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1194, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1195, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1196, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1197, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1198, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1199, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1200, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1201, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1202, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1203, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1204, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1205, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1206, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1207, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1208, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1209, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1210, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1211, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1212, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1213, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1214, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1215, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1216, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1217, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1218, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1219, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1220, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1221, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1222, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1223, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1224, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1225, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1226, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1227, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1228, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1229, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1230, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1231, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1232, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 1233, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1234, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1235, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1236, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1237, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1238, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1239, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1240, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1241, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1242, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1243, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1244, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1245, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1246, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1247, check)
  end subroutine fill_current_1
end module currents_info1
